# French language file.
#	 
# (C) 2003-2010 Anope Team
# Contact us at team@anope.org
#
# Please read COPYING and README for furhter details.
#
# Based on the original code of Epona by Lara.
# Based on the original code of Services by Andy Church.
#
# Updated by Kevin@epiknet.org (03/15/2003)
# www.epiknet.org - www.botstats.com
#
# Updated by illu@rs2i.net (04/09/2005)
# irc.rs2i.net - http://www.rs2i.net
#
# When translating this file to another language, keep in mind that the
# order of parameters for sprintf() is fixed in the source code, so your
# messages need to take the same parameters in the same order as the
# English messages do.  (Obviously, this doesn't hold for the strftime()
# format lines immediately below.)  If you can't get a natural translation
# of a message without changing the order of the parameters, let us know
# (team@anope.org) which message is causing a problem and I'll see
# what I can do.
#
# In help messages, "%S" (capital S, not lowercase) refers to the name of
# the service sending the message; for example, in NickServ help messages,
# "%S" is replaced by "NickServ" (or whatever it is renamed to in
# services.conf).  The %S's do not count as sprintf() parameters, so they can be
# rearranged, removed, or added as necessary.
#
# Also in help messages, please try to limit line lengths to 60 characters
# of text (not including the leading tab).  This length was chosen because
# it does not cause line wrap under default settings on most current IRC
# clients.  Remember that format characters (control-B, control-_) are not
# included in that 60-character limit (since they don't show on the user's
# screen).  Also remember that format specifiers (%S, etc.) will expand
# when displayed, so remember to take this into account; you can assume
# that the length of a pseudoclient name (%S replacement) will be eight
# characters, so reduce the maximum line length by 6 for every %S on a
# line.
#
# Finally, remember to put a tab at the beginning of every line of text
# (including empty lines).  This has to be a tab, not spaces.

###########################################################################
#
# Name of this language
#
###########################################################################

# For languages other than English, this string should have the following
# format:
#     language-name-in-language (language-name-in-English)
# For example, "Espaol (Spanish)" or "Franais (French)".

LANG_NAME
	Franais (French)

###########################################################################
#
# General messages
#
###########################################################################

# strftime() format strings.  man 3 strftime for information on the
# meanings of the format specifiers.  Short version:
#	%a = weekday name (short)	%H = hour
#	%b = month name (short)		%M = minute
#	%d = day of month		%S = second
#	%Y = year			%Z = time zone

# This is used as the format string for strftime() for a date and time
# together.
STRFTIME_DATE_TIME_FORMAT
	%d %b %Y %H:%M:%S %Z
# This is used as the format string for strftime() for a date alone in long
# format (English: including weekday).
STRFTIME_LONG_DATE_FORMAT
	%a %d %b %Y
# This is used as the format string for strftime() for a date alone in
# short format (English: without weekday).
STRFTIME_SHORT_DATE_FORMAT
	%d %b %Y

# These tell our strftime() what the names of months and days are.  If you
# don't use %a, %A, %b, or %B in your strftime() strings above, you can
# leave these empty.  However, if you enter names, they MUST stay in order,
# one per line, and the list MUST be complete!

# %a
STRFTIME_DAYS_SHORT
	dim
	lun
	mar
	mer
	jeu
	ven
	sam
# %A
STRFTIME_DAYS_LONG
	dimanche
	lundi
	mardi
	mercredi
	jeudi
	vendredi
	samedi
# %b
STRFTIME_MONTHS_SHORT
	jan
	fv
	mar
	avr
	mai
	jun
	jul
	ao
	sep
	oct
	nov
	dc
# %B
STRFTIME_MONTHS_LONG
	janvier
	fvrier
	mars
	avril
	mai
	juin
	juillet
	aot
	septembre
	octobre
	novembre
	dcembre


# This is used in ChanServ/NickServ INFO displays.
COMMA_SPACE
	, 

# Command help replies
COMMAND_REQUIRES_PERM
	Access to this command requires the permission %s to be present in your opertype.
COMMAND_IDENTIFY_REQUIRED
	Vous devez tre identifi pour utiliser cette commande.
COMMAND_CANNOT_USE
	Vous ne pouvez pas utiliser cette commande.
COMMAND_CAN_USE
	Vous pouvez utiliser cette commande.

# Various error messages.
USER_RECORD_NOT_FOUND
	Erreur interne - impossible d'effectuer la commande.
UNKNOWN_COMMAND
	Commande %s inconnue.
UNKNOWN_COMMAND_HELP
	Commande %s inconnue. Tapez "%R%s HELP" pour obtenir de l'aide.
SYNTAX_ERROR
	Syntaxe: %s
MORE_INFO
	Tapez %R%s HELP %s pour plus d'informations.
NO_HELP_AVAILABLE
	Aucune aide disponible sur %s.
OBSOLETE_COMMAND
	Cette commande est obsolte, utilisez %s  la place.

BAD_USERHOST_MASK
	Le masque doit avoir le format user@host.
BAD_EXPIRY_TIME
	Echance invalide.
USERHOST_MASK_TOO_WIDE
	La couverture de %s est trop grande, utilisez un masque plus prcis.

SERVICE_OFFLINE
	%s n'est pas connect(e) actuellement.
READ_ONLY_MODE
	Note: les Services sont en mode lecture-seule; les changements ne seront pas sauvegards!
PASSWORD_INCORRECT
	Mot de passe incorrect.
INVALID_TARGET
	"/msg %s" n'est plus support.  Utilisez "/msg %s@%s" ou "/%s"  la place.

ACCESS_DENIED
	Accs refus.

MORE_OBSCURE_PASSWORD
	Veuillez ressayer avec un mot de passe plus difficile  trouver.  Les mots de passe doivent contenir au moins cinq caractres, ne doivent pas tre trop facilement devinables (par exemple votre vrai nom ou votre pseudo), et ne doivent pas contenir d'espaces ou de tabulations.
PASSWORD_TOO_LONG
	Votre mot de passe est trop long. Veuillez ressayer avec un mot de passe plus court.
NICK_NOT_REGISTERED
	Votre pseudo n'est pas enregistr.
NICK_NOT_REGISTERED_HELP
	Votre pseudo n'est pas enregistr.  Tapez %R%s HELP pour des informations sur l'enregistrement des pseudos.
NICK_X_IS_SERVICES
	Le pseudo %s fait partie des services du rseau.
NICK_X_NOT_REGISTERED
	Le nick %s n'est pas enregistr.
NICK_X_IN_USE
	Le pseudo %s est dja utilis.
NICK_X_NOT_IN_USE
	Le pseudo %s n'est actuellement pas utilis.
NICK_X_NOT_ON_CHAN
	%s n'est actuellement pas sur %s.
NICK_X_FORBIDDEN
	Le pseudo %s ne peut tre ni enregistr ni utilis.
NICK_X_FORBIDDEN_OPER
	Le pseudo %s a t interdit par %s:
	%s
NICK_X_ILLEGAL
	Le pseudo %s est un pseudo illgal et ne peut pas etre utilis.
NICK_X_TRUNCATED
	Le pseudo %s a t tronqu de %d caractres.
NICK_X_SUSPENDED
	Le pseudo %s est actuellement suspendu.
CHAN_X_NOT_REGISTERED
	Le canal %s n'est pas enregistr.
CHAN_X_NOT_IN_USE
	Le canal %s n'existe pas.
CHAN_X_FORBIDDEN
	Le canal %s ne peut tre ni enregistr ni utilis.
CHAN_X_FORBIDDEN_OPER
	Le canal %s a t interdit par %s:
	%s
CHAN_X_SUSPENDED
	      Suspendu: [%s] %s
NICK_IDENTIFY_REQUIRED
	L'authentification par mot de passe est requise pour cette commande.
	Ressayez aprs avoir tap %R%s IDENTIFY motdepasse.
CHAN_IDENTIFY_REQUIRED
	L'authentification par mot de passe est requise pour cette commande.
	Ressayez aprs avoir tap %R%s IDENTIFY %s motdepasse.

MAIL_DISABLED
	Les services ont t configurs pour ne pas envoyer de mail.
MAIL_INVALID
	L'adresse e-mail de %s est invalide.
MAIL_X_INVALID
	%s n'est pas une adresse e-mail valide.
MAIL_LATER
	Impossible d'envoyer un e-mail maintenant, veuillez ressayez un peu
	plus tard.
MAIL_DELAYED
	Attendez %d secondes et ressayez.

NO_REASON
	Aucune raison
UNKNOWN
	<inconnu>

DURATION_DAY
	1 jour
DURATION_DAYS
	%d jours
DURATION_HOUR
	1 heure
DURATION_HOURS
	%d heures
DURATION_MINUTE
	1 minute
DURATION_MINUTES
	%d minutes
DURATION_SECOND
	1 seconde
DURATION_SECONDS
	%d secondes

# Human readable expiration
NO_EXPIRE
	n'expire pas
EXPIRES_SOON
	expire  la prochaine mise  jour de la base de donnes
EXPIRES_M
	expire dans %d minutes
EXPIRES_1M
	expire dans %d minute
EXPIRES_HM
	expire dans %d heures, %d minutes
EXPIRES_H1M
	expire dans %d heures, %d minute
EXPIRES_1HM
	expire dans %d heure, %d minutes
EXPIRES_1H1M
	expire dans %d heure, %d minute
EXPIRES_D
	expire dans %d jours
EXPIRES_1D
	expire dans %d jour

# Generic Footer message
END_OF_ANY_LIST
	Fin du %s list.

###########################################################################
#
# NickServ messages
#
###########################################################################

# Automatic messages
LIST_INCORRECT_RANGE
	Porte incorrecte spcifie. La syntaxe correcte est #from-to.
CS_LIST_INCORRECT_RANGE
	Pour rechercher des canaux commenant par #, cherchez des des
	noms de canaux sans le signe # (anope au lieu de #anope).

###########################################################################
#
# NickServ messages
#
###########################################################################

# Automatic messages
NICK_IS_REGISTERED
	Ce pseudo appartient  quelqu'un d'autre. Veuillez en changer.
	(Si c'est votre pseudo, tapez %R%s IDENTIFY motdepasse.)
NICK_IS_SECURE
	Ce pseudo est enregistr et protg. Si c'est votre pseudo,
	tapez %R%s IDENTIFY motdepasse. 
	Sinon veuillez choisir un pseudo diffrent.
NICK_MAY_NOT_BE_USED
	Ce pseudo ne peut tre utilis.  Veuillez en choisir un autre.
FORCENICKCHANGE_IN_1_MINUTE
	Si vous ne changez pas d'ici 1 minute, je changerai votre pseudo.
FORCENICKCHANGE_IN_20_SECONDS
	Si vous ne changez pas d'ici 20 secondes, je changerai votre pseudo.
FORCENICKCHANGE_NOW
	Ce pseudo a t enregistr, vous ne pouvez pas l'utiliser.
FORCENICKCHANGE_CHANGING
	Votre pseudo est maintenant chang en %s.

# REGISTER responses
NICK_REGISTER_SYNTAX
	REGISTER motdepasse [email]
NICK_REGISTER_SYNTAX_EMAIL
	REGISTER motdepasse email
NICK_REGISTRATION_DISABLED
	Dsol, l'enregistrement des pseudos est temporairement dsactiv.
NICK_REGISTRATION_FAILED
	Dsol, l'enregistrement a chou.
NICK_REG_PLEASE_WAIT
	Veuillez attendre %d secondes avant d'utiliser la commande REGISTER  nouveau.
NICK_CANNOT_BE_REGISTERED
	Le pseudo %s ne peut tre enregistr.
NICK_ALREADY_REGISTERED
	Le pseudo %s est dj enregistr!
NICK_REGISTERED
	Le pseudo %s est maintenant enregistr sous votre masque: %s
NICK_REGISTERED_NO_MASK
	Le pseudo %s est enregistr.
NICK_PASSWORD_IS
	Votre mot de passe est %s - notez-le pour une utilisation ultrieure.

# GROUP responses
NICK_REG_DELAY
	Vous devez rester connect plus de %d secondes pour enregistrer votre pseudo.

# GROUP responses
NICK_GROUP_SYNTAX
	GROUP cible motdepasse
NICK_GROUP_DISABLED
	Dsol, le groupage de pseudos est temporairement dsactiv.
NICK_GROUP_FAILED
	Dsol, le groupage de pseudos a chou.
NICK_GROUP_PLEASE_WAIT
	Attendez %d secondes avant d'utiliser la commande GROUP  nouveau.
NICK_GROUP_CHANGE_DISABLED
	Votre pseudo est dj enregistr, tapez %R%s DROP d'abord.
NICK_GROUP_SAME
	Vous tes dj membre du groupe de %s.
NICK_GROUP_TOO_MANY
	Il y a trop de pseudos dans le groupe de %s; listez-les et 
	effacez-en quelques uns.
	Tapez %R%s HELP GLIST et %R%s HELP DROP pour
	plus d'informations.
NICK_GROUP_JOINED
	Vous tes maintenant dans le groupe de %s.

# IDENTIFY responses
NICK_IDENTIFY_SYNTAX
	IDENTIFY motdepasse
NICK_IDENTIFY_FAILED
	Dsol, l'identification a chou.
NICK_IDENTIFY_SUCCEEDED
	Mot de passe accept - vous tes maintenant identifi.
NICK_IDENTIFY_EMAIL_REQUIRED
	Vous devez maintenant associer un e-mail  votre pseudo.
	Cet e-mail vous permettra de retrouver votre mot de passe
	au cas o vous le perdriez.
NICK_IDENTIFY_EMAIL_HOWTO
	Tapez %R%S SET EMAIL e-mail pour dfinir votre e-mail.
	Votre vie prive est respecte, cet e-mail ne sera pas 
	divulgu  des tierces personnes.

# LOGOUT responses
NICK_ALREADY_IDENTIFIED
	Vous tes dj identifi.

# UPDATE responses
NICK_UPDATE_SUCCESS
	Statut mis  jour (memos, vhost, modes, flags).
	
# LOGOUT responses
NICK_LOGOUT_SYNTAX
	LOGOUT
NICK_LOGOUT_SUCCEEDED
	Votre pseudo n'est plus identifi.
NICK_LOGOUT_X_SUCCEEDED
	Le pseudo %s n'est plus identifi.

# DROP responses
NICK_LOGOUT_SERVICESADMIN
	Vous ne pouvez pas dconnecter %s parce que c'est un administrateur
	des services.

# DROP responses
NICK_DROP_DISABLED
	Dsol, l'effacement de pseudo est temporairement dsactiv.
NICK_DROPPED
	Votre pseudo a t effac.
NICK_X_DROPPED
	Le pseudo %s a t effac.

# SET responses
NICK_SET_SYNTAX
	SET option paramtres
NICK_SET_SERVADMIN_SYNTAX
	SET [nick] option paramtres
NICK_SET_DISABLED
	Dsol, la configuration des options du pseudo est temporairement dsactive.
NICK_SET_UNKNOWN_OPTION
	L'option SET %s est inconnue.
NICK_SET_OPTION_DISABLED
	L'option %s ne peut tre change sur ce rseau.

# SET DISPLAY responses
NICK_SET_DISPLAY_INVALID
	Le nouvel affichage DOIT tre un pseudo de votre groupe de pseudos!
NICK_SET_DISPLAY_CHANGED
	Le nouvel affichage est maintenant %s.

# SET PASSWORD responses
NICK_SET_PASSWORD_FAILED
	Impossible de changer votre mot de passe.
NICK_SET_PASSWORD_CHANGED
	Votre mot de passe a t chang.
NICK_SET_PASSWORD_CHANGED_TO
	Votre mot de passe est maintenant %s.

# SET LANGUAGE responses
NICK_SET_LANGUAGE_SYNTAX
	SET LANGUAGE nombre
NICK_SET_LANGUAGE_UNKNOWN
	Numro de langue %d inconnu. Tapez %R%s HELP SET LANGUAGE pour une liste de langues.
NICK_SET_LANGUAGE_CHANGED
	Votre langue est maintenant le Franais.

# SET URL responses
NICK_SET_URL_CHANGED
	L'adresse de votre site est maintenant %s.
NICK_SET_URL_UNSET
	L'adresse de votre site a t efface.

# SET EMAIL responses
NICK_SET_EMAIL_CHANGED
	Votre adresse e-mail est maintenant %s.
NICK_SET_EMAIL_UNSET
	Votre adresse e-mail a t efface.
NICK_SET_EMAIL_UNSET_IMPOSSIBLE
	Vous ne pouvez pas effacer votre e-mail sur ce rseau.

# SET ICQ responses
NICK_SET_ICQ_CHANGED
	Votre numro ICQ est maintenant %s.
NICK_SET_ICQ_UNSET
	Votre numro ICQ a t effac.
NICK_SET_ICQ_INVALID
	%s n'est pas un nombre valide.

# SET GREET responses
NICK_SET_GREET_CHANGED
	Votre message d'accueil est maintenant %s.
NICK_SET_GREET_UNSET
	Votre message d'accueil a t effac.

# SET KILL responses
NICK_SET_KILL_SYNTAX
	SET KILL {ON | QUICK | OFF}
NICK_SET_KILL_IMMED_SYNTAX
	SET KILL {ON | QUICK | IMMED | OFF}
NICK_SET_KILL_ON
	La protection est maintenant active.
NICK_SET_KILL_QUICK
	La protection est maintenant active, avec un dlai rduit.
NICK_SET_KILL_IMMED
	La protection est maintenant active, sans dlai.
NICK_SET_KILL_IMMED_DISABLED
	L'option IMMED n'est pas disponible sur ce rseau.
NICK_SET_KILL_OFF
	La protection est maintenant dsactive.

# SET SECURE responses
NICK_SET_SECURE_SYNTAX
	SET SECURE {ON | OFF}
NICK_SET_SECURE_ON
	La scurit est maintenant activ.
NICK_SET_SECURE_OFF
	La scurit est maintenant dsactiv.

# SET PRIVATE responses
NICK_SET_PRIVATE_SYNTAX
	SET PRIVATE {ON | OFF}
NICK_SET_PRIVATE_ON
	Votre pseudo est maintenant priv.
NICK_SET_PRIVATE_OFF
	Votre pseudo est maintenant public.

# SET HIDE responses
NICK_SET_HIDE_SYNTAX
	SET HIDE {EMAIL | STATUS | USERMASK | QUIT} {ON | OFF}
NICK_SET_HIDE_EMAIL_ON
	Votre adresse e-mail ne sera plus affiche par la commande INFO de %s.
NICK_SET_HIDE_EMAIL_OFF
	Votre adresse e-mail sera affiche par la commande INFO de %s.
NICK_SET_HIDE_MASK_ON
	Votre masque user@host ne sera plus affich par la commande INFO de %s.
NICK_SET_HIDE_MASK_OFF
	Votre masque user@host sera affich par la commande INFO de %s.
NICK_SET_HIDE_QUIT_ON
	Votre dernire raison de /QUIT ne sera plus affiche par la commande INFO de %s.
NICK_SET_HIDE_QUIT_OFF
	Votre dernire raison de /QUIT sera affiche par la commande INFO de %s.

# SET NOEXPIRE responses
NICK_SET_HIDE_STATUS_ON
	Votre statut sera cach dans l'affichage de la commande INFO de %s.
NICK_SET_HIDE_STATUS_OFF
	Votre statut sera affich dans l'affichage de la commande INFO de %s.
	
# SET MSG responses
NICK_SET_MSG_SYNTAX
	SET PRIVATE {ON | OFF}
NICK_SET_MSG_ON
	Les services vous repondrons avec des messages.	
NICK_SET_MSG_OFF
	Les services vous repondrons avec des notices.

# SET AUTOOP responses
NICK_SET_AUTOOP_SYNTAX
	SET AUTOOP {ON | OFF}
NICK_SET_AUTOOP_ON
	Le service va maintenant vous rendre OP automatiquement dans vos canaux.
NICK_SET_AUTOOP_OFF
	Le service ne vous rendra plus automatiquement OP dans vos canaux.


# SET NOEXPIRE responses
NICK_SASET_SYNTAX
	SASET pseudo option paramtres
NICK_SASET_DISABLED
	Dsol, le changement d'options sur les pseudos est temporairement
	dsactiv.
NICK_SASET_UNKNOWN_OPTION
	Option SASET %s inconnue.
NICK_SASET_BAD_NICK
	Le pseudo %s n'est pas enregistr.
NICK_SASET_OPTION_DISABLED
	L'option %s ne peut pas tre configure sur ce rseau.

# SASET DISPLAY responses
NICK_SASET_DISPLAY_INVALID
	Le nouvel affichage pour %s DOIT tre un pseudo de son groupe!
NICK_SASET_DISPLAY_CHANGED
	Le nouvel affichage est maintenant %s.

# SASET PASSWORD responses
NICK_SASET_PASSWORD_FAILED
	Dsol, impossible de changer le mot de passe pour %s.
NICK_SASET_PASSWORD_CHANGED
	Mot de passe chang pour %s.
NICK_SASET_PASSWORD_CHANGED_TO
	Le mot de passe pour %s a t chang en %s.

# SASET LANGUAGE responses
NICK_SASET_URL_CHANGED
	L'URL pour %s a t chang en %s.
NICK_SASET_URL_UNSET
	L'URL %s a t effac.

# SASET EMAIL responses
NICK_SASET_EMAIL_CHANGED
	L'adresse E-mail pour %s a t change en %s.
NICK_SASET_EMAIL_UNSET
	L'adresse E-mail pour %s a t efface.
NICK_SASET_EMAIL_UNSET_IMPOSSIBLE
	Vous ne pouvez pas configurer d'E-mail sur ce rseau.
	
# SASET ICQ responses
NICK_SASET_ICQ_CHANGED
	Le numro ICQ pour %s a t chang en %s.
NICK_SASET_ICQ_UNSET
	Le numro ICQ pour %s a t effac.
NICK_SASET_ICQ_INVALID
	%s n'est pas un numro ICQ valide.
	
# SASET GREET responses
NICK_SASET_GREET_CHANGED
	Le message d'accueil pour %s a t chang en %s
NICK_SASET_GREET_UNSET
	Le message d'accueil de %s a t effac.

# SASET PROTECT responses
NICK_SASET_KILL_SYNTAX
	SASET pseudo KILL {ON | QUICK | OFF}
NICK_SASET_KILL_IMMED_SYNTAX
	SASET pseudo KILL {ON | QUICK | IMMED | OFF}
NICK_SASET_KILL_ON
	La protection est maintenant ACTIVE pour %s.
NICK_SASET_KILL_QUICK
	La protection est maintenant ACTIVE pour %s, avec un dlai rduit.
NICK_SASET_KILL_IMMED
	La protection est maintenant ACTIVE pour %s, sans aucun dlai.
NICK_SASET_KILL_IMMED_DISABLED
	L'option IMMED n'est pas accessible sur ce rseau.
NICK_SASET_KILL_OFF
	La protection est maintenant INACTIVE pour %s.

# SASET SECURE responses
NICK_SASET_SECURE_SYNTAX
	SASET pseudo SECURE {ON | OFF}
NICK_SASET_SECURE_ON
	L'option de scurit est maintenant ACTIVE pour %s.
NICK_SASET_SECURE_OFF
	L'option de scurit est maintenant INACTIVE pour %s.

# SASET PRIVATE responses
NICK_SASET_PRIVATE_SYNTAX
	SASET pseudo PRIVATE {ON | OFF}
NICK_SASET_PRIVATE_ON
	L'option 'priv' est maintenant ACTIVE pour %s.
NICK_SASET_PRIVATE_OFF
	L'option 'priv' est maintenant INACTIVE pour %s.

# SASET HIDE responses
NICK_SASET_HIDE_SYNTAX
	SET pseudo HIDE {EMAIL | STATUS | USERMASK | QUIT} {ON | OFF}
NICK_SASET_HIDE_EMAIL_ON
	L'adresse E-mail de %s sera cache dans la commande INFO de %s.
NICK_SASET_HIDE_EMAIL_OFF
	L'adresse email de %s sera maintenant affiche dans la commande INFO de %s.
NICK_SASET_HIDE_MASK_ON
	Le dernier masque user@host de %s sera maintenant cach dans la commande INFO
	de %s.
NICK_SASET_HIDE_MASK_OFF
	Le dernier masque user@host de %s sera maintenant affich dans la commande INFO
	de %s.
NICK_SASET_HIDE_QUIT_ON
	Le dernier message de quit de %s ne sera plus affich dans la commande INFO de %s.
NICK_SASET_HIDE_QUIT_OFF
	Le dernier message de quit de %s sera affich dans la commande INFO de %s.
NICK_SASET_HIDE_STATUS_ON
	Le statut sur les services de %s sera maintenant cach dans la commande INFO de %s.
NICK_SASET_HIDE_STATUS_OFF
	Le statut sur les services de %s sera maintenant affich dans la commande INFO de %s.
	
# SASET MSG responses
NICK_SASET_MSG_SYNTAX
	SASET pseudo PRIVATE {ON | OFF}
NICK_SASET_MSG_ON
	Les services repondront  %s par des messages.
NICK_SASET_MSG_OFF
	Les services repondront  %s par des notices.

# SET NOEXPIRE responses
NICK_SASET_NOEXPIRE_SYNTAX
	SASET pseudo NOEXPIRE {ON | OFF}
NICK_SASET_NOEXPIRE_ON
	Le pseudo %s n'expirera pas.
NICK_SASET_NOEXPIRE_OFF
	Le pseudo %s expirera.

# ACCESS responses
NICK_SASET_AUTOOP_SYNTAX
	SASET nickname AUTOOP {ON | OFF}
NICK_SASET_AUTOOP_ON
	Le service rendra %s automatiquement OP dans les canaux.
NICK_SASET_AUTOOP_OFF
	Le service ne rendra plus %s automatiquement OP dans les canaux.

# SASET LANGUAGE responses
NICK_SASET_LANGUAGE_SYNTAX
	SASET nickname LANGUAGE number
NICK_SASET_LANGUAGE_UNKNOWN
	Numro de langage %d inconnu. Tapez %R%s HELP SET LANGUAGE pour la liste des langages.
NICK_SASET_LANGUAGE_CHANGED
	Langage chang pour le Franais.


# ACCESS responses
NICK_ACCESS_SYNTAX
	ACCESS {ADD | DEL | LIST} [mask]
NICK_ACCESS_ALREADY_PRESENT
	Le masque %s existe dj dans votre liste d'accs.
NICK_ACCESS_REACHED_LIMIT
	Vous ne pouvez avoir que %d entres dans la liste d'accs d'un pseudo.
NICK_ACCESS_ADDED
	%s ajout  votre liste d'accs.
NICK_ACCESS_NOT_FOUND
	%s introuvable dans votre liste d'accs.
NICK_ACCESS_DELETED
	%s supprim de votre liste d'accs.
NICK_ACCESS_LIST
	Liste d'accs:
NICK_ACCESS_LIST_X
	Liste d'accs de %s:
NICK_ACCESS_LIST_EMPTY
	Votre liste d'accs est vide.
NICK_ACCESS_LIST_X_EMPTY
	La liste d'accs de %s est vide.

# Status messages
NICK_STATUS_REPLY
	STATUS %s %d %s

# INFO responses
NICK_INFO_SYNTAX
	INFO pseudo [ALL]
NICK_INFO_REALNAME
	%s est %s
NICK_INFO_SERVICES_OPERTYPE
	%s est un oprateur services du type %s.
NICK_INFO_ADDRESS
	            Adresse: %s
NICK_INFO_ADDRESS_ONLINE
	        Connect de: %s
NICK_INFO_ADDRESS_ONLINE_NOHOST
	%s est actuellement connect.
NICK_INFO_TIME_REGGED
	      Enregistr le: %s
NICK_INFO_LAST_SEEN
	  Dernire connexion: %s
NICK_INFO_LAST_QUIT
	       Dernier dconnexion: %s
NICK_INFO_URL
	Adresse de son site: %s
NICK_INFO_EMAIL
	     Adresse e-mail: %s
NICK_INFO_VHOST
	              vhost: %s
NICK_INFO_VHOST2
	              vhost: %s@%s
NICK_INFO_ICQ
	         Numro ICQ: %d
NICK_INFO_GREET
	  Message d'accueil: %s
NICK_INFO_OPTIONS
	            Options: %s
NICK_INFO_EXPIRE
	Expire le: %s
# These strings MUST NOT be empty
NICK_INFO_OPT_KILL
	Protection
NICK_INFO_OPT_SECURE
	Scurit
NICK_INFO_OPT_PRIVATE
	Confidentialit
NICK_INFO_OPT_MSG
	Mode message
NICK_INFO_OPT_AUTOOP
	Auto-op
NICK_INFO_OPT_NONE
	Aucune
NICK_INFO_NO_EXPIRE
	Ce pseudo n'expirera pas.
NICK_INFO_FOR_MORE
	Pour plus d'informations, tapez %R%s INFO %s ALL.

# LIST responses
NICK_INFO_SUSPENDED
	Ce pseudo est actuellement suspendu, raison: %s
NICK_INFO_SUSPENDED_NO_REASON
	Ce pseudo est actuellement suspendu.


# LIST responses
NICK_LIST_SYNTAX
	LIST modle
NICK_LIST_SERVADMIN_SYNTAX
	LIST modle [FORBIDDEN] [SUSPENDED] [NOEXPIRE] [UNCONFIRMED]
NICK_LIST_HEADER
	Liste des entres correspondantes  %s:
NICK_LIST_RESULTS
	Fin de la liste - %d/%d correspondances affiches.
	
# GLIST responses
NICK_ALIST_SYNTAX
	ALIST pseudo
NICK_ALIST_HEADER
	Liste des canaux auquels vous avez accs:
	  Num  Canal                Level    Description 
NICK_ALIST_HEADER_X
	Liste des canaux auquels %s a accs:
	  Num  Canal                Level    Description 
NICK_ALIST_XOP_FORMAT
	  %3d %c%-20s %-8s %s
NICK_ALIST_ACCESS_FORMAT
	  %3d %c%-20s %-8d %s
NICK_ALIST_FOOTER
	Fin de la liste - %d/%d correspondances affiches.

# GLIST responses
NICK_GLIST_HEADER
	Liste des pseudos dans votre groupe:
NICK_GLIST_HEADER_X
	Liste des pseudos dans le groupe de %s:
NICK_GLIST_FOOTER
	%d pseudos dans le groupe.
NICK_GLIST_REPLY
	   %c%s
NICK_GLIST_REPLY_ADMIN
	   %c%s (expire le %s)

# RECOVER responses
NICK_RECOVER_SYNTAX
	RECOVER pseudo [motdepasse]
NICK_NO_RECOVER_SELF
	Vous ne pouvez pas utiliser RECOVER sur vous-mme!
NICK_RECOVERED
	L'utilisateur se servant de votre pseudo a t dconnect.
	%R%s RELEASE %s pour le rcuprer avant que la %s ne s'coule.

# RELEASE responses
NICK_RELEASE_SYNTAX
	RELEASE pseudo [motdepasse]
NICK_RELEASE_NOT_HELD
	Le pseudo %s n'est pas en tutelle.
NICK_RELEASED
	La tutelle des Services sur votre pseudo a t enleve.

# GHOST responses
NICK_GHOST_SYNTAX
	GHOST pseudo [motdepasse]
NICK_NO_GHOST_SELF
	Vous ne pouvez pas utiliser GHOST sur vous-mme!
NICK_GHOST_KILLED
	L'utilisateur fantme utilisant votre pseudo a t dconnect.

# GETPASS responses
NICK_GETPASS_SYNTAX
	GETPASS pseudo
NICK_GETPASS_UNAVAILABLE
	La commande GETPASS est indisponible car le cryptage est utilis.
NICK_GETPASS_PASSWORD_IS
	Le mot de passe de %s est %s.

# SENDPASS responses
NICK_GETEMAIL_SYNTAX
	GETEMAIL user@email-host Pas de jokers !!
NICK_GETEMAIL_EMAILS_ARE
	E-mails trouvs %s pour %s.
NICK_GETEMAIL_NOT_USED
	Aucun E-mail list pour %s.
	
# SENDPASS responses
NICK_SENDPASS_SYNTAX
	SENDPASS pseudo
NICK_SENDPASS_UNAVAILABLE
	La commande SENDPASS est indisponible car le cryptage est utilis.
NICK_SENDPASS_SUBJECT
	Mot de passe du pseudo %s
NICK_SENDPASS_HEAD
	Bonjour,
NICK_SENDPASS_LINE_1
	Vous avez demand  recevoir le mot de passe du pseudo %s par e-mail.
NICK_SENDPASS_LINE_2
	Le mot de passe est %s . Pour des raisons de scurit, vous devriez le changer ds que vous lisez cet e-mail.
NICK_SENDPASS_LINE_3
	Si vous ne savez pas de quoi il retourne dans cet e-mail, il s'agit probablement d'une erreur, nous vous prions de nous excuser et vous demandons d'ignorer cet e-mail.
NICK_SENDPASS_LINE_4
	NE REPONDEZ PAS  CE MAIL!
NICK_SENDPASS_LINE_5
	Les administrateurs de %s.
NICK_SENDPASS_OK
	Le mot de passe de %s a t envoy.

# RESETPASS responces
NICK_RESETPASS_SYNTAX
	RESETPASS nickname
NICK_RESETPASS_SUBJECT
	Reset password request for %s
NICK_RESETPASS_MESSAGE
	Hi,
	
	You have requested to have the password for %s reset.
	To reset your password, type %R%s CONFIRM %s
	If you don't know why this mail is sent to you, please ignore it silently.
	
	PLEASE DON'T ANSWER TO THIS MAIL!
	
	%s administrators.
NICK_RESETPASS_COMPLETE
	Password reset email for %s has been sent.

# FORBID responses
NICK_SUSPEND_SYNTAX
	SUSPEND pseudo raison
NICK_SUSPEND_SUCCEEDED
	Le pseudo %s est suspendu.
NICK_SUSPEND_FAILED
	Impossible de suspendre le pseudo %s!

# UNSUSPEND responses
NICK_UNSUSPEND_SYNTAX
	UNSUSPEND pseudo
NICK_UNSUSPEND_SUCCEEDED
	Le pseudo %s est liber.
NICK_UNSUSPEND_FAILED
	Impossible de librer le pseudo %s!

# FORBID responses
NICK_FORBID_SYNTAX
	FORBID pseudo [raison]
NICK_FORBID_SYNTAX_REASON
	FORBID pseudo raison
NICK_FORBID_SUCCEEDED
	Le pseudo %s est dsormais interdit.
NICK_FORBID_FAILED
	Impossible d'interdire le pseudo %s!

###########################################################################
#
# ChanServ messages
#
###########################################################################

# Access level descriptions
NICK_REQUESTED
	Une demande d'enregistrement pour ce pseudo est en cours. Merci de patienter 24 heures.
NICK_REG_RESENT
	Votre mot de passe a t renvoy  %s.
NICK_REG_UNABLE
	Pseudo non enregistr... Ressayez plus tard.
NICK_IS_PREREG
	Une demande d'enregistrement pour ce pseudo est en cours. La confirmation n'a pas t effectue.
NICK_ENTER_REG_CODE
	Un passcode a t envoy  %s, merci de taper %R%s confirm <passcode> une fois que vous l'aurez reu pour complter l'enregistrement.
NICK_REG_MAIL_SUBJECT
	Enregistrement d'un pseudo (%s)
NICK_REG_MAIL_HEAD
	Bonjour,
NICK_REG_MAIL_LINE_1
	Vous venez de demander l'enregistrement du pseudo %s.
NICK_REG_MAIL_LINE_2
	Veuillez tapez " %R%s confirm %s " sur IRC afin de valider l'enregistrement.
NICK_REG_MAIL_LINE_3
	Si vous ne savez pas pourquoi vous avez reu cet email, ignorez-le.
NICK_REG_MAIL_LINE_4
	NE REPONDEZ PAS  CE MESSAGE.
NICK_REG_MAIL_LINE_5
	Les administrateurs de %s.
NICK_GETPASS_PASSCODE_IS
	Le passcode pour %s est %s.
NICK_FORCE_REG
	Pseudo %s confirm

NICK_CONFIRM_NOT_FOUND
	Aucune validation en attente... Tapez: "%R%s register <password> <email>" pour l'enregistrer.
NICK_CONFIRM_INVALID
	Passcode invalide, merci de le vrifier.
NICK_CONFIRM_EXPIRED
	Your password reset request has expired.
NICK_CONFIRM_SUCCESS
	You are now identified for your nick. Change your password using "%R%s SET PASSWORD newpassword" now.

###########################################################################
#
# ChanServ messages
#
###########################################################################

# Access level descriptions
CHAN_LEVEL_AUTOOP
	Statut automatique d'oprateur du canal
CHAN_LEVEL_AUTOVOICE
	Mode +v automatique
CHAN_LEVEL_AUTOHALFOP
	Mode +h automatique
CHAN_LEVEL_AUTOPROTECT
	Mode +a automatique
CHAN_LEVEL_AUTODEOP
	Non autoris  avoir le statut d'oprateur du canal
CHAN_LEVEL_NOJOIN
	Non autoris  rejoindre le canal s'il est restreint
CHAN_LEVEL_INVITE
	Autoris  utiliser la commande INVITE
CHAN_LEVEL_AKICK
	Autoris  utiliser la commande AKICK
CHAN_LEVEL_SET
	Autoris  utiliser la commande SET (mais pas FOUNDER/PASSWORD)
CHAN_LEVEL_CLEAR
	Autoris  utiliser la commande CLEAR
CHAN_LEVEL_UNBAN
	Autoris  utiliser la commande UNBAN
CHAN_LEVEL_OPDEOP
	Autoris  utiliser les commandes OP/DEOP
CHAN_LEVEL_ACCESS_LIST
	Autoris  voir la liste d'accs
CHAN_LEVEL_ACCESS_CHANGE
	Autoris  modifier la liste d'accs
CHAN_LEVEL_MEMO
	Autoris  lister/lire les mmos
CHAN_LEVEL_ASSIGN
	Autoris  attribuer/retirer un bot
CHAN_LEVEL_BADWORDS
	Autoris  utiliser la commande BADWORDS
CHAN_LEVEL_NOKICK
	Jamais kick par les kickers du bot
CHAN_LEVEL_FANTASIA
	Autoris  utiliser les commandes fantaisistes
CHAN_LEVEL_SAY
	Autoris  utiliser les commandes ACT et SAY
CHAN_LEVEL_GREET
	Message d'accueil affich
CHAN_LEVEL_VOICEME
	Autoris  se (de)voicer
CHAN_LEVEL_VOICE
	Autoris  utiliser les commandes VOICE/DEVOICE
CHAN_LEVEL_GETKEY
	Autoris  utiliser la commande GETKEY
CHAN_LEVEL_OPDEOPME
	Autoris  se (de)op
CHAN_LEVEL_HALFOPME
	Autoris  se (de)halfop
CHAN_LEVEL_HALFOP
	Autoris  utiliser les commandes HALFOP/DEHALFOP
CHAN_LEVEL_PROTECTME
	Autoris  se (d)protger
CHAN_LEVEL_PROTECT
	Autoris  utiliser les commandes PROTECT/DEPROTECT
CHAN_LEVEL_KICKME
	Autoris  se kicker
CHAN_LEVEL_KICK
	Autoris  utiliser la commande KICK
CHAN_LEVEL_SIGNKICK
	Pas de kick sign quand SIGNKICK LEVEL est utilis
CHAN_LEVEL_BANME
	Autoris  se bannir
CHAN_LEVEL_BAN
	Autoris  utiliser la commande BAN
CHAN_LEVEL_TOPIC
	Autoris  utiliser la commande TOPIC
CHAN_LEVEL_INFO
	Autoris  utiliser la commande INFO avec l'option ALL
CHAN_LEVEL_AUTOOWNER
	Automatic mode +q
CHAN_LEVEL_OWNER
	Allowed to use OWNER command
CHAN_LEVEL_OWNERME
	Allowed to (de)owner him/herself

# Automatic responses
CHAN_IS_REGISTERED
	Ce canal a t enregistr avec %s.
CHAN_NOT_ALLOWED_OP
	Vous ne pouvez pas tre oprateur du canal %s.
CHAN_MAY_NOT_BE_USED
	Ce canal ne peut tre utilis.
CHAN_NOT_ALLOWED_TO_JOIN
	Vous n'tes pas autoris  tre sur ce canal.

# REGISTER responses
CHAN_X_INVALID
	Le canal %s n'est pas un canal valide.

# REGISTER responses
CHAN_REGISTER_SYNTAX
	REGISTER canal motdepasse description
CHAN_REGISTER_DISABLED
	Dsol, l'enregistrement des canaux est temporairement dsactiv.
CHAN_REGISTER_NOT_LOCAL
	Les canaux locaux ne peuvent tre enregistrs.
CHAN_MAY_NOT_BE_REGISTERED
	Le canal %s ne peut pas tre enregistr.
CHAN_ALREADY_REGISTERED
	Le canal %s est dj enregistr!
CHAN_MUST_BE_CHANOP
	Vous devez tre un oprateur du canal pour l'enregistrer.
CHAN_REACHED_CHANNEL_LIMIT
	Dsol, vous avez dj atteint votre limite de %d canaux.
CHAN_EXCEEDED_CHANNEL_LIMIT
	Dsol, vous avez dj dpass votre limite de %d canaux.
CHAN_REGISTRATION_FAILED
	Dsol, l'enregistrement a chou.
CHAN_REGISTERED
	Le canal %s a t enregistr sous votre pseudo: %s
CHAN_REGISTER_NONE_CHANNEL
	Vous avez essay d'enregistrer le canal %s qui n'existe pas.
CHAN_SYMBOL_REQUIRED
	Veuillez utiliser les symbole # quand vous voulez enregistrer
	un canal.

# DROP responses
CHAN_DROP_SYNTAX
	DROP canal
CHAN_DROP_DISABLED
	Dsol, l'effacement de canaux est temporairement dsactiv.
CHAN_DROPPED
	Le canal %s a t effac.

# SET responses
CHAN_SET_SYNTAX
	SET canal option paramtres
CHAN_SET_DISABLED
	Dsol, la configuration des options du canal est temporairement dsactive.
CHAN_SET_UNKNOWN_OPTION
	Option SET %s inconnue.

# SET FOUNDER responses
CHAN_SET_FOUNDER_TOO_MANY_CHANS
	%s a trop de canaux enregistrs.
CHAN_FOUNDER_CHANGED
	Le propritaire de %s est maintenant %s.

# SET SUCCESSOR responses
CHAN_SUCCESSOR_CHANGED
	Le successeur de %s est maintenant %s.
CHAN_SUCCESSOR_UNSET
	Il n'y a plus de successeur sur %s.
CHAN_SUCCESSOR_IS_FOUNDER
	%s ne peut tre successeur et propritaire du canal %s.

# SET DESC responses
CHAN_DESC_CHANGED
	La description de %s est maintenant %s.

# SET URL responses
CHAN_URL_CHANGED
	L'adresse du site de %s est maintenant %s.
CHAN_URL_UNSET
	L'adresse du site de %s a t efface.

# SET EMAIL responses
CHAN_EMAIL_CHANGED
	L'e-mail de %s est maintenant %s.
CHAN_EMAIL_UNSET
	L'e-mail de %s a t efface.

# SET ENTRYMSG responses
CHAN_ENTRY_MSG_CHANGED
	Le message d'entre de %s a t chang.
CHAN_ENTRY_MSG_UNSET
	Le message d'entre de %s a t effac.
	
# SET BANTYPE responses
CHAN_SET_BANTYPE_INVALID
	%s n'est pas un type de ban valide.
CHAN_SET_BANTYPE_CHANGED
	Le type de ban du canal %s est maintenant le numro %d.

# SET MLOCK responses
CHAN_SET_MLOCK_UNKNOWN_CHAR
	Mode %c ignor car inconnu.
CHAN_SET_MLOCK_IMPOSSIBLE_CHAR
	Mode %c ignor car il ne peut tre maintenu.
CHAN_SET_MLOCK_L_REQUIRED
	Vous devez faire garder le mode +l pour en faire autant avec le mode +L.
CHAN_SET_MLOCK_K_REQUIRED
	Vous devez faire garder le mode +i pour en faire autant avec le mode +K.
CHAN_MLOCK_CHANGED
	Les modes maintenus du canal %s sont maintenant %s.

# SET KEEPTOPIC responses
CHAN_SET_KEEPTOPIC_SYNTAX
	SET canal KEEPTOPIC {ON | OFF}
CHAN_SET_KEEPTOPIC_ON
	Le maintient du topic est maintenant ACTIF sur %s.
CHAN_SET_KEEPTOPIC_OFF
	Le maintient du topic est maintenant INACTIF sur %s.

# SET TOPICLOCK responses
CHAN_SET_TOPICLOCK_SYNTAX
	SET canal TOPICLOCK {ON | OFF}
CHAN_SET_TOPICLOCK_ON
	Le verrouillage du sujet pour %s est maintenant ACTIF.
CHAN_SET_TOPICLOCK_OFF
	Le verrouillage du sujet pour %s est maintenant INACTIF.

# SET PEACE responses
CHAN_SET_PEACE_SYNTAX
	SET canal PEACE {ON | OFF}
CHAN_SET_PEACE_ON
	Le mode 'paix' est ACTIF pour %s.
CHAN_SET_PEACE_OFF
	Le mode 'paix' est INACTIF pour %s.

# SET PRIVATE responses
CHAN_SET_PRIVATE_SYNTAX
	SET canal PRIVATE {ON | OFF}
CHAN_SET_PRIVATE_ON
	L'option 'priv' pour %s est maintenant ACTIVE.
CHAN_SET_PRIVATE_OFF
	L'option 'priv' pour %s est maintenant INACTIVE.

# SET SECUREOPS responses
CHAN_SET_SECUREOPS_SYNTAX
	SET canal SECUREOPS {ON | OFF}
CHAN_SET_SECUREOPS_ON
	La scurit des OPs pour %s est maintenant ACTIVE.
CHAN_SET_SECUREOPS_OFF
	La scurit des OPs sur %s est maintenant INACTIVE.

# SET SECUREFOUNDER responses
CHAN_SET_SECUREFOUNDER_SYNTAX
	SET canal SECUREFOUNDER {ON | OFF}
CHAN_SET_SECUREFOUNDER_ON
	L'option de scurit du propritaire pour %s est ACTIVE.
CHAN_SET_SECUREFOUNDER_OFF
	L'option de scurit du propritaire pour %s est INACTIVE.

# SET RESTRICTED responses
CHAN_SET_RESTRICTED_SYNTAX
	SET canal RESTRICTED {ON | OFF}
CHAN_SET_RESTRICTED_ON
	Les restrictions d'accs pour %s sont maintenant ACTIVES.
CHAN_SET_RESTRICTED_OFF
	Les restrictions d'accs pour %s sont maintenant INACTIVES.

# SET SECURE responses
CHAN_SET_SECURE_SYNTAX
	SET canal SECURE {ON | OFF}
CHAN_SET_SECURE_ON
	L'option de scurit pour %s est ACTIVE.
CHAN_SET_SECURE_OFF
	L'option de scurit pour %s est INACTIVE.

# SET SIGNKICK responses
CHAN_SET_SIGNKICK_SYNTAX
	SET canal SIGNKICK {ON | LEVEL | OFF}
CHAN_SET_SIGNKICK_ON
	Les kicks seront maintenant signs sur %s.
CHAN_SET_SIGNKICK_LEVEL
	Les kicks seront maintenant signs sur %s en fonction de 
	l'accs de l'utilisateur sur le canal.
CHAN_SET_SIGNKICK_OFF
	Les kicks ne seront plus signs sur %s.

# SET OPNOTICE responses
CHAN_SET_OPNOTICE_SYNTAX
	SET canal OPNOTICE {ON | OFF}
CHAN_SET_OPNOTICE_ON
	L'option 'op-notice' est maintenant ACTIVE sur %s.
CHAN_SET_OPNOTICE_OFF
	L'option 'op-notice' est maintenant INACTIVE sur
	%s.

# SET OPNOTICE responses
CHAN_SET_XOP_SYNTAX
	SET canal XOP {ON | OFF}
CHAN_SET_XOP_ON
	Le systme de xOP est maintenant ACTIF sur %s.
CHAN_SET_XOP_OFF
	Le systme de xOP est maintenant INACTIF sur %s.

# SET PERSISTANT responces
CHAN_SET_PERSIST_SYNTAX
	SET channel PERSIST {ON | OFF}
CHAN_SET_PERSIST_ON
	Channel %s is now persistant.
CHAN_SET_PERSIST_OFF
	Channel %s is no longer persistant.

# SET NOEXPIRE responses
CHAN_SET_NOEXPIRE_SYNTAX
	SET canal NOEXPIRE {ON | OFF}
CHAN_SET_NOEXPIRE_ON
	Le canal %s n'expirera pas.
CHAN_SET_NOEXPIRE_OFF
	Le canal %s expirera.

# xOP messages
CHAN_XOP_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d entres sur les listes des AOPs/SOPs/VOPs d'un canal.
CHAN_XOP_LIST_FORMAT
	  %3d  %s
CHAN_XOP_ACCESS
	Vous ne pouvez pas utiliser cette commande. 
	Utilisez la commandes ACCESS  la place.
	Tapez %R%s HELP ACCESS pour plus d'informations.
CHAN_XOP_NOT_AVAILABLE
	Le systme xOP n'est pas disponible.

# QOP messages
CHAN_QOP_SYNTAX
	QOP channel {ADD|DEL|LIST|CLEAR} [nick | entry-list]
CHAN_QOP_DISABLED
	Sorry, channel QOP list modification is temporarily disabled.
CHAN_QOP_NICKS_ONLY
	Channel QOP lists may only contain registered nicknames.
CHAN_QOP_ADDED
	%s added to %s QOP list.
CHAN_QOP_MOVED
	%s moved to %s QOP list.
CHAN_QOP_NO_SUCH_ENTRY
	No such entry (#%d) on %s QOP list.
CHAN_QOP_NOT_FOUND
	%s not found on %s QOP list.
CHAN_QOP_NO_MATCH
	No matching entries on %s QOP list.
CHAN_QOP_DELETED
	%s deleted from %s QOP list.
CHAN_QOP_DELETED_ONE
	Deleted 1 entry from %s QOP list.
CHAN_QOP_DELETED_SEVERAL
	Deleted %d entries from %s QOP list.
CHAN_QOP_LIST_EMPTY
	%s QOP list is empty.
CHAN_QOP_LIST_HEADER
	QOP list for %s:
	  Num  Nick
CHAN_QOP_CLEAR
	Channel %s QOP list has been cleared.

# AOP messages
CHAN_AOP_SYNTAX
	AOP canal {ADD|DEL|LIST|CLEAR} [pseudo [level] | liste-d'entres]
CHAN_AOP_DISABLED
	Dsol, la modification des listes des AOPs des canaux est temporairement dsactive.
CHAN_AOP_NICKS_ONLY
	Les listes des AOPs des canaux ne peuvent contenir que des pseudos enregistrs.
CHAN_AOP_ADDED
	%s ajout  la liste des AOPs de %s.
CHAN_AOP_MOVED
	%s a t dplac dans la liste des AOPs de %s.
CHAN_AOP_NO_SUCH_ENTRY
	Entre inexistante (#%d) sur la liste des AOPs de %s.
CHAN_AOP_NOT_FOUND
	%s introuvable sur la liste des AOPs de %s.
CHAN_AOP_NO_MATCH
	Aucune entre correspondante sur la liste des AOPs de %s.
CHAN_AOP_DELETED
	%s supprim de la liste des AOPs de %s.
CHAN_AOP_DELETED_ONE
	1 entre supprime de la liste des AOPs de %s.
CHAN_AOP_DELETED_SEVERAL
	%d entres supprimes de la liste des AOPs de %s.
CHAN_AOP_LIST_EMPTY
	La liste des AOPs de %s est vide.
CHAN_AOP_LIST_HEADER
	Liste des AOPs de %s:
	  Num  Pseudo
CHAN_AOP_CLEAR
	La liste des AOPs de %s est maintenant vide.

# HOP messages
CHAN_HOP_SYNTAX
	HOP canal {ADD|DEL|LIST|CLEAR} [pseudo [level] | liste-d'entres]
CHAN_HOP_DISABLED
	Dsol, la modification des listes des HOPs des canaux est temporairement dsactive.
CHAN_HOP_NICKS_ONLY
	Les listes des HOPs des canaux ne peuvent contenir que des pseudos enregistrs.
CHAN_HOP_ADDED
	%s ajout  la liste des HOPs de %s.
CHAN_HOP_MOVED
	%s a t dplac dans la liste des HOPs de %s.
CHAN_HOP_NO_SUCH_ENTRY
	Entre inexistante (#%d) sur la liste des HOPs de %s.
CHAN_HOP_NOT_FOUND
	%s introuvable sur la liste des HOPs de %s.
CHAN_HOP_NO_MATCH
	Aucune entre correspondante sur la liste des HOPs de %s.
CHAN_HOP_DELETED
	%s supprim de la liste des HOPs de %s.
CHAN_HOP_DELETED_ONE
	1 entre supprime de la liste des HOPs de %s.
CHAN_HOP_DELETED_SEVERAL
	%d entres supprimes de la liste des HOPs de %s.
CHAN_HOP_LIST_EMPTY
	La liste des HOPs de %s est vide.
CHAN_HOP_LIST_HEADER
	Liste des HOPs de %s:
	  Num  Pseudo
CHAN_HOP_CLEAR
	La liste des HOPs de %s est maintenant vide.

# SOP messages
CHAN_SOP_SYNTAX
	SOP canal {ADD|DEL|LIST|CLEAR} [pseudo [level] | liste-d'entres]
CHAN_SOP_DISABLED
	Dsol, la modification des listes des SOPs des canaux est temporairement dsactive.
CHAN_SOP_NICKS_ONLY
	Les listes des SOPs des canaux ne peuvent contenir que des pseudos enregistrs.
CHAN_SOP_ADDED
	%s ajout  la liste des SOPs de %s.
CHAN_SOP_MOVED
	%s a t dplac dans la liste des SOPs de %s.
CHAN_SOP_NO_SUCH_ENTRY
	Entre inexistante (#%d) sur la liste des SOPs de %s.
CHAN_SOP_NOT_FOUND
	%s introuvable sur la liste des SOPs de %s.
CHAN_SOP_NO_MATCH
	Aucune entre correspondante sur la liste des SOPs de %s.
CHAN_SOP_DELETED
	%s supprim de la liste des SOPs de %s.
CHAN_SOP_DELETED_ONE
	1 entre supprime de la liste des SOPs de %s.
CHAN_SOP_DELETED_SEVERAL
	%d entres supprimes de la liste des SOPs de %s.
CHAN_SOP_LIST_EMPTY
	La liste des SOPs de %s est vide.
CHAN_SOP_LIST_HEADER
	Liste des SOPs de %s:
	  Num  Pseudo
CHAN_SOP_CLEAR
	La liste des SOPs de %s est maintenant vide.

# VOP messages
CHAN_VOP_SYNTAX
	VOP canal {ADD|DEL|LIST|CLEAR} [pseudo [level] | liste-d'entres]
CHAN_VOP_DISABLED
	Dsol, la modification des listes des VOPs des canaux est temporairement dsactive.
CHAN_VOP_NICKS_ONLY
	Les listes des VOPs des canaux ne peuvent contenir que des pseudos enregistrs.
CHAN_VOP_ADDED
	%s ajout  la liste des VOPs de %s.
CHAN_VOP_MOVED
	%s a t dplac dans la liste des VOPs de %s.
CHAN_VOP_NO_SUCH_ENTRY
	Entre inexistante (#%d) sur la liste des VOPs de %s.
CHAN_VOP_NOT_FOUND
	%s introuvable sur la liste des VOPs de %s.
CHAN_VOP_NO_MATCH
	Aucune entre correspondante sur la liste des VOPs de %s.
CHAN_VOP_DELETED
	%s supprim de la liste des VOPs de %s.
CHAN_VOP_DELETED_ONE
	1 entre supprime de la liste des VOPs de %s.
CHAN_VOP_DELETED_SEVERAL
	%d entres supprimes de la liste des VOPs de %s.
CHAN_VOP_LIST_EMPTY
	La liste des VOPs de %s est vide.
CHAN_VOP_LIST_HEADER
	Liste des VOPs de %s:
	  Num  Pseudo
CHAN_VOP_CLEAR
	La liste des VOPs de %s est maintenant vide.

# ACCESS messages
CHAN_ACCESS_SYNTAX
	ACCESS canal {ADD|DEL|LIST|CLEAR} [pseudo [level] | liste-d'entres]
CHAN_ACCESS_XOP
	Vous ne pouvez pas utiliser cette commande.
	Utilisez les commandes AOP, SOP et VOP  la place.
	Tapez %R%s HELP commande pour plus d'informations.
CHAN_ACCESS_XOP_HOP
	Vous ne pouvez pas utiliser cette commande. 
	Utilisez les commandes AOP, SOP, HOP and VOP  la place.
	Tapez %R%s HELP command pour plus d'informations.
CHAN_ACCESS_DISABLED
	Dsol, la modification des listes d'accs des canaux est temporairement dsactive.
CHAN_ACCESS_LEVEL_NONZERO
	Le niveau d'accs doit tre diffrent de zro.
CHAN_ACCESS_LEVEL_RANGE
	Le niveau d'accs doit tre compris entre %d et %d inclus.
CHAN_ACCESS_NICKS_ONLY
	Les listes d'accs des canaux ne peuvent contenir que des pseudos enregistrs.
CHAN_ACCESS_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d entres sur la liste d'accs d'un canal.
CHAN_ACCESS_LEVEL_UNCHANGED
	Le niveau d'accs de %s sur %s est inchang de %d.
CHAN_ACCESS_LEVEL_CHANGED
	Le niveau d'accs de %s sur %s est maintenant de %d.
CHAN_ACCESS_ADDED
	%s ajout  la liste d'accs de %s au level %d.
CHAN_ACCESS_NO_SUCH_ENTRY
	Entre inexistante (#%d) sur la liste d'accs de %s.
CHAN_ACCESS_NOT_FOUND
	%s introuvable sur la liste d'accs de %s.
CHAN_ACCESS_NO_MATCH
	Aucune entre correspondante sur la liste d'accs de %s.
CHAN_ACCESS_DELETED
	%s supprim de la liste d'accs de %s.
CHAN_ACCESS_DELETED_ONE
	1 entre supprime de la liste d'accs de %s.
CHAN_ACCESS_DELETED_SEVERAL
	%d entres supprimes de la liste d'accs de %s.
CHAN_ACCESS_LIST_EMPTY
	La liste d'accs de %s est vide.
CHAN_ACCESS_LIST_HEADER
	Liste d'accs de %s:
	  Num   Lev  Pseudo
CHAN_ACCESS_LIST_FOOTER
	Fin de liste d'accs.
CHAN_ACCESS_LIST_XOP_FORMAT
	  %3d   %s  %s
CHAN_ACCESS_LIST_AXS_FORMAT
	  %3d  %4d  %s
CHAN_ACCESS_CLEAR
	La liste d'accs de %s est maintenant vide.
CHAN_ACCESS_VIEW_XOP_FORMAT
	  %3d   %s   %s
	    by %s, last seen %s
CHAN_ACCESS_VIEW_AXS_FORMAT
	  %3d  %4d  %s
	    by %s, last seen %s

# AKICK responses
CHAN_AKICK_SYNTAX
	AKICK canal {ADD | STICK | UNSTICK | DEL | LIST | VIEW | ENFORCE | CLEAR} [pseudo-ou-usermask]
CHAN_AKICK_DISABLED
	Dsol, la modification de la liste de kicks automatiques du canal 
	est temporairement dsactive.
CHAN_AKICK_ALREADY_EXISTS
	%s existe dj sur la liste de kicks automatiques de %s.
CHAN_AKICK_REACHED_LIMIT
	Dsol, vous ne pouvez avoir plus de %d entres de kicks automatiques 
	sur un canal.
CHAN_AKICK_ADDED
	%s ajout  la liste de kicks automatiques de %s.
CHAN_AKICK_NO_SUCH_ENTRY
	Entre (#%d) inexistante sur la liste de kicks automatiques de %s.
CHAN_AKICK_NOT_FOUND
	%s introuvable sur la liste de kicks automatiques de %s.
CHAN_AKICK_NO_MATCH
	Aucune entre correspondante sur la liste de kicks automatiques de %s.
CHAN_AKICK_STUCK
	%s est dsormais maintenu en permanence sur le canal %s.
CHAN_AKICK_UNSTUCK
	%s n'est plus maintenu en permanence sur le canal %s.
CHAN_AKICK_DELETED
	%s supprim de la liste de kicks automatiques de %s.
CHAN_AKICK_DELETED_ONE
	1 entre supprime de la liste de kicks automatiques de %s.
CHAN_AKICK_DELETED_SEVERAL
	%d entres supprimes de la liste de kicks automatiques de %s.
CHAN_AKICK_LIST_EMPTY
	la liste de kicks automatiques de %s est vide.
CHAN_AKICK_LIST_HEADER
	Liste de kicks automatiques de %s:
CHAN_AKICK_LIST_FORMAT
	  %3d %s (%s)
CHAN_AKICK_VIEW_FORMAT
	%3d %s (par %s le %s)
	    %s
CHAN_AKICK_VIEW_FORMAT_STUCK
	%3d %s (maintenu) (par %s le %s)
	    %s
CHAN_AKICK_ENFORCE_DONE
	L'application des entres de la liste de kicks automatiques 
	pour %s est termine, %d utilisateurs taient concerns.
CHAN_AKICK_CLEAR
	La liste de kicks automatiques de %s est maintenant vide.

# LEVELS responses
CHAN_LEVELS_SYNTAX
	LEVELS canal {SET | DIS[ABLE] | LIST | RESET} [option [level]]
CHAN_LEVELS_XOP
	Cette commande est inutile dans ce mode.
CHAN_LEVELS_RANGE
	Le niveau doit tre compris entre %d et %d inclus.
CHAN_LEVELS_CHANGED
	Le niveau pour %s du channel %s est maintenant de %d.
CHAN_LEVELS_CHANGED_FOUNDER
	Level for %s on channel %s changed to founder only.
CHAN_LEVELS_UNKNOWN
	L'option %s est inconnue.  Tapez %R%s HELP LEVELS DESC pour une 
	liste d'options valides.
CHAN_LEVELS_DISABLED
	Le niveau %s est maintenant dsactiv sur le canal %s.
CHAN_LEVELS_LIST_HEADER
	Options de niveaux d'accs du canal %s:
CHAN_LEVELS_LIST_DISABLED
	    %-*s  (dsactiv)
CHAN_LEVELS_LIST_FOUNDER
	    %-*s  (propritaire uniquement)
CHAN_LEVELS_LIST_NORMAL
	    %-*s  %d
CHAN_LEVELS_RESET
	Les niveaux d'accs de %s ont t rinitialiss  leur valeur par dfaut.

# Status Messages
CHAN_STATUS_SYNTAX
	STATUS channel item
CHAN_STATUS_NOT_REGGED
	ERREUR : Le canal %s n'est pas enregistr.
CHAN_STATUS_FORBIDDEN
	ERREUR : Ce canal %s est interdit.
CHAN_STATUS_NOTONLINE
	ERREUR : Le pseudo %s n'est pas connect.
CHAN_STATUS_INFO
	STATUT %s %s %d

# INFO responses
CHAN_INFO_SYNTAX
	INFO canal [ALL]
CHAN_INFO_HEADER
	Informations pour le canal %s:
CHAN_INFO_FOUNDER
	        Propritaire: %s (%s)
CHAN_INFO_NO_FOUNDER
	        Propritaire: %s
CHAN_INFO_SUCCESSOR
	          Successeur: %s (%s)
CHAN_INFO_NO_SUCCESSOR
	          Successeur: %s
CHAN_INFO_DESCRIPTION
	         Description: %s
CHAN_INFO_ENTRYMSG
	    Message d'entre: %s
CHAN_INFO_TIME_REGGED
	          Enregistr: %s
CHAN_INFO_LAST_USED
	Dernire utilisation: %s
CHAN_INFO_LAST_TOPIC
	       Dernier sujet: %s
CHAN_INFO_TOPIC_SET_BY
	    Sujet chang par: %s
CHAN_INFO_URL
	     Adresse du site: %s
CHAN_INFO_EMAIL
	              E-mail: %s
CHAN_INFO_BANTYPE
	         Type de ban: %d
CHAN_INFO_OPTIONS
	             Options: %s
CHAN_INFO_OPT_KEEPTOPIC
	Maintien du topic
CHAN_INFO_OPT_OPNOTICE
	Notice sur OP
CHAN_INFO_OPT_PEACE
	Paix
CHAN_INFO_OPT_PRIVATE
	Confidentialit
CHAN_INFO_OPT_RESTRICTED
	Accs restreint
CHAN_INFO_OPT_SECURE
	Scurit
CHAN_INFO_OPT_SECUREOPS
	Contrle des OPs
CHAN_INFO_OPT_SECUREFOUNDER
	Contrle du propritaire
CHAN_INFO_OPT_SIGNKICK
	Kicks signs
CHAN_INFO_OPT_TOPICLOCK
	Verrouillage du topic
CHAN_INFO_OPT_XOP
	Systme de listes de xOPs
CHAN_INFO_OPT_PERSIST
	Persistant
CHAN_INFO_OPT_NONE
	Aucune
CHAN_INFO_MODE_LOCK
	     Modes maintenus: %s
CHAN_INFO_EXPIRE
	      Expires in: %s
CHAN_INFO_NO_EXPIRE
	Ce canal n'expirera pas.

# LIST responses
CHAN_LIST_SYNTAX
	LIST modle
CHAN_LIST_SERVADMIN_SYNTAX
	LIST modle [FORBIDDEN] [NOEXPIRE]
CHAN_LIST_HEADER
	Liste d'entres correspondantes  %s:
CHAN_LIST_FORMAT
	    %-20s  %s
CHAN_LIST_END
	Fin de la liste - %d/%d correspondances affiches.

# CLIST responses
CHAN_INVITE_SYNTAX
	INVITE canal
CHAN_INVITE_ALREADY_IN
	Vous tes dj dans %s! 
CHAN_INVITE_SUCCESS
	Vous avez t invit  rejoindre %s.
CHAN_INVITE_OTHER_SUCCESS
	%s has been invited to %s.

# UNBAN responses
CHAN_UNBAN_SYNTAX
	UNBAN canal [nick]
CHAN_UNBANNED
	Vous avez t dbanni de %s.
CHAN_UNBANNED_OTHER
	%s has been unbanned from %s.

# TOPIC responses
CHAN_TOPIC_SYNTAX
	TOPIC canal [topic]

# CLEAR responses
CHAN_CLEAR_SYNTAX
	CLEAR canal raison
CHAN_CLEARED_BANS
	Tous les bans du canal %s ont t supprims.
CHAN_CLEARED_EXCEPTS
	Toutes les exceptions du canal %s ont t supprimes.
CHAN_CLEARED_MODES
	Tous les modes du canal %s ont t rinitialiss.
CHAN_CLEARED_OPS
	Tous les OPs du canal %s ont t enlevs.
CHAN_CLEARED_HOPS
	Tous les HalfOPs du canal %s ont t enlevs.
CHAN_CLEARED_VOICES
	Tous les voices du canal %s ont t enlevs.
CHAN_CLEARED_USERS
	Tous les utilisateurs du canal %s ont t kicks.
CHAN_CLEARED_INVITES
	Toutes les invites du canal %s ont t enleves.

# GETKEY responses
CHAN_GETKEY_SYNTAX
	GETKEY canal
CHAN_GETKEY_NOKEY
	Le canal %s n'a pas de cl.
CHAN_GETKEY_KEY
	La cl du canal %s est %s.

# FORBID responses
CHAN_FORBID_SYNTAX
	FORBID canal [raison]
CHAN_FORBID_SYNTAX_REASON
	FORBID canal raison
CHAN_FORBID_SUCCEEDED
	Le canal %s est maintenant interdit.
CHAN_FORBID_FAILED
	Impossible d'interdire le canal %s!

# Misc responses
CHAN_FORBID_REASON
	Ce canal a t interdit.

# SUSPEND responses
CHAN_SUSPEND_SYNTAX
	SUSPEND canal [raison]
CHAN_SUSPEND_SYNTAX_REASON
	SUSPEND canal raison
CHAN_SUSPEND_SUCCEEDED
	Le canal %s est maintenant suspendu.
CHAN_SUSPEND_FAILED
	Impossible de suspendre le canal %s!
CHAN_SUSPEND_REASON
	Ce canal est suspendu.

# UNSUSPEND responses
CHAN_UNSUSPEND_SYNTAX
	UNSUSPEND canal
CHAN_UNSUSPEND_ERROR
	Aucun # trouv devant le nom du canal.
CHAN_UNSUSPEND_SUCCEEDED
	Le canal %s est maintenant liber.
CHAN_UNSUSPEND_FAILED
	Impossible de librer le canal %s!

# Misc responses
CHAN_EXCEPTED
	%s a trouv une exception sur %s et ne peut le bannir tant que l'exception n'a pas t retire.
	
#Mode syntax responses
CHAN_OP_SYNTAX
	OP #channel [nick]
CHAN_HALFOP_SYNTAX
	HALFOP #channel [nick]
CHAN_VOICE_SYNTAX
	VOICE #channel [nick]
CHAN_PROTECT_SYNTAX
	PROTECT #channel [nick]
CHAN_OWNER_SYNTAX
	OWNER #channel
CHAN_DEOP_SYNTAX
	DEOP #channel [nick]
CHAN_DEHALFOP_SYNTAX
	DEHALFOP #channel [nick]
CHAN_DEVOICE_SYNTAX
	DEVOICE #channel [nick]
CHAN_DEPROTECT_SYNTAX
	DEROTECT #channel [nick]
CHAN_DEOWNER_SYNTAX
	DEOWNER #channel
	
#Kick responces
CHAN_KICK_SYNTAX
	KICK #channel nick [reason]

#Ban responces
CHAN_BAN_SYNTAX
	BAN #channel nick [reason]

###########################################################################
#
# MemoServ messages
#
###########################################################################

# Automatic messages
MEMO_HAVE_NEW_MEMO
	Vous avez 1 nouveau mmo.
MEMO_HAVE_NEW_MEMOS
	Vous avez %d nouveaux mmos.
MEMO_TYPE_READ_LAST
	Tapez %R%s READ LAST pour le lire.
MEMO_TYPE_READ_NUM
	Tapez %R%s READ %d pour le lire.
MEMO_TYPE_LIST_NEW
	Tapez %R%s LIST NEW pour les lister.
MEMO_AT_LIMIT
	Attention: Vous avez atteint votre nombre maximum de mmos (%d).  Vous ne pourrez plus recevoir de nouveaux mmos sauf si vous supprimez quelques-uns de vos mmos actuels. 
MEMO_OVER_LIMIT
	Attention: Vous avez dpass votre nombre maximum de mmos (%d).  Vous ne pourrez plus recevoir de nouveaux mmos sauf si vous supprimez quelques-uns de vos mmos actuels. 
MEMO_X_MANY_NOTICE
	Il y a %d mmos sur le canal %s.
MEMO_X_ONE_NOTICE
	Il y a %d mmo sur le canal %s.
MEMO_NEW_X_MEMO_ARRIVED
	Il y a un nouveau mmo dans le canal %s.
	Tapez %R%s READ %s %d pour le lire.
MEMO_NEW_MEMO_ARRIVED
	Vous avez un nouveau mmo de %s.
	Tapez %R%s READ %d pour le lire.

# Multi-use responses
MEMO_HAVE_NO_MEMOS
	Vous n'avez pas de mmos.
MEMO_X_HAS_NO_MEMOS
	%s n'a pas de mmos.
MEMO_DOES_NOT_EXIST
	Mmo %d n'existe pas!
MEMO_LIST_NOT_FOUND
	Aucun mmo correspondant trouv.

# SEND responses
MEMO_SEND_SYNTAX
	SEND {pseudo | canal} texte-du-memo
MEMO_SEND_DISABLED
	Dsol, l'envoi de mmos est temporairement dsactiv.
MEMO_SEND_PLEASE_WAIT
	Veuillez patienter %d secondes avant d'utiliser la commande SEND  nouveau.
MEMO_X_GETS_NO_MEMOS
	%s ne peut recevoir de mmos.
MEMO_X_HAS_TOO_MANY_MEMOS
	%s a trop de mmos et ne peut en recevoir plus.
MEMO_SENT
	Mmo envoy  %s.

# STAFF responses
MEMO_STAFF_SYNTAX
	STAFF memo-text

# CANCEL responses
MEMO_MASS_SENT
	Un mmo de masse a t envoy  tous les pseudos enregistrs.
	
# CANCEL responses
MEMO_CANCEL_SYNTAX
	CANCEL {pseudo | canal}
MEMO_CANCEL_DISABLED
	Dsol, l'annulation de mmos est temporairement dsactive.
MEMO_CANCEL_NONE
	Aucun mmo n'tait annulable.
MEMO_CANCELLED
	Le dernier mmo envoy  %s a t supprim.

# LIST responses
MEMO_LIST_SYNTAX
	LIST [canal] [liste | NEW]
MEMO_HAVE_NO_NEW_MEMOS
	Vous n'avez pas de nouveaux mmos.
MEMO_X_HAS_NO_NEW_MEMOS
	%s n'a pas de nouveaux mmos.
MEMO_LIST_MEMOS
	Mmos pour %s.  Pour lire, tapez: %R%s READ num
MEMO_LIST_NEW_MEMOS
	Nouveaux mmos pour %s.  Pour lire, tapez: %R%s READ num
MEMO_LIST_CHAN_MEMOS
	Mmos pour %s.  Pour lire, tapez: %R%s READ %s num
MEMO_LIST_CHAN_NEW_MEMOS
	Nouveaux mmos pour %s.  Pour lire, tapez: %R%s READ %s num
MEMO_LIST_HEADER
	 Num  Expditeur        Date/Heure
MEMO_LIST_FORMAT
	%c%3d  %-16s  %s

# READ responses
MEMO_READ_SYNTAX
	READ [canal] {liste | LAST | NEW}
MEMO_HEADER
	Mmo %d de %s (%s).  Pour supprimer, tapez: %R%s DEL %d
MEMO_CHAN_HEADER
	Mmo %d de %s (%s).  Pour supprimer, tapez: %R%s DEL %s %d
MEMO_TEXT
	%s

# DEL responses
MEMO_DEL_SYNTAX
	DEL [canal] {num | liste | ALL}
MEMO_DELETED_NONE
	Aucun mmo supprim.
MEMO_DELETED_ONE
	Le mmo %d a t supprim.
MEMO_DELETED_SEVERAL
	Les mmos %s ont t supprims.
MEMO_DELETED_ALL
	Tous vos mmos ont t supprims.

# SET responses
MEMO_CHAN_DELETED_ALL
	Tous les mmos du canal %s ont t supprims.

# SET responses
MEMO_SET_SYNTAX
	SET option paramtres
MEMO_SET_DISABLED
	Dsol, la configuration des options est temporairement dsactive.
MEMO_SET_UNKNOWN_OPTION
	Option SET %s inconnue.

# SET NOTIFY responses
MEMO_SET_NOTIFY_SYNTAX
	SET NOTIFY {ON | LOGON | NEW | MAIL | NOMAIL | OFF }
MEMO_SET_NOTIFY_ON
	%s vous notifiera maintenant des mmos quand vous vous connecterez et quand ils vous seront envoys.
MEMO_SET_NOTIFY_LOGON
	%s vous notifiera maintenant des mmos quand vous vous connecterez ou enleverez /AWAY.
MEMO_SET_NOTIFY_NEW
	%s vous notifiera maintenant des mmos quand ils vous seront envoys.
MEMO_SET_NOTIFY_OFF
	%s ne vous enverra aucune notification de mmo.

# SET LIMIT responses
MEMO_SET_NOTIFY_MAIL
	Vous serez maintenant averti par mail de l'arrive de nouveau(x) mmo(s).
MEMO_SET_NOTIFY_NOMAIL
	Vous ne serez plus averti par mail de l'arrive de nouveau(x) mmo(s).
MEMO_SET_NOTIFY_INVALIDMAIL
	Vous n'avez configur aucune adresse email pour votre pseudo.

# SET LIMIT responses
MEMO_SET_LIMIT_SYNTAX
	SET LIMIT [canal] limite
MEMO_SET_LIMIT_SERVADMIN_SYNTAX
	SET LIMIT [utilisateur | canal] {limite | NONE} [HARD]
MEMO_SET_YOUR_LIMIT_FORBIDDEN
	Vous n'tes pas autoris  changer votre limite de mmos.
MEMO_SET_LIMIT_FORBIDDEN
	La limite de mmos pour %s ne peut tre change.
MEMO_SET_YOUR_LIMIT_TOO_HIGH
	Vous ne pouvez mettre votre limite de mmos  plus de %d.
MEMO_SET_LIMIT_TOO_HIGH
	Vous ne pouvez mettre la limite de mmos de %s  plus de %d.
MEMO_SET_LIMIT_OVERFLOW
	Limite de mmos trop grande, limitation  %d.
MEMO_SET_YOUR_LIMIT
	Votre limite de mmos a t fixe  %d.
MEMO_SET_YOUR_LIMIT_ZERO
	Vous ne pourrez dsormais plus recevoir de mmos.
MEMO_UNSET_YOUR_LIMIT
	Votre limite de mmos a t dsactive.
MEMO_SET_LIMIT
	Limite de mmos de %s dfinie  %d.
MEMO_SET_LIMIT_ZERO
	Limite de mmos de %s dfinie  0.
MEMO_UNSET_LIMIT
	Limite de mmos de %s dsactive.

# INFO responses
MEMO_INFO_SYNTAX
	INFO [canal]
MEMO_INFO_SERVADMIN_SYNTAX
	INFO [pseudo | canal]
MEMO_INFO_NO_MEMOS
	Vous n'avez aucun mmo actuellement.
MEMO_INFO_MEMO
	Vous avez actuellement 1 mmo.
MEMO_INFO_MEMO_UNREAD
	Vous avez actuellement 1 mmo, qui n'a pas encore t lu.
MEMO_INFO_MEMOS
	Vous avez actuellement %d mmos.
MEMO_INFO_MEMOS_ONE_UNREAD
	Vous avez actuellement %d mmos, desquels 1 n'a pas t lu.
MEMO_INFO_MEMOS_SOME_UNREAD
	Vous avez actuellement %d mmos, desquels %d n'ont pas t lus.
MEMO_INFO_MEMOS_ALL_UNREAD
	Vous avez actuellement %d mmos, aucun d'entre-eux n'a t lu.
MEMO_INFO_LIMIT
	Votre limite de mmos est de %d.
MEMO_INFO_HARD_LIMIT
	Votre limite de mmos est de %d, et ne peut tre change.
MEMO_INFO_LIMIT_ZERO
	Votre limite de mmos est de 0, vous ne recevrez aucun nouveau mmo.
MEMO_INFO_HARD_LIMIT_ZERO
	Votre limite de mmos est de 0, vous ne recevrez aucun nouveau mmo.  Vous ne pouvez pas changer cette limite.
MEMO_INFO_NO_LIMIT
	Vous n'avez aucune limite sur le nombre de mmos que vous pouvez garder.
MEMO_INFO_NOTIFY_OFF
	Vous ne serez pas notifi pour les nouveaux mmos.
MEMO_INFO_NOTIFY_ON
	Vous serez notifi pour les nouveaux mmos  la connexion et quand ils arrivent.
MEMO_INFO_NOTIFY_RECEIVE
	Vous serez notifi quand de nouveaux mmos arrivent.
MEMO_INFO_NOTIFY_SIGNON
	Vous serez notifi pour les nouveaux mmos  la connexion.
MEMO_INFO_X_NO_MEMOS
	%s n'a actuellement aucun mmo.
MEMO_INFO_X_MEMO
	%s a actuellement 1 mmo.
MEMO_INFO_X_MEMO_UNREAD
	%s a actuellement 1 mmo, qui n'a pas encore t lu.
MEMO_INFO_X_MEMOS
	%s a actuellement %d mmos.
MEMO_INFO_X_MEMOS_ONE_UNREAD
	%s a actuellement %d mmos, desquels 1 n'a pas t lu.
MEMO_INFO_X_MEMOS_SOME_UNREAD
	%s a actuellement %d mmos, desquels %d n'ont pas t lus.
MEMO_INFO_X_MEMOS_ALL_UNREAD
	%s a actuellement %d mmos; aucun n'a t lu.
MEMO_INFO_X_LIMIT
	La limite de mmos de %s est de %d.
MEMO_INFO_X_HARD_LIMIT
	La limite de mmos de %s est de %d, elle ne peut pas tre change.
MEMO_INFO_X_NO_LIMIT
	%s n'a aucune limitation de mmos.
MEMO_INFO_X_NOTIFY_OFF
	%s n'est pas notifi pour les nouveaux mmos.
MEMO_INFO_X_NOTIFY_ON
	%s est notifi pour les nouveaux mmos quand ils arrivent et  la connexion.
MEMO_INFO_X_NOTIFY_RECEIVE
	%s est notifi quand de nouveaux mmos arrivent.
MEMO_INFO_X_NOTIFY_SIGNON
	%s est notifi pour les nouveaux mmos  la connexion.

###########################################################################
#
# BotServ messages
#
###########################################################################
	
# Standard responses
MEMO_MAIL_SUBJECT
	Nouveau mmo
MEMO_MAIL_TEXT1
	Bonjour %s,
MEMO_MAIL_TEXT2
	Vous venez de recevoir un mmo de %s. Le numro de ce mmo est %d.
MEMO_MAIL_TEXT3
	Mmo:

###########################################################################
#
# BotServ messages
#
###########################################################################
	
# Standard responses
MEMO_RSEND_PLEASE_WAIT
	Veuillez attendre %d secondes avant d'utiliser RSEND  nouveau.
MEMO_RSEND_DISABLED
	Dsol, RSEND est dsactiv sur ce rseau.
MEMO_RSEND_SYNTAX
	RSEND {pseudo | canal} memo-text
MEMO_RSEND_NICK_MEMO_TEXT
	[auto-memo] Le mmo que vous avez envoy a t vu.
MEMO_RSEND_CHAN_MEMO_TEXT
	[auto-memo] Le mmo que vous avez envoy a %s a t vu.
MEMO_RSEND_USER_NOTIFICATION
	Un accus de rception a t envoy a %s pour l'informer que vous avez lu son
	mmo.

###########################################################################
#
# BotServ messages
#
###########################################################################
	
# Standard responses
MEMO_CHECK_SYNTAX
	CHECK pseudo
MEMO_CHECK_NOT_READ
	Le dernier mmo que vous avez envoy  %s (le %s) n'a pas encore t lu.
MEMO_CHECK_READ
	Le dernier mmo que vous avez envoy  %s (le %s) a t lu.
MEMO_CHECK_NO_MEMO
	Le pseudo %s n'a aucun mmo de votre part.

###########################################################################
#
# BotServ messages
#
###########################################################################
	
# Standard responses
MEMO_NO_RSEND_SELF
	Vous ne pouvez pas recevoir d'accus de rception quand vous vous
	tes envoy un message  vous-meme.

###########################################################################
#
# BotServ messages
#
###########################################################################
	
# Standard responses
BOT_DOES_NOT_EXIST
	Le bot %s n'existe pas.
BOT_NOT_ASSIGNED
	Vous devez attribuer un bot au canal avant d'utiliser 
	cette commande.
	Tapez %R%S HELP ASSIGN pour plus d'informations.
BOT_NOT_ON_CHANNEL
	Le bot n'est pas sur le canal %s.
	
# Kick reasons (must be a single line)
BOT_REASON_BADWORD
	Ne dites pas %s sur ce canal!
BOT_REASON_BADWORD_GENTLE
	Surveillez votre langage !
BOT_REASON_BOLD
	N'utilisez pas de caractres gras sur ce canal!
BOT_REASON_CAPS
	Cessez d'utiliser tant de majuscules!
BOT_REASON_COLOR
	N'utilisez pas de couleurs sur ce canal!
BOT_REASON_FLOOD
	Arrtez d'envoyer autant de messages!
BOT_REASON_REPEAT
	Arrtez de vous rpter!
BOT_REASON_REVERSE
	N'utilisez pas de caractres inverss sur ce canal!
BOT_REASON_UNDERLINE
	N'utilisez pas de caractres souligns sur ce canal!
	
# !seen replies
BOT_SEEN_BOT
	Je suis l, %s!
BOT_SEEN_YOU
	%s est en pleine recherche spirituelle...
BOT_SEEN_ON_CHANNEL
	%s est sur le canal actuellement!
BOT_SEEN_ON_CHANNEL_AS
	%s est sur le canal actuellement (c'est %s) ! 
BOT_SEEN_ON
	%s a t vu pour la dernire fois ici il y a %s.
BOT_SEEN_NEVER
	Je n'ai jamais vu %s sur ce canal.
BOT_SEEN_UNKNOWN
	Je ne sais pas qui est %s.

# BOT responses
BOT_BOT_SYNTAX
	BOT ADD pseudo user host real
	BOT CHANGE ancien-pseudo nouveau-pseudo [user [host [real]]]
	BOT DEL pseudo
BOT_BOT_ALREADY_EXISTS
	Le bot %s existe dj.
BOT_BOT_CREATION_FAILED
	Dsol, la cration du bot a chou.
BOT_BOT_READONLY
	Dsol, la modification des bots est temporairement dsactive.
BOT_BOT_ADDED
	%s!%s@%s (%s) ajout  la liste des bots.
BOT_BOT_ANY_CHANGES
	L'ancienne information est gale  la nouvelle.
BOT_BOT_CHANGED
	Le bot %s a t chang en %s!%s@%s (%s)
BOT_BOT_DELETED
	Le bot %s a t supprim.
	
# BOTLIST responses
BOT_BOTLIST_HEADER
	Liste des bots:
BOT_BOTLIST_PRIVATE_HEADER
	Bots rservs aux oprateurs IRC:
BOT_BOTLIST_FOOTER
	%d bots disponibles.
BOT_BOTLIST_EMPTY
	Il n'y a aucun bot disponible actuellement.
	Demandez  un administrateur des services d'en crer un!
	
# ASSIGN responses
BOT_ASSIGN_SYNTAX
	ASSIGN canal pseudo
BOT_ASSIGN_READONLY
	Dsol, l'attribution des bots est temporairement dsactive.
BOT_ASSIGN_ALREADY
	Le bot %s est dja assign au canal %s.
BOT_ASSIGN_ASSIGNED
	Le bot %s a t attribu  %s.
	
# UNASSIGN responses
BOT_UNASSIGN_SYNTAX
	UNASSIGN canal
BOT_UNASSIGN_UNASSIGNED
	Il n'y a plus de bot attribu  %s.
BOT_UNASSIGN_PERSISTANT_CHAN
	You can not unassign bots while persist is set on the channel.

# INFO responses
BOT_INFO_SYNTAX
	INFO {canal | pseudo}
BOT_INFO_NOT_FOUND
	%s n'est pas un bot ou canal enregistr valide.
BOT_INFO_BOT_HEADER
	Information pour le bot %s:
BOT_INFO_BOT_MASK
	      Masque : %s@%s
BOT_INFO_BOT_REALNAME
	    Vrai nom : %s
BOT_INFO_BOT_CREATED
	        Cr : %s
BOT_INFO_BOT_USAGE
	 Utilis sur : %d channel(s)
BOT_INFO_BOT_OPTIONS
	     Options : %s
BOT_INFO_OPT_PRIVATE
	Priv
BOT_INFO_CHAN_HEADER
	Information pour le canal %s:
BOT_INFO_CHAN_BOT
	             Pseudo du bot : %s
BOT_INFO_CHAN_BOT_NONE
	             Pseudo du bot : non attribu.
BOT_INFO_CHAN_KICK_BADWORDS
	Kicker de mots interdits : %s
BOT_INFO_CHAN_KICK_BADWORDS_BAN
	Kicker de mots interdits : %s (%d kick(s) pour un ban)
BOT_INFO_CHAN_KICK_BOLDS
	     Kicker de car. gras : %s
BOT_INFO_CHAN_KICK_BOLDS_BAN
	     Kicker de car. gras : %s (%d kick(s) pour un ban)
BOT_INFO_CHAN_KICK_CAPS_ON
	    Kicker de majuscules : %s (minimum %d/%d%%)
BOT_INFO_CHAN_KICK_CAPS_BAN
	    Kicker de majuscules : %s (%d kick(s) pour un ban; minimum %d/%d%%)
BOT_INFO_CHAN_KICK_CAPS_OFF
	    Kicker de majuscules : %s
BOT_INFO_CHAN_KICK_COLORS
	      Kicker de couleurs : %s
BOT_INFO_CHAN_KICK_COLORS_BAN
	      Kicker de couleurs : %s (%d kick(s) pour un ban)
BOT_INFO_CHAN_KICK_FLOOD_ON
	         Kicker de flood : %s (%d lignes en %ds)
BOT_INFO_CHAN_KICK_FLOOD_BAN
	         Kicker de flood : %s (%d kick(s) pour un ban, %d lignes en %ds)
BOT_INFO_CHAN_KICK_FLOOD_OFF
	         Kicker de flood : %s
BOT_INFO_CHAN_KICK_REPEAT_ON
	    Kicker de rptition : %s (%d fois)
BOT_INFO_CHAN_KICK_REPEAT_BAN
	    Kicker de rptition : %s (%d kick(s) pour un ban, %d fois)
BOT_INFO_CHAN_KICK_REPEAT_OFF
	    Kicker de rptition : %s
BOT_INFO_CHAN_KICK_REVERSES
	      Kicker de reverses : %s
BOT_INFO_CHAN_KICK_REVERSES_BAN
	      Kicker de reverses : %s (%d kick(s) pour un ban)
BOT_INFO_CHAN_KICK_UNDERLINES
	Kicker de car. souligns : %s
BOT_INFO_CHAN_KICK_UNDERLINES_BAN
	Kicker de car. souligns : %s (%d kick(s) pour un ban)
BOT_INFO_ACTIVE
	actif
BOT_INFO_INACTIVE
	inactif
BOT_INFO_CHAN_OPTIONS
	                 Options : %s
BOT_INFO_OPT_DONTKICKOPS
	Protection des OPs
BOT_INFO_OPT_DONTKICKVOICES
	Protection des voices
BOT_INFO_OPT_FANTASY
	Fantaisie
BOT_INFO_OPT_GREET
	Message d'accueil
BOT_INFO_OPT_NOBOT
	Pas de bot
BOT_INFO_OPT_SYMBIOSIS
	Symbiose
BOT_INFO_OPT_NONE
	Aucune
	
# SET responses
BOT_SET_SYNTAX
	SET canal option paramtres
BOT_SET_DISABLED
	Dsol, la configuration des options du bot est 
	temporairement dsactive.
BOT_SET_UNKNOWN
	Option %s inconnue.
	Tapez %R%S HELP SET pour plus d'informations.
	
# SET DONTKICKOPS messages
BOT_SET_DONTKICKOPS_SYNTAX
	SET canal DONTKICKOPS {ON|OFF}
BOT_SET_DONTKICKOPS_ON
	Le bot ne kickera pas les OPs du canal %s.
BOT_SET_DONTKICKOPS_OFF
	Le bot kickera les OPs du canal %s.
	
# SET DONTKICKVOICES messages
BOT_SET_DONTKICKVOICES_SYNTAX
	SET canal DONTKICKVOICES {ON|OFF}
BOT_SET_DONTKICKVOICES_ON
	Le bot ne kickera pas les voices du canal %s.
BOT_SET_DONTKICKVOICES_OFF
	Le bot kickera les voices du canal %s.

# SET FANTASY messages
BOT_SET_FANTASY_SYNTAX
	SET canal FANTASY {ON|OFF}
BOT_SET_FANTASY_ON
	La fantaisie est maintenant active sur le canal %s.
BOT_SET_FANTASY_OFF
	La fantaisie est maintenant dsactive sur le canal %s.
	
# SET GREET messages
BOT_SET_GREET_SYNTAX
	SET canal GREET {ON|OFF}
BOT_SET_GREET_ON
	Le message d'accueil est maintenant activ sur le canal %s.
BOT_SET_GREET_OFF
	Le message d'accueil est maintenant dsactiv sur le canal %s.
	
# SET NOBOT
BOT_SET_NOBOT_SYNTAX
	SET canal NOBOT {ON|OFF}
BOT_SET_NOBOT_ON
	Le mode sans bot est maintenant activ sur le canal %s.
BOT_SET_NOBOT_OFF
	Le mode sans bot est maintenant dsactiv sur le canal %s.

# SET PRIVATE
BOT_SET_PRIVATE_SYNTAX
	SET canal PRIVATE {ON|OFF}
BOT_SET_PRIVATE_ON
	Le mode priv du bot %s est maintenant activ.
BOT_SET_PRIVATE_OFF
	Le mode priv du bot %s est maintenant dsactiv.
	
# SET SYMBIOSIS
BOT_SET_SYMBIOSIS_SYNTAX
	SET canal SYMBIOSIS {ON|OFF}
BOT_SET_SYMBIOSIS_ON
	La symbiose est maintenant active sur le canal %s.
BOT_SET_SYMBIOSIS_OFF
	La symbiose est maintenant dsactive sur le canal %s.
	
# KICK responses
BOT_KICK_SYNTAX
	KICK canal option {ON|OFF} [paramtres]
BOT_KICK_DISABLED
	Dsol, la configuration des kickers est temporairement
	dsactive.
BOT_KICK_UNKNOWN
	Option %s inconnue.
	Tapez %R%S HELP KICK pour plus d'informations.
BOT_KICK_BAD_TTB
	%s ne peut tre pris comme nombre de fois pour un ban.

BOT_KICK_BADWORDS_ON
	Le bot kickera maintenant les mots interdits. Utilisez
	la commande BADWORDS pour ajouter ou supprimer un mot.
BOT_KICK_BADWORDS_ON_BAN
	Le bot kickera maintenant les mots interdits, et mettra
	un ban aprs %d kicks pour le mme utilisateur. Utilisez
	la commande BADWORDS pour ajouter ou supprimer un mot.
BOT_KICK_BADWORDS_OFF
	Le bot ne kickera plus les mots interdits.
BOT_KICK_BOLDS_ON
	Le bot kickera maintenant les caractres gras.
BOT_KICK_BOLDS_ON_BAN
	Le bot kickera maintenant les caractres gras, et mettra
	un ban aprs %d kicks pour le mme utilisateur.
BOT_KICK_BOLDS_OFF
	Le bot ne kickera plus les caractres gras.
BOT_KICK_CAPS_ON
	Le bot kickera maintenant les majuscules (qui doivent
	constituer au moins %d caractres et %d%% du message 
	entier).
BOT_KICK_CAPS_ON_BAN
	Le bot kickera maintenant les majuscules (qui doivent
	constituer au moins %d caractres et %d%% du message 
	entier), et mettra un ban aprs %d kicks pour le mme 
	utilisateur.
BOT_KICK_CAPS_OFF
	Le bot ne kickera plus les majuscules.
BOT_KICK_COLORS_ON
	Le bot kickera maintenant les couleurs.
BOT_KICK_COLORS_ON_BAN
	Le bot kickera maintenant les couleurs, et mettra
	un ban aprs %d kicks pour le mme utilisateur.
BOT_KICK_COLORS_OFF
	Le bot ne kickera plus les couleurs.
BOT_KICK_FLOOD_ON
	Le bot kickera maintenant le flood (%d lignes en %d 
	secondes).
BOT_KICK_FLOOD_ON_BAN
	Le bot kickera maintenant le flood (%d lignes en %d 
	secondes), et mettra un ban aprs %d kicks pour le 
	mme utilisateur.
BOT_KICK_FLOOD_OFF
	Le bot ne kickera plus le flood.
BOT_KICK_REPEAT_ON
	Le bot kickera maintenant les rptitions (les 
	utilisateurs qui disent %d fois la mme chose).
BOT_KICK_REPEAT_ON_BAN
	Le bot kickera maintenant les rptitions (les 
	utilisateurs qui disent %d fois la mme chose), et 
	mettra un ban aprs %d kicks pour le  mme utilisateur.
BOT_KICK_REPEAT_OFF
	Le bot ne kickera plus les rptitions.
BOT_KICK_REVERSES_ON
	Le bot kickera maintenant les reverses.
BOT_KICK_REVERSES_ON_BAN
	Le bot kickera maintenant les reverses, et mettra
	un ban aprs %d kicks pour le mme utilisateur.
BOT_KICK_REVERSES_OFF
	Le bot ne kickera plus les reverses.
BOT_KICK_UNDERLINES_ON
	Le bot kickera maintenant les caractres souligns.
BOT_KICK_UNDERLINES_ON_BAN
	Le bot kickera maintenant les caractres souligns, 
	et mettra un ban aprs %d kicks pour le mme 
	utilisateur.
BOT_KICK_UNDERLINES_OFF
	Le bot ne kickera plus les caractres souligns.
	
# BADWORDS messages
BOT_BADWORDS_SYNTAX
	BADWORDS canal {ADD|DEL|LIST|CLEAR} [mot | liste-d'entres] [SINGLE|START|END]
BOT_BADWORDS_DISABLED
	Dsol, la modification de la liste des mots interdits
	est temporairement dsactive.
BOT_BADWORDS_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d entres sur la
	liste des mots interdits.
BOT_BADWORDS_ALREADY_EXISTS
	%s existe dj dans la liste des mots interdits de %s.
BOT_BADWORDS_ADDED
	%s ajout  la liste des mots interdits de %s.
BOT_BADWORDS_NO_SUCH_ENTRY
	Entre (#%d) introuvable sur la liste des mots 
	interdits de %s.
BOT_BADWORDS_NOT_FOUND
	%s introuvable sur la liste des mots interdits de %s.
BOT_BADWORDS_NO_MATCH
	Aucune entre correspondante sur la liste des mots interdits 
	de %s.
BOT_BADWORDS_DELETED
	%s supprim de la liste des mots interdits de %s.
BOT_BADWORDS_DELETED_ONE
	1 entre supprime de la liste des mots interdits de %s.
BOT_BADWORDS_DELETED_SEVERAL
	%d entres supprimes de la liste des mots interdits de %s.
BOT_BADWORDS_LIST_EMPTY
	La liste des mots interdits de %s est vide.
BOT_BADWORDS_LIST_HEADER
	Liste des mots interdits de %s:
	  Num   Mot                            Type
BOT_BADWORDS_LIST_FORMAT
	  %3d   %-30s %s
BOT_BADWORDS_CLEAR
	La liste des mots interdits est maintenant vide.

# SAY responses
BOT_SAY_SYNTAX
	SAY canal texte
	
# ACT responses
BOT_ACT_SYNTAX
	ACT canal texte

###########################################################################
#
# OperServ messages
#
###########################################################################

# General messages
BOT_EXCEPT
	Utilisateur trouv dans les exceptions.

###########################################################################
#
# OperServ messages
#
###########################################################################

# General messages
BOT_BAD_NICK
	Les pseudos des bots ne peuvent contenir que des caractres valides.
BOT_BAD_HOST
	Les htes des bots ne doivent contenir que des caractres valides.
BOT_BAD_IDENT
	Les identits des bots ne doivent contenir que des caractres valides.
BOT_LONG_IDENT
	Les identits des bots ne doivent contenir que %d caractres.
BOT_LONG_HOST
	Les htes des bots ne doivent contenir que %d caractres.

###########################################################################
#
# OperServ messages
#
###########################################################################

# General messages
OPER_BOUNCY_MODES
	Les Services ne peuvent changer les modes. Vos serveurs sont-ils configurs correctement?
OPER_BOUNCY_MODES_U_LINE
	Les Services ne peuvent changer les modes. Les U:lines de vos serveurs sont-elles configures correctement?

# GLOBAL responses
OPER_GLOBAL_SYNTAX
	GLOBAL message

# STATS responses
OPER_STATS_UNKNOWN_OPTION
	Option STATS inconnue %s.
OPER_STATS_CURRENT_USERS
	Utilisateurs actuels: %d (%d ops)
OPER_STATS_MAX_USERS
	Record d'utilisateurs: %d (%s)
# This is ugly, but at least it's language-portable...
# Note that you can include seconds in any of these--my personal preference
# is to only give resolution to the nearest minute when uptime is one hour
# or more, but just add a %d to get seconds as well.
OPER_STATS_UPTIME_DHMS
	Les services tournent depuis %d jours, %02d:%02d
OPER_STATS_UPTIME_1DHMS
	Les services tournent depuis %d jour, %02d:%02d
OPER_STATS_UPTIME_HMS
	Les services tournent depuis %d heures, %d minutes
OPER_STATS_UPTIME_HM1S
	Les services tournent depuis %d heures, %d minutes
OPER_STATS_UPTIME_H1MS
	Les services tournent depuis %d heures, %d minute
OPER_STATS_UPTIME_H1M1S
	Les services tournent depuis %d heures, %d minute
OPER_STATS_UPTIME_1HMS
	Les services tournent depuis %d heure, %d minutes
OPER_STATS_UPTIME_1HM1S
	Les services tournent depuis %d heure, %d minutes
OPER_STATS_UPTIME_1H1MS
	Les services tournent depuis %d heure, %d minute
OPER_STATS_UPTIME_1H1M1S
	Les services tournent depuis %d heure, %d minute
OPER_STATS_UPTIME_MS
	Les services tournent depuis %d minutes, %d secondes
OPER_STATS_UPTIME_M1S
	Les services tournent depuis %d minutes, %d seconde
OPER_STATS_UPTIME_1MS
	Les services tournent depuis %d minute, %d secondes
OPER_STATS_UPTIME_1M1S
	Les services tournent depuis %d minute, %d seconde
OPER_STATS_BYTES_READ
	Octets lus    : %5d ko
OPER_STATS_BYTES_WRITTEN
	Octets crits : %5d ko
OPER_STATS_USER_MEM
	Utilisateur   : %6d enregistrements, %5d ko
OPER_STATS_CHANNEL_MEM
	Channel       : %6d enregistrements, %5d ko
OPER_STATS_GROUPS_MEM
	Groupes NS    : %6d enregistrements, %5d ko
OPER_STATS_ALIASES_MEM
	Aliases NS    : %6d enregistrements, %5d ko
OPER_STATS_CHANSERV_MEM
	ChanServ      : %6d enregistrements, %5d ko
OPER_STATS_BOTSERV_MEM
	BotServ       : %6d enregistrements, %5d ko
OPER_STATS_HOSTSERV_MEM
	HostServ      : %6d enregistrements, %5d ko
OPER_STATS_OPERSERV_MEM
	OperServ      : %6d enregistrements, %5d ko
OPER_STATS_SESSIONS_MEM
	Sessions      : %6d enregistrements, %5d ko
OPER_STATS_AKILL_COUNT
	Nombre d'AKILLs actuel: %d
OPER_STATS_AKILL_EXPIRE_DAYS
	Temps d'chance des AKILLs par dfaut: %d jours
OPER_STATS_AKILL_EXPIRE_DAY
	Temps d'chance des AKILLs par dfaut: 1 jour
OPER_STATS_AKILL_EXPIRE_HOURS
	Temps d'chance des AKILLs par dfaut: %d heures
OPER_STATS_AKILL_EXPIRE_HOUR
	Temps d'chance des AKILLs par dfaut: 1 heure
OPER_STATS_AKILL_EXPIRE_MINS
	Temps d'chance des AKILLs par dfaut: %d minutes
OPER_STATS_AKILL_EXPIRE_MIN
	Temps d'chance des AKILLs par dfaut: 1 minute
OPER_STATS_AKILL_EXPIRE_NONE
	Temps d'chance des AKILLs par dfaut: Pas d'chance
OPER_STATS_SGLINE_COUNT
	Nombre de SGLINEs actuel: %d
OPER_STATS_SGLINE_EXPIRE_DAYS
	Temps d'chance des SGLINEs par dfaut: %d jours
OPER_STATS_SGLINE_EXPIRE_DAY
	Temps d'chance des SGLINEs par dfaut: 1 jour
OPER_STATS_SGLINE_EXPIRE_HOURS
	Temps d'chance des SGLINEs par dfaut: %d heures
OPER_STATS_SGLINE_EXPIRE_HOUR
	Temps d'chance des SGLINEs par dfaut: 1 heure
OPER_STATS_SGLINE_EXPIRE_MINS
	Temps d'chance des SGLINEs par dfaut: %d minutes
OPER_STATS_SGLINE_EXPIRE_MIN
	Temps d'chance des SGLINEs par dfaut: 1 minute
OPER_STATS_SGLINE_EXPIRE_NONE
	Temps d'chance des SGLINEs par dfaut: Pas d'chance
OPER_STATS_SQLINE_COUNT
	Nombre de SQLINEs actuel: %d
OPER_STATS_SQLINE_EXPIRE_DAYS
	Temps d'chance des SQLINEs par dfaut: %d jours
OPER_STATS_SQLINE_EXPIRE_DAY
	Temps d'chance des SQLINEs par dfaut: 1 jour
OPER_STATS_SQLINE_EXPIRE_HOURS
	Temps d'chance des SQLINEs par dfaut: %d heures
OPER_STATS_SQLINE_EXPIRE_HOUR
	Temps d'chance des SQLINEs par dfaut: 1 heure
OPER_STATS_SQLINE_EXPIRE_MINS
	Temps d'chance des SQLINEs par dfaut: %d minutes
OPER_STATS_SQLINE_EXPIRE_MIN
	Temps d'chance des SQLINEs par dfaut: 1 minute
OPER_STATS_SQLINE_EXPIRE_NONE
	Temps d'chance des SQLINEs par dfaut: Pas d'chance
OPER_STATS_SZLINE_COUNT
	Nombre de SZLINEs actuel: %d
OPER_STATS_SZLINE_EXPIRE_DAYS
	Temps d'chance des SZLINEs par dfaut: %d jours
OPER_STATS_SZLINE_EXPIRE_DAY
	Temps d'chance des SZLINEs par dfaut: 1 jour
OPER_STATS_SZLINE_EXPIRE_HOURS
	Temps d'chance des SZLINEs par dfaut: %d heures
OPER_STATS_SZLINE_EXPIRE_HOUR
	Temps d'chance des SZLINEs par dfaut: 1 heure
OPER_STATS_SZLINE_EXPIRE_MINS
	Temps d'chance des SZLINEs par dfaut: %d minutes
OPER_STATS_SZLINE_EXPIRE_MIN
	Temps d'chance des SZLINEs par dfaut: 1 minute
OPER_STATS_SZLINE_EXPIRE_NONE
	Temps d'chance des SZLINEs par dfaut: Pas d'chance
OPER_STATS_RESET
	Statistiques rinitialises.

# MODE responses
OPER_STATS_UPLINK_SERVER
	Connect : %s
OPER_STATS_UPLINK_CAPAB
	Caractristiques du lien: %s
OPER_STATS_UPLINK_SERVER_COUNT
	Serveurs trouvs: %d

# MODE responses
OPER_MODE_SYNTAX
	MODE canal modes

# CLEARMODES responses
OPER_UMODE_SYNTAX
	UMODE pseudo modes

# OLINE responses
OPER_UMODE_SUCCESS
	Mode de %s changs.
OPER_UMODE_CHANGED
	%s a chang vos modes.

# OLINE responses
OPER_OLINE_SYNTAX
	OLINE pseudo flags
OPER_OLINE_SUCCESS
	Une O:LINE avec les flags %s a t ajoute pour %s.

# CLEARMODES responses
OPER_OLINE_IRCOP
	Vous tes maintenant IRCOp.

# CLEARMODES responses
OPER_CLEARMODES_SYNTAX
	CLEARMODES canal [ALL]
OPER_CLEARMODES_DONE
	Les modes binaires et les bans sont supprims de %s.
OPER_CLEARMODES_ALL_DONE
	Tous les modes supprims du canal %s.


# KICK responses
OPER_KICK_SYNTAX
	KICK canal utilisateur raison

# ADMIN responses
OPER_SVSNICK_SYNTAX
	SVSNICK pseudo nouveau-pseudo 
OPER_SVSNICK_NEWNICK
	Le pseudo de %s a t chang en %s.

# AKILL responses
OPER_AKILL_SYNTAX
	AKILL {ADD | DEL | LIST | VIEW | CLEAR} [[+chance] {masque | liste d'entres} [raison]]
OPER_AKILL_EXISTS
	%s existe dj sur la liste d'AKILL.
OPER_AKILL_ALREADY_COVERED
	%s est dj couvert par %s.
OPER_AKILL_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d AKILLs.
OPER_AKILL_NO_NICK
	Rappel: les masques AKILL ne peuvent contenir de pseudo, assurez vous que vous n'avez pas mis de partie pseudo dans le masque.
OPER_AKILL_ADDED
	%s ajout  la liste d'AKILL.
OPER_AKILL_CHANGED
	L'chance de %s a t change.
OPER_AKILL_NOT_FOUND
	%s introuvable sur la liste d'AKILL.
OPER_AKILL_NO_MATCH
	Aucune entre correspondante sur la liste d'AKILL.
OPER_AKILL_DELETED
	%s supprim de la liste d'AKILL.
OPER_AKILL_DELETED_ONE
	1 entre supprime de la liste d'AKILL.
OPER_AKILL_DELETED_SEVERAL
	%d entres supprimes de la liste d'AKILL.
OPER_AKILL_LIST_EMPTY
	La liste d'AKILL est vide.
OPER_AKILL_LIST_HEADER
	Liste d'AKILL actuelle:
	  Num   Masque                            Raison
OPER_AKILL_LIST_FORMAT
	  %3d   %-32s  %s
OPER_AKILL_VIEW_HEADER
	Liste d'AKILL actuelle:
# number, mask, set-by, set-time, expires, reason
OPER_AKILL_VIEW_FORMAT
	%3d  %s (par %s le %s; %s)
	      %s
OPER_AKILL_CLEAR
	La liste d'AKILL a t vide.

# SGLINE responses
OPER_CHANKILL_SYNTAX
	CHANKILL [+expiry] {#canal} [raison]
# SGLINE responses
OPER_SGLINE_SYNTAX
	SGLINE {ADD | DEL | LIST | VIEW | CLEAR} [[+chance] {masque | liste d'entres} [raison]]
OPER_SGLINE_UNSUPPORTED
	Dsol, SGLINE n'est pas disponible sur ce rseau.
OPER_SGLINE_EXISTS
	%s existe dj sur la liste de SGLINEs.
OPER_SGLINE_ALREADY_COVERED
	%s est dj couvert par %s.
OPER_SGLINE_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d SGLINEs.
OPER_SGLINE_ADDED
	%s ajout  la liste de SGLINEs.
OPER_SGLINE_CHANGED
	L'chance de %s a t change.
OPER_SGLINE_NOT_FOUND
	%s introuvable sur la liste de SGLINEs.
OPER_SGLINE_NO_MATCH
	Aucune entre correspondante sur la liste de SGLINEs.
OPER_SGLINE_DELETED
	%s supprim de la liste de SGLINEs.
OPER_SGLINE_DELETED_ONE
	1 entre supprime de la liste de SGLINEs.
OPER_SGLINE_DELETED_SEVERAL
	%d entres supprimes de la liste de SGLINEs.
OPER_SGLINE_LIST_EMPTY
	La liste de SGLINEs est vide.
OPER_SGLINE_LIST_HEADER
	Liste de SGLINEs actuelle:
	  Num   Masque                            Raison
OPER_SGLINE_LIST_FORMAT
	  %3d   %-32s  %s
OPER_SGLINE_VIEW_HEADER
	Liste de SGLINEs actuelle:
# number, mask, set-by, set-time, expires, reason
OPER_SGLINE_VIEW_FORMAT
	%3d  %s (par %s le %s; %s)
	      %s
OPER_SGLINE_CLEAR
	La liste de SGLINEs a t vide.

# SQLINE responses
OPER_SQLINE_SYNTAX
	SQLINE {ADD | DEL | LIST | VIEW | CLEAR} [[+chance] {masque | liste d'entres}[:raison]]
OPER_SQLINE_CHANNELS_UNSUPPORTED
	Les SQLINEs de canaux ne sont pas supportes par votre serveur, vous ne pouvez donc pas les utiliser.
OPER_SQLINE_EXISTS
	%s existe dj sur la liste de SQLINEs.
OPER_SQLINE_ALREADY_COVERED
	%s est dj couvert par %s.
OPER_SQLINE_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d SQLINEs.
OPER_SQLINE_ADDED
	%s ajout  la liste de SQLINEs.
OPER_SQLINE_CHANGED
	L'chance de %s a t change.
OPER_SQLINE_NOT_FOUND
	%s introuvable sur la liste de SQLINEs.
OPER_SQLINE_NO_MATCH
	Aucune entre correspondante sur la liste de SQLINEs.
OPER_SQLINE_DELETED
	%s supprim de la liste de SQLINEs.
OPER_SQLINE_DELETED_ONE
	1 entre supprime de la liste de SQLINEs.
OPER_SQLINE_DELETED_SEVERAL
	%d entres supprimes de la liste de SQLINEs.
OPER_SQLINE_LIST_EMPTY
	La liste de SQLINEs est vide.
OPER_SQLINE_LIST_HEADER
	Liste de SQLINEs actuelle:
	  Num   Masque                            Raison
OPER_SQLINE_LIST_FORMAT
	  %3d   %-32s  %s
OPER_SQLINE_VIEW_HEADER
	Liste de SQLINEs actuelle:
# number, mask, set-by, set-time, expires, reason
OPER_SQLINE_VIEW_FORMAT
	%3d  %s (par %s le %s; %s)
	      %s
OPER_SQLINE_CLEAR
	La liste de SQLINEs a t vide.
	
# SZLINE responses
OPER_SZLINE_SYNTAX
	SZLINE {ADD | DEL | LIST | VIEW | CLEAR} [[+chance] {masque | liste d'entres} [raison]]
OPER_SZLINE_UNSUPPORTED
	Dsol, SZLINE n'est pas disponible sur ce rseau.
OPER_SZLINE_EXISTS
	%s existe dj sur la liste de SZLINEs.
OPER_SZLINE_ALREADY_COVERED
	%s est dj couvert par %s.
OPER_SZLINE_REACHED_LIMIT
	Dsol, vous ne pouvez avoir que %d SZLINEs.
OPER_SZLINE_ONLY_IPS
	Rappel: vous ne pouvez ajouter que des masques d'IP  la liste de SZLINEs.
OPER_SZLINE_ADDED
	%s ajout  la liste de SZLINEs.
OPER_SZLINE_CHANGED
	L'chance de %s a t change.
OPER_SZLINE_NOT_FOUND
	%s introuvable sur la liste de SZLINEs.
OPER_SZLINE_NO_MATCH
	Aucune entre correspondante sur la liste de SZLINEs.
OPER_SZLINE_DELETED
	%s supprim de la liste de SZLINEs.
OPER_SZLINE_DELETED_ONE
	1 entre supprime de la liste de SZLINEs.
OPER_SZLINE_DELETED_SEVERAL
	%d entres supprimes de la liste de SZLINEs.
OPER_SZLINE_LIST_EMPTY
	La liste de SZLINEs est vide.
OPER_SZLINE_LIST_HEADER
	Liste de SZLINEs actuelle:
	  Num   Masque                            Raison
OPER_SZLINE_LIST_FORMAT
	  %3d   %-32s  %s
OPER_SZLINE_VIEW_HEADER
	Liste de SZLINEs actuelle:
# number, mask, set-by, set-time, expires, reason
OPER_SZLINE_VIEW_FORMAT
	%3d  %s (par %s le %s; %s)
	      %s
OPER_SZLINE_CLEAR
	La liste de SZLINEs a t vide.

# SET responses
OPER_SET_SYNTAX
	SET option valeur
OPER_SET_IGNORE_ON
	Le code d'ignore sera utilis.
OPER_SET_IGNORE_OFF
	Le code d'ignore ne sera pas utilis.
OPER_SET_IGNORE_ERROR
	La valeur pour IGNORE doit tre ON ou OFF.
OPER_SET_READONLY_ON
	Les Services sont maintenant en mode lecture-seule.
OPER_SET_READONLY_OFF
	Les Services sont maintenant en mode lecture-criture.
OPER_SET_READONLY_ERROR
	La valeur pour READONLY doit tre ON ou OFF.
OPER_SET_LOGCHAN_ON
	Les services reporteront maintenant les logs sur %s.
OPER_SET_LOGCHAN_OFF
	Les services ne reporteront plus les logs sur un canal.
OPER_SET_LOGCHAN_ERROR
	Les valeurs pour LOGCHAN doivent etre ON ou OFF et LogChannel dois tre dfini.
OPER_SET_DEBUG_ON
	Les Services sont maintenant en mode debug.
OPER_SET_DEBUG_OFF
	Les Services sont maintenant en mode normal ( non debug).
OPER_SET_DEBUG_LEVEL
	Les Services sont maintenant en mode debug (niveau %d).
OPER_SET_DEBUG_ERROR
	La valeur pour DEBUG doit tre ON, OFF, ou un nombre positif.
OPER_SET_NOEXPIRE_ON
	Les Services sont maintenant en mode sans expiration.
OPER_SET_NOEXPIRE_OFF
	Les Services sont maintenant en mode expiration.
OPER_SET_NOEXPIRE_ERROR
	La valeur de NOEXPIRE doit tre ON ou OFF.
OPER_SET_UNKNOWN_OPTION
	Option inconnue %s.
OPER_SET_LIST_OPTION_ON
	%s est activ
OPER_SET_LIST_OPTION_OFF
	%s est dsactiv

# NOOP responses
OPER_NOOP_SYNTAX
	NOOP {SET|REVOKE} serveur
OPER_NOOP_SET
	Toutes les O:lines de %s ont t supprimes.
OPER_NOOP_REVOKE
	Toutes les O:lines de %s ont t rinitialises.

# JUPE responses
OPER_JUPE_SYNTAX
	JUPE nom-du-serveur [raison]
OPER_JUPE_HOST_ERROR
	Veuillez indiquer un nom de serveur valide pour JUPE.
OPER_JUPE_INVALID_SERVER
	You can not jupe your services server or your uplink server.

# UPDATE responses
OPER_UPDATING
	Mise  jour des bases de donnes.
	
# RELOAD responses
OPER_RELOAD
	Le fichier de configuration des Services a t recharg.

# RESTART responses
OPER_CANNOT_RESTART
	SERVICES_BIN non dfini, impossible de redmarrer.  
	Relancez le script \2configure\2 et recompilez les Services pour 
	activer la commande RESTART.

# LISTIGNORE responses
OPER_IGNORE_SYNTAX
	IGNORE {ADD|DEL|LIST|CLEAR} [dure] [nick | mask]
OPER_IGNORE_VALID_TIME
	Vous devez entrer une dure valide
OPER_IGNORE_TIME_DONE
	%s est ignor pour %s.
OPER_IGNORE_PERM_DONE
	%s est ignor en permanence.
OPER_IGNORE_DEL_DONE
	%s n'est plus ignor
OPER_IGNORE_LIST
	Liste des ignores:
OPER_IGNORE_LIST_NOMATCH
	%s n'a pas t trouv dans la liste des ignors.
OPER_IGNORE_LIST_EMPTY
	La liste des ignors est vide.
	
# KILLCLONES responses
OPER_IGNORE_LIST_CLEARED
	La liste des ignors a t purge.

# KILLCLONES responses
OPER_KILLCLONES_SYNTAX
	KILLCLONES pseudo
OPER_KILLCLONES_UNKNOWN_NICK
	Impossible de trouver l'utilisateur %s.
	
# CHANLIST responses
OPER_CHANLIST_HEADER
	Liste des channels:
	Nom                  Users Modes   Topic
OPER_CHANLIST_HEADER_USER
	Liste des channels de %s:
	Nom                  Users Modes   Topic
OPER_CHANLIST_RECORD
	%-20s  %4d +%-6s %s
OPER_CHANLIST_END
	Fin de la liste des channels.
	
# USERLIST responses
OPER_USERLIST_HEADER
	Liste des utilisateurs:
	Nick                 Masque
OPER_USERLIST_HEADER_CHAN
	Liste des utilisateurs de %s:
	Nick                 Masque
OPER_USERLIST_RECORD
	%-20s %s@%s
OPER_USERLIST_END
	Fin de la liste des utilisateurs.

# CACHE responses
OPER_SUPER_ADMIN_ON
	Vous tes maintenant SuperAdmin.
OPER_SUPER_ADMIN_OFF
	Vous n'tes plus SuperAdmin
OPER_SUPER_ADMIN_SYNTAX
	Syntaxe incorrect, spcifiez ON ou OFF.
OPER_SUPER_ADMIN_WALL_ON
	%s est maintenant SuperAdmin
OPER_SUPER_ADMIN_WALL_OFF
	%s n'est plus SuperAdmin

###########################################################################
#
# Session Limiting and Exception messages
#
###########################################################################

# EXCEPTION responses
OPER_SUPER_ADMIN_ONLY
	Seuls les SuperAdmins peuvent utiliser cette commande.

###########################################################################
#
# Session Limiting and Exception messages
#
###########################################################################

# EXCEPTION responses
OPER_STAFF_LIST_HEADER
	On Level Pseudo

# DefCon Messages

OPER_STAFF_FORMAT
	 %c %s  %s
OPER_STAFF_AFORMAT
	 %c %s  %s [%s]

# DefCon Messages

OPER_DEFCON_SYNTAX
	DEFCON [1|2|3|4|5]
OPER_DEFCON_DENIED
	Ce service est temporairement dsactiv, veuillez ressayer ultrieurement.
OPER_DEFCON_CHANGED
	Les services sont maintenant sur DEFCON %d.
OPER_DEFCON_WALL
	%s a chang le niveau de DEFCON en %d.
DEFCON_GLOBAL
	Le niveau de DEFCON est maintenant: %d.

# Modules strings

OPER_MODULE_LOADED
	Le module %s a t charg.
OPER_MODULE_UNLOADED
	Le module %s a t dcharg.
OPER_MODULE_LOAD_FAIL
	Impossible de charger le module %s.
OPER_MODULE_REMOVE_FAIL
	Impossible de dcharger le module %s.
OPER_MODULE_NO_UNLOAD
	Ce module ne peut pas tre dcharg.
OPER_MODULE_ALREADY_LOADED
	Module %s is already loaded.
OPER_MODULE_ISNT_LOADED
	Module %s isn't loaded.
OPER_MODULE_LOAD_SYNTAX
	MODLOAD Fichier
OPER_MODULE_UNLOAD_SYNTAX
	MODUNLOAD Fichier
OPER_MODULE_LIST_HEADER
	Liste des modules courant:
OPER_MODULE_LIST
	Module: %s [%s] [%s]
OPER_MODULE_LIST_FOOTER
	%d Modules changs.
OPER_MODULE_INFO_LIST
	Module: %s Version: %s Auteur: %s charg: %s
OPER_MODULE_CMD_LIST
	Fournir la commande: %R%s %s
OPER_MODULE_MSG_LIST
	Providing IRCD handler for: %s
OPER_MODULE_NO_LIST
	Aucun module n'est charg
OPER_MODULE_NO_INFO
	Aucune information sur le module %s n'est accessible.
OPER_MODULE_INFO_SYNTAX
	MODINFO Fichier

###########################################################################
#
# Session Limiting and Exception messages
#
###########################################################################

# EXCEPTION responses
MODULE_HELP_HEADER
	Cette commande est charg via un module:

###########################################################################
#
# Session Limiting and Exception messages
#
###########################################################################

# EXCEPTION responses
OPER_EXCEPTION_SYNTAX
	EXCEPTION {ADD | DEL | MOVE | LIST | VIEW} [paramtres]
OPER_EXCEPTION_ADD_SYNTAX
	EXCEPTION ADD [+chance] mask limite raison
OPER_EXCEPTION_DEL_SYNTAX
	EXCEPTION DEL {mask | liste}
OPER_EXCEPTION_MOVE_SYNTAX
	EXCEPTION MOVE num position
OPER_EXCEPTION_DISABLED
	La limitation de sessions est dsactive.
OPER_EXCEPTION_ALREADY_PRESENT
	Le mask %s est dj prsent sur la liste d'exceptions.
OPER_EXCEPTION_TOO_MANY
	La liste des exceptions  la limitation de sessions est pleine!
OPER_EXCEPTION_ADDED
	La limite de sessions de %s est maintenant de %d.
OPER_EXCEPTION_MOVED
	L'exception pour %s (#%d) a t dplace  la position %d.
OPER_EXCEPTION_NO_SUCH_ENTRY
	L'entre %d n'existe pas sur la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_NOT_FOUND
	%s non trouv sur la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_NO_MATCH
	Aucune entre correspondante sur la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_DELETED
	%s supprim de la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_DELETED_ONE
	1 entre supprime de la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_DELETED_SEVERAL
	%d entres supprimes de la liste des exceptions  la limitation de sessions.
OPER_EXCEPTION_LIST_HEADER
	Liste actuelle des exceptions  la limitation de sessions:
# mask, limit
OPER_EXCEPTION_LIST_FORMAT
	%3d  %4d    %s
OPER_EXCEPTION_LIST_COLHEAD
	Num  Limite  Host
# mask, set-by, set-time, expires, limit, reason
OPER_EXCEPTION_VIEW_FORMAT
	%3d.  %s  (par %s le %s; %s)
	    Limite: %-4d  - %s
OPER_EXCEPTION_INVALID_LIMIT
	Limite de session invalide. Elle doit tre un entier valide suprieur ou gal  zero et plus petit que %d.
OPER_EXCEPTION_INVALID_HOSTMASK
	Masque d'hte invalide. Seuls les masques d'htes rels sont valides puisque les exceptions ne sont pas compares aux pseudos et utilisateurs.
OPER_EXCEPTION_EXISTS
	%s existe dj dans la liste des exceptions.
OPER_EXCEPTION_CHANGED
	L'exception pour %s a t change en %d.

# SESSION responses
OPER_SESSION_SYNTAX
	SESSION {LIST limite | VIEW host}
OPER_SESSION_LIST_SYNTAX
	SESSION LIST limite
OPER_SESSION_VIEW_SYNTAX
	SESSION VIEW host
OPER_SESSION_DISABLED
	La limitation de session est dsactive.
OPER_SESSION_INVALID_THRESHOLD
	Valeur minimale invalide. Elle doit tre un entier valide suprieur  1.
OPER_SESSION_NOT_FOUND
	%s introuvable sur la liste des sessions.
OPER_SESSION_LIST_HEADER
	Htes ayant au moins %d sessions:
OPER_SESSION_LIST_COLHEAD
	Sessions  Host
# limit, host
OPER_SESSION_LIST_FORMAT
	%6d    %s
# host, sessions, limit
OPER_SESSION_VIEW_FORMAT
	L'hte %s a actuellement %d sessions avec une limite de %d.

# EXCEPTION help

OPER_HELP_EXCEPTION
	Syntax: EXCEPTION ADD [+chance] mask limite raison
	        EXCEPTION DEL {mask | liste}
	        EXCEPTION MOVE num position
	        EXCEPTION LIST [mask | liste]
	        EXCEPTION VIEW [mask | liste]
	
	Permet aux Oprateurs Services de manipuler la liste des htes qui
	ont des limites de sessions spcifiques - autoriser certaines
	machines, telles que des serveurs de shell, pour supporter plus
	que le nombre de clients par dfaut  la fois. Une fois qu'un
	hte atteint sa limite de sessions, tous les clients essayant
	de se connecter  cet hte seront dconnects. Avant que
	l'utilisateur ne soit dconnect, il est averti, par une
	/NOTICE de %S, de l'endroit o il pourra trouver de
	l'aide concernant la limitation de sessions. Le contenu de cette
	notice est une option de configuration.
	
	EXCEPTION ADD ajoute le masque donn  la liste des exceptions.
	Notez que les masques nick!user@host et user@host sont 
	invalides! Seuls les masques d'htes rels, tels que box.host.dom 
	et *.host.dom, sont autoriss parce que la limitation de sessions
	ne prend pas en compte le pseudo ou l'utilisateur. limit doit tre un
	nombre suprieur ou gal  zro. Ceci dtermine combien de sessions
	sont supportes  la fois. Une valeur de zro signifie que l'hte
	n'a pas de limite de sessions. Consultez l'aide de AKILL pour
	les dtails sur le format du paramtre optionnel chance.
	EXCEPTION DEL supprime le masque donn de la liste des exceptions.
	EXCEPTION MOVE dplace l'exception num vers position. Les 
	exceptions se trouvant au milieu seront dplaces vers le haut ou le
	bas pour combler le trou.
	EXCEPTION LIST et EXCEPTION VIEW montrent toutes les 
	exceptions actuelles; si un masque optionnel est donn, la liste
	est limite aux exceptions correspondantes au masque. La diffrence
	est que EXCEPTION VIEW est plus informative, puisqu'elle affiche
	galement le pseudo de la personne qui a ajout l'exception, sa 
	limite de sessions, la raison, le masque ainsi que la date d'chance.
	
	Notez qu'un client se connectant "utilisera" la premire 
	exception  laquelle son hte correspond. Les
	grandes listes d'exception et les exceptions utilisant
	excessivement les jokers entrainent une dgradation des
	performances des Services.

OPER_HELP_SESSION
	Syntax: SESSION LIST minimal
	        SESSION VIEW host
	
	Permet aux Oprateurs Services de voir la liste des sessions.
	
	SESSION LIST liste les htes ayant au minimum minimal
	sessions. La limite minimale doit tre un nombre suprieur 
	1. Ceci pour prvenir d'un listing accidentel d'un large
	nombre d'htes  session unique.

	SESSION VIEW affiche des informations dtailles sur une
	hte spcifique - comprenant le nombre de sessions actuelles
	ainsi que la limite de sessions. La valeur host ne doit
	pas contenir de joker.
	    
	Consultez l'aide de EXCEPTION pour plus d'informations 
	concernant la limitation et comment dfinir les limites de
	sessions pour certains htes et groupes.

###########################################################################
#
# News system messages
#
###########################################################################

OPER_HELP_STAFF
	Syntaxe: STAFF

	Affiche tous les pseudos du staff des services avec leur
	niveau d'accs et leur statut (online/offline).

OPER_HELP_DEFCON
	Syntax: DEFCON [1|2|3|4|5]

	Le systme defcon utilise et applique des configurations
	pr-definies pour protger durant une attaque sur le rseau.
	
OPER_HELP_DEFCON_NO_NEW_CHANNELS
	* Enregistrement de nouveaux canaux bloqu
OPER_HELP_DEFCON_NO_NEW_NICKS
	* Enregistrement de nouveaux pseudos bloqu
OPER_HELP_DEFCON_NO_MLOCK_CHANGE
	* Changement des MLOCK bloqu
OPER_HELP_DEFCON_FORCE_CHAN_MODES
	* Application des modes %s sur tous les canaux.
OPER_HELP_DEFCON_REDUCE_SESSION
	* Rduction du nombre maxi de sessions  %d
OPER_HELP_DEFCON_NO_NEW_CLIENTS
	* Refuse toute nouvelle connexion client
OPER_HELP_DEFCON_OPER_ONLY
	* Ignore tous les non OPERs pour les messages
OPER_HELP_DEFCON_SILENT_OPER_ONLY
	* Ignore silencieusement les non-OPERs
OPER_HELP_DEFCON_AKILL_NEW_CLIENTS
	* AKILL toutes les nouvelles connexions


###########################################################################
#
# News system messages
#
###########################################################################

OPER_HELP_DEFCON_NO_NEW_MEMOS
	* Aucun(s) nouveau(x) mmo(s) envoy(s)
OPER_HELP_CHANKILL
	Syntaxe: CHANKILL [+expire] canal raison

	Inflige un AKILL  toutes les personnes qui sont sur le canal
	spcifi. Ceci utilise le rel identd@host de tous les pseudos. 

###########################################################################
#
# News system messages
#
###########################################################################

NEWS_LOGON_TEXT
	[Logon News - %s] %s
NEWS_OPER_TEXT
	[Oper News - %s] %s

NEWS_RANDOM_TEXT
	[News Alatoire - %s] %s

NEWS_LOGON_SYNTAX
	LOGONNEWS {ADD|DEL|LIST} [texte|nombre]
NEWS_LOGON_LIST_HEADER
	Articles des logon news:
NEWS_LOGON_LIST_ENTRY
	%5d (%s par %s)
	    %s
NEWS_LOGON_LIST_NONE
	Il n'y a pas de logon news.
NEWS_LOGON_ADD_SYNTAX
	Syntaxe: LOGONNEWS ADD texte
NEWS_LOGON_ADD_FULL
	La liste des News est pleine!
NEWS_LOGON_ADDED
	Ajout un nouvel article de logon news (#%d).
NEWS_LOGON_DEL_SYNTAX
	Syntaxe: LOGONNEWS DEL {num | ALL}
NEWS_LOGON_DEL_NOT_FOUND
	Article de logon news #%d non trouv!
NEWS_LOGON_DELETED
	Article de logon news #%d supprim.
NEWS_LOGON_DEL_NONE
	Aucun article de logon news  supprimer!
NEWS_LOGON_DELETED_ALL
	Tous les articles de logon news supprims.

NEWS_OPER_SYNTAX
	OPERNEWS {ADD|DEL|LIST} [texte|nombre]
NEWS_OPER_LIST_HEADER
	Articles oper news:
NEWS_OPER_LIST_ENTRY
	%5d (%s par %s)
	    %s
NEWS_OPER_LIST_NONE
	Il n'y a pas d'OPER news.
NEWS_OPER_ADD_SYNTAX
	Syntaxe: OPERNEWS ADD texte
NEWS_OPER_ADD_FULL
	La liste d'OPER news est pleine.
NEWS_OPER_ADDED
	Ajouter un nouvel article d'OPER news (#%d).
NEWS_OPER_DEL_SYNTAX
	Syntaxe: OPERNEWS DEL {num | ALL}
NEWS_OPER_DEL_NOT_FOUND
	Article OPER news #%d non trouv!
NEWS_OPER_DELETED
	Article OPER news #%d supprim.
NEWS_OPER_DEL_NONE
	Pas d'article OPER news  supprimer!
NEWS_OPER_DELETED_ALL
	Tous les articles OPER news supprims.

NEWS_RANDOM_SYNTAX
	RANDOMNEWS {ADD|DEL|LIST} [texte|nombre]
NEWS_RANDOM_LIST_HEADER
	Nouvelles alatoires:
NEWS_RANDOM_LIST_ENTRY
	%5d (%s par %s)
	    %s
NEWS_RANDOM_LIST_NONE
	Il n'y a pas de nouvelles alatoires.
NEWS_RANDOM_ADD_SYNTAX
	Syntaxe: RANDOMNEWS ADD texte
NEWS_RANDOM_ADD_FULL
	La liste des nouvelles est pleine!
NEWS_RANDOM_ADDED
	Nouvelle alatoire ajoute (n%d).
NEWS_RANDOM_DEL_SYNTAX
	Syntaxe: RANDOMNEWS DEL {num | ALL}
NEWS_RANDOM_DEL_NOT_FOUND
	Nouvelle alatoire n%d non trouve!
NEWS_RANDOM_DELETED
	Nouvelle alatoire n%d supprime.
NEWS_RANDOM_DEL_NONE
	Aucune nouvelle alatoire  supprimer!
NEWS_RANDOM_DELETED_ALL
	Toutes les nouvelles alatoires ont t supprimes.

NEWS_HELP_LOGON
	Syntaxe: LOGONNEWS ADD texte
	         LOGONNEWS DEL {nombre | ALL}
	         LOGONNEWS LIST
	
	Edite ou affiche la liste de messages logon news. Lorsqu'un
	utilisateur se connecte au rseau, ces messages leur seront
	envoys. (Cependant, pas plus de %d messages ne seront
	envoys pour viter le flood des utilisateurs. Si il y a
	plus de messages de news, seuls les plus rcents seront envoys.)
	NewsCount peut tre configur dans services.conf.
	
	LOGONNEWS ne peut tre utilis que pas les Oprateurs Services.

NEWS_HELP_OPER
	Syntaxe: OPERNEWS ADD texte
	         OPERNEWS DEL {nombre | ALL}
	         OPERNEWS LIST
	
	Edite ou affiche la liste des messages OPER news. Quand un
	utilisateur utilise la commande /OPER, ces messages lui seront
	envoys. (Cependant, pas plus de %d messages seront 
	envoys afin de ne pas flooder l'utilisateur. Si il y a plus de 
	messages news, seuls les plus rcents seront envoys.)
	NewsCount peut tre configur dans services.conf.
	
	OPERNEWS ne peut tre utilis que pas les Oprateurs Services.

NEWS_HELP_RANDOM
	Syntaxe: RANDOMNEWS ADD texte
	         RANDOMNEWS DEL {nombre | ALL}
	         RANDOMNEWS LIST
	
	Edite ou affiche la liste des nouvelles alatoires. Lorsqu'un
	utilisateur se connecte au rseau, une (et une seule) de ces
	nouvelles sera choisie et lui sera envoye.
	
	RANDOMNEWS ne peut tre utilis que pas les Oprateurs Services.

###########################################################################
#
# NickServ help messages
#
###########################################################################
NICK_HELP_CMD_CONFIRM
	    CONFIRM    Confirme une inscription  NickServ
NICK_HELP_CMD_RESEND
	    RESEND     Renvoie le code de confirmation de 
	               l'inscription  NickServ
NICK_HELP_CMD_REGISTER
	    REGISTER   Enregistre un pseudo
NICK_HELP_CMD_GROUP
	    GROUP      Joint un groupe
NICK_HELP_CMD_IDENTIFY
	    IDENTIFY   Vous identifie avec votre mot de passe
NICK_HELP_CMD_ACCESS
	    ACCESS     Modifie la liste des adresses autorises
NICK_HELP_CMD_SET
	    SET        Configure les options, protection comprise
NICK_HELP_CMD_SASET
	    SASET      Configure des options sur d'autres pseudos
NICK_HELP_CMD_DROP
	    DROP       Annule l'enregistrement d'un pseudo
NICK_HELP_CMD_RECOVER
	    RECOVER    Change le pseudo d'un utilisateur qui a pris 
	               votre pseudo
NICK_HELP_CMD_RELEASE
	    RELEASE    Reprendre la tutelle de votre pseudo
	               aprs un RECOVER
NICK_HELP_CMD_SENDPASS
	    SENDPASS   A utiliser en cas de perte de mot de passe
NICK_HELP_CMD_RESETPASS
	    RESETPASS  Helps you reset lost passwords
NICK_HELP_CMD_GHOST
	    GHOST      Deconnecte un "ghost irc" utilisant votre pseudo
NICK_HELP_CMD_ALIST
	    ALIST      Liste tous les canaux auquels vous tes connect
NICK_HELP_CMD_GLIST
	    GLIST      Liste tous les pseudos de votre groupe
NICK_HELP_CMD_INFO
	    INFO       Affiche des informations sur un pseudo
NICK_HELP_CMD_LIST
	    LIST       Liste tous les pseudos en rapport avec la recherche
NICK_HELP_CMD_LOGOUT
	    LOGOUT     Inverse la commande LOGIN
NICK_HELP_CMD_STATUS
	    STATUS     Renvoie le statut de propritaire du pseudo donn
NICK_HELP_CMD_UPDATE
	    UPDATE     Met  jour votre statut, ex : vrification de nouveaux mmos
NICK_HELP_CMD_GETPASS
	    GETPASS    Retrouve le mot de passe pour un pseudo
	               (uniquement si le cryptage est dsactiv)
NICK_HELP_CMD_GETEMAIL
	    GETEMAIL   Cherche et retourne la liste des pseudos enregistrs
	    avec un certain email
NICK_HELP_CMD_FORBID
	    FORBID     Empche l'utilisation d'un pseudo
NICK_HELP_CMD_SUSPEND
	    SUSPEND    Suspend un pseudo
NICK_HELP_CMD_UNSUSPEND
	    UNSUSPEND  Unsuspend un pseudo

NICK_HELP
	%S vous permet d'enregistrer un pseudo et d'empcher les
	autres de l'utiliser. Les commandes suivantes
	permettent l'enregistrement et la gestion des pseudos. Pour
	les utiliser, tapez %R%S commande. Pour plus
	d'informations sur une certaine commande, tapez
	%R%S HELP commande.
	
NICK_HELP_FOOTER
	REMARQUE: Ce service est conu pour fournir un moyen aux
	utilisateurs IRC d'assurer que leur identit n'est pas
	usurpe. Il n'est PAS destin  faciliter le "vol" des
	pseudos ou autres choses de ce genre. L'abus de %S entranera,
	au minimum, la perte du(des) pseudo(s) faisant l'objet de 
	l'abus.
	
NICK_HELP_EXPIRES
	
	Les pseudos qui ne sont plus utiliss sont sujets  
	l'expiration automatique, c'est--dire qu'ils seront effacs
	aprs %d jours de non utilisation.


NICK_HELP_REGISTER
	Syntaxe: REGISTER motdepasse [email]
	
	Enregistre votre pseudo dans la base de donnes de %S. Une fois
	que votre pseudo est enregistr, vous pouvez utiliser les
	commandes SET et ACCESS pour configurer votre pseudo comme
	vous le souhaitez. Rappelez-vous bien du mot de passe utilis
	pendant l'enregistrement - vous en aurez besoin pour effectuer
	des changements sur votre pseudo plus tard. (Notez que ANOPE, 
	Anope, et anope sont tous des mots de passe diffrents!)
	
	Conseils pour choisir un mot de passe:
	
	Les mots de passe ne doivent pas tre trop facilement
	devinables. Par exemple, utiliser votre vrai nom comme
	mot de passe est une mauvaise ide. Utiliser votre pseudo
	comme mot de passe est une ide encore pire ;) et, en
	fait, %S ne le permettra pas. De mme, les mots de passe
	courts sont vulnrables aux recherches mthodiques,
	donc vous devez choisir un mot de passe d'au moins 
	5 caractres. Le caractre espace ne peut pas tre 
	utilis dans les mots de passe.
	
	Le paramtre email est optionnel et permet de dfinir
	une e-mail immdiatement. Toutefois, elle peut tre obligatoire
	sur certains rseaux.
	Votre vie prive est respecte, cette e-mail ne sera pas 
	divulgue  des tierces personnes.
	
	Cette commande cre galement un nouveau groupe pour votre
	pseudo. Celui-ci vous permettra plus tard d'enregistrer
	d'autres pseudos en bnficiant de la mme configuration,
	du mme jeu de mmos, et des mme privilges sur vos
	canaux. Pour plus d'informations sur cette fonction, 
	tapez %R%S HELP GROUP.

NICK_HELP_GROUP
	Syntaxe: GROUP cible motdepasse
	
	Cette commande joint votre pseudo au groupe du pseudo cible.
	motdepasse est le mot de passe du pseudo cible.
	
	Joindre un groupe vous permettra de partager votre configuration,
	vos mmos et vos privilges de canal avec tous les pseudos
	du groupe, et bien plus encore!
	 
	Un groupe existe tant qu'il est utile. Cela signifie que mme
	si un des pseudos du groupe est effac, les lments partags
	sus-nomms sont conservs pour peu qu'il reste d'autres pseudos
	dans le groupe.
	
	Il est prfrable d'utiliser cette commande avec un pseudo
	non enregistr puisqu'il sera automatiquement enregistr
	lorsque vous utiliserez cette commande. Vous pouvez l'utiliser
	avec un pseudo enregistr (pour changer votre groupe) uniquement
	si vos administrateurs l'autorisent. (%R%S HELP IDENTIFY 
	pour plus d'informations).
	
	Vous ne pouvez tre que dans un groupe  la fois. La fusion
	de groupes n'est pas possible.
	
	Note: tous les pseudos du groupe ont le mme mot de passe.

NICK_HELP_IDENTIFY
	Syntaxe: IDENTIFY motdepasse
	
	Informe %S que vous tes vraiment le propritaire de
	ce pseudo. Beaucoup de commandes ncessitent que vous soyez
	identifi avec cette commande avant de les utiliser. Le
	mot de passe est celui que vous avez donn avec la commande 
	REGISTER.

NICK_HELP_UPDATE
	Syntax: UPDATE

	Actualise votre session, ex : vrification de l'arrive de
	nouveaux mmos, l'application des modes sur les canaux
	(ModeonID), met	 jour votre vhost et vos flags
	(dernire fois vu, etc).
	
NICK_HELP_LOGOUT
	Syntaxe: LOGOUT
	
	Cette commande inverse l'effet de la commande IDENTIFY,
	c'est--dire qu'elle fait en sorte que vous ne soyez plus
	reconnu en tant que propritaire rel du pseudo. Notez
	cependant que l'on ne vous demandera pas de vous ridentifier.

NICK_HELP_DROP
	Syntaxe: DROP [nick]
	
	Efface votre pseudo de la base de donnes de %S. Un pseudo
	qui a t effac est libre d'tre renregistr par
	n'importe qui.
	
	Vous pouvez effacer un pseudo de votre groupe en le mettant
	dans le paramtre nick.
	
	Pour utiliser cette commande, vous devez d'abord vous
	identifier avec votre mot de passe (%R%S HELP 
	IDENTIFY pour plus d'informations).

NICK_HELP_ACCESS
	Syntaxe: ACCESS ADD mask
	         ACCESS DEL mask
	         ACCESS LIST
	
	Modifie ou affiche la liste d'accs de votre pseudo. C'est
	la liste des adresses qui seront automatiquement reconnues
	par %S comme autorises  utiliser le pseudo. Si vous voulez
	utiliser le pseudo depuis une adresse diffrente, vous devez
	envoyer une commande IDENTIFY pour que %S vous reconnaisse.
	
	Exemples:
	
	    ACCESS ADD anyone@*.bepeg.com
	        Autorise l'accs  l'utilisateur anyone d'une
	        machine avec le domaine bepeg.com.
	
	    ACCESS DEL anyone@*.bepeg.com
	        Inverse la commande prcdente.
	
	    ACCESS LIST
	        Affiche votre liste d'accs.

NICK_HELP_SET
	Syntaxe: SET option paramtres
	
	Configure diverses options du pseudo. option peut tre:
	
	    DISPLAY    Change l'affichage de votre groupe
	                   dans les services
	    PASSWORD   Change le mot de passe de votre pseudo
	    LANGUAGE   Change la langue dans laquelle les Services
	                   vous envoient leurs messages
	    URL        Associe une adresse de site  votre pseudo
	    EMAIL      Associe une e-mail  votre pseudo
	    ICQ        Associe un numro ICQ  votre pseudo
	    GREET      Associe un message d'accueil  votre pseudo
	    KILL       Active ou dsactive la protection
	    SECURE     Active ou dsactive la scurit du pseudo
	    PRIVATE    Empche votre pseudo d'tre affich par
	                   %R%S LIST
	    HIDE       Cache certaines parties des informations du pseudo
	    MSG        Change le mode de communication des Services
	    AUTOOP     Demande  Services de vous rendre automatiquement OP.    
	
	Pour utiliser cette commande, vous devez d'abord vous
	identifier avec votre mot de passe (%R%S HELP 
	IDENTIFY pour plus d'informations).
	
	Tapez %R%S HELP SET option pour plus d'informations
	sur une option spcifique.

NICK_HELP_SET_DISPLAY
	Syntaxe: SET DISPLAY nouvel-affichage
	
	Change l'affichage utilis pour nommer votre groupe de
	pseudos dans les Services. Le nouvel affichage DOIT tre un
	pseudo de votre groupe.

NICK_HELP_SET_PASSWORD
	Syntaxe: SET PASSWORD nouveau-mot-de-passe
	
	Change le mot de passe utilis pour vous identifier en tant
	que propritaire du pseudo.

NICK_HELP_SET_LANGUAGE
	Syntaxe: SET LANGUAGE nombre
	
	Change la langue utilise par les Services lorsqu'ils vous
	envoient un message (par exemple, quand ils rpondent  une
	commande que vous avez envoy). nombre doit tre choisi
	dans la liste suivante des langues supportes:

NICK_HELP_SET_URL
	Syntaxe: SET URL adresse
	
	Associe l'adresse de votre site web  votre pseudo. Cette adresse 
	sera affiche lorsque quelqu'un demandera des informations sur
	votre pseudo avec la commande INFO.

NICK_HELP_SET_EMAIL
	Syntaxe: SET EMAIL adresse
	
	Associe l'e-mail donne avec votre pseudo. L'email
	sera affiche lorsque quelqu'un demandera des informations 
	sur votre pseudo avec la commande INFO.
	
NICK_HELP_SET_ICQ
	Syntaxe: SET ICQ numro
	
	Associe le numro ICQ donn  votre pseudo. Ce numro 
	sera affich lorsque quelqu'un demandera des informations sur
	votre pseudo avec la commande INFO.

NICK_HELP_SET_GREET
	Syntaxe: SET GREET message
	
	Dfinit un message d'accueil pour votre pseudo, qui sera
	affich lorsque vous joignez un canal qui a l'option
	GREET active,  condition d'avoir un niveau d'accs
	suffisant.

NICK_HELP_SET_KILL
	Syntaxe: SET KILL {ON | QUICK | IMMED | OFF}
	
	Active ou dsactive la protection automatique
	pour votre pseudo. Avec la protection active, si
	un autre utilisateur essaie de prendre votre pseudo, il aura
	une minute pour changer de pseudo, aprs quoi son pseudo sera
	chang de force par %S.
	
	Si vous slectionnez QUICK, l'utilisateur aura seulement 20
	secondes pour changer de pseudo au lieu des 60 habituelles. Si
	vous slectionnez IMMED, l'utilisateur verra son pseudo chang 
	immdiatement sans tre d'abord prvenu et sans avoir de chance
	pour changer son pseudo, n'utilisez cette option que si ncessaire.
	Les administrateurs de votre rseau peuvent avoir dsactiv cette option.

NICK_HELP_SET_SECURE
	Syntaxe: SET SECURE {ON | OFF}
	
	Active ou dsactive la scurit de %S pour votre pseudo.
	Si la scurit est active, vous devrez obligatoirement
	entrer votre mot de passe pour tre reconnu en tant que 
	propritaire du pseudo, que votre masque soit dans la liste d'accs
	ou non. Cependant, si vous tes sur la liste d'accs, %S ignorera
	la configuration de la protection offerte par SET KILL.

NICK_HELP_SET_PRIVATE
	Syntaxe: SET PRIVATE {ON | OFF}
	
	Active ou dsactive le mode priv de %S de votre pseudo.
	Si le mode priv est actif, votre pseudo n'apparaitra pas
	dans les listes de pseudos gnres par la commande LIST
	de %S. (Cependant, quiconque connaissant votre pseudo peut
	tout de mme avoir des informations en utilisant
	la commande INFO).

NICK_HELP_SET_HIDE
	Syntaxe: SET HIDE {EMAIL | STATUS | USERMASK | QUIT} {ON | OFF}
	
	Vous permet d'empcher l'affichage de certaines parties
	des informations quand quelqu'un fait un %S INFO sur votre
	pseudo. Vous pouvez cacher votre adresse e-mail (EMAIL), masque
	user@host vu pour la dernire fois (USERMASK), et la dernire
	raison de /QUIT (QUIT). Le second paramtre indique si 
	l'option doit tre affiche (OFF) ou cache (ON).
	
NICK_HELP_SET_MSG
	Syntaxe: SET MSG {ON | OFF}
	
	Vous permet de choisir la faon dont les Services communiquent
	avec vous. Si cette option est active, ils utiliseront des
	messages, sinon ils utiliseront des notices.

NICK_HELP_SET_AUTOOP
	Syntax: SET AUTOOP {ON | OFF}
	
	Dfinit si vous voulez tre automatiquement dsign OP.
	Positionnez sur ON pour	permettre  ChanServ de le faire quand
	vous entrez dans un canal.

NICK_HELP_SASET
	Syntaxe: SASET pseudo option parametres.
	
	Configure plusieurs options sur un pseudo.  option doit tre l'une ci-dessous:
	
	    DISPLAY    Affiche les pseudos du groupe du pseudo donn
	    PASSWORD   Change le mot de passe du pseudo donn
	    URL        Associe une url au pseudo donn
	    EMAIL      Associe une email au pseudo donn
	    ICQ        Associe un compte ICQ au pseudo donn
	    GREET      Associe un message d'accueil au pseudo donn
	    KILL       Active ou dsactive l'option kill du pseudo donn
	    SECURE     Active ou dsactive la securit du pseudo donn
	    PRIVATE    Empche le pseudo d'apparatre dans un
	                   %R%S LIST
	    HIDE       Cache certaines informations personnelles du pseudo
	    MSG        Change le mode de communication des Services
	    NOEXPIRE   Empche le pseudo d'expirer
	    LANGUAGE   Dfini la langue que Services utilisera dans les messages
	               qu'il vous envoie.
	
	Taper %R%S HELP SASET option pour plus d'informations
	sur une option spcifique. L'option devra tre mise avec le pseudo
	en prfixe.

NICK_HELP_SASET_DISPLAY
	Syntaxe: SASET pseudo DISPLAY nouvel-affichage
	
	Change l'affichage utilis pour nommer le groupe du
	pseudo dans les Services. Le nouvel affichage DOIT tre un
	pseudo de votre groupe.

NICK_HELP_SASET_PASSWORD
	Syntaxe: SASET pseudo PASSWORD nouveau-mot-de-passe
	
	Change le mot de passe utilis pour s'identifier comme propitaire
	du pseudo.

NICK_HELP_SASET_URL
	Syntaxe: SASET pseudo URL url
	
	Associe l'URL donne au pseudo. Cette URL sera fournie
	 toutes les personnes demandant des informations sur
	le pseudo via la commande INFO.

NICK_HELP_SASET_EMAIL
	Syntaxe: SASET pseudo EMAIL adresse-email
	
	Associe l'E-mail donne au pseudo.
	
NICK_HELP_SASET_ICQ
	Syntaxe: SASET pseudo ICQ numro
	
	Associe le numro ICQ donn au pseudo. Ce numro ICQ sera fourni
	 toutes les personnes demandant des informations sur le pseudo
	via la commande INFO.
	
NICK_HELP_SASET_GREET
	Syntaxe: SASET pseudo GREET message
	
	Dfinit un message d'accueil au pseudo, qui sera
	affich lorsqu'il rejoint un canal qui a l'option
	GREET active,  condition d'avoir un niveau d'accs
	suffisant.

NICK_HELP_SASET_KILL
	Syntaxe: SASET pseudo KILL {ON | QUICK | IMMED | OFF}
	
	Active ou dsactive la protection automatique pour le pseudo donn.
	Avec la protection active, si un autre utilisateur essaie de 
	prendre son pseudo, il aura une minute pour changer de pseudo,
	aprs quoi son pseudo sera chang de force par %S.
	
	Si vous slectionnez QUICK, l'utilisateur aura seulement 20
	secondes pour changer de pseudo au lieu des 60 habituelles. Si
	vous slectionnez IMMED, l'utilisateur verra son pseudo chang
	immdiatement sans tre d'abord prvenu et sans avoir de chance
	pour changer son pseudo, n'utilisez cette option que si ncessaire.
	Les administrateurs de votre rseau peuvent avoir dsactiv cette option.

NICK_HELP_SASET_SECURE
	Syntaxe: SASET pseudo SECURE {ON | OFF}
	
	Active ou dsactive la scurit de %S pour le pseudo donn.
	Si la scurit est active, il devra obligatoirement
	entrer son mot de passe pour tre reconnu en tant que
	propritaire du pseudo, que son masque soit dans la liste d'accs
	ou non. Cependant, si vous tes sur la liste d'accs, %S ignorera
	la configuration de la protection offerte par SET KILL.

NICK_HELP_SASET_PRIVATE
	Syntaxe: SASET pseudo PRIVATE {ON | OFF}
	
	Active ou dsactive le mode priv de %S du pseudo donn.
	Si le mode priv est actif, son pseudo n'apparaitra pas
	dans les listes de pseudos gnres par la commande LIST
	de %S. (Cependant, quiconque connaissant son pseudo peut
	tout de mme avoir des informations en utilisant
	la commande INFO).

NICK_HELP_SASET_HIDE
	Syntaxe: SASET pseudo HIDE {EMAIL | STATUS | USERMASK | QUIT} {ON | OFF}
	
	Vous permet d'empcher l'affichage de certaines parties
	des informations quand quelqu'un fait un %S INFO sur le pseudo
	donn. Vous pouvez cacher son adresse e-mail (EMAIL), masque
	user@host vu pour la dernire fois (USERMASK), et la dernire
	raison de /QUIT (QUIT). Le second paramtre indique si
	l'option doit tre affiche (OFF) ou cache (ON).
	
NICK_HELP_SASET_MSG
	Syntaxe: SASET pseudo MSG {ON | OFF}
	
	Vous permet de choisir la faon dont les Services communiquent avec
	le pseudo donn. Si cette option est active, ils utiliseront des
	messages, sinon ils utiliseront des notices.

NICK_HELP_SASET_NOEXPIRE
	Syntaxe: SASET pseudo NOEXPIRE {ON | OFF}
	
	Permet d'activer le mode NOEXPIRE au pseudo donn.
	Configurez ce paramtre sur ON pour que le 
	pseudo n'expire pas.

NICK_HELP_SASET_AUTOOP
	Syntax: SASET nickname AUTOOP {ON | OFF}
	
	Dfinit si le pseudo donn doit tre automatiquement dsign OP.
	Positionnez sur ON pour	permettre  ChanServ de le faire quand
	vous il entre dans un canal.

NICK_HELP_SASET_LANGUAGE
	Syntax: SASET nickname LANGUAGE number
	
	Modifie la langue utilise par Services quand il envoie des messages
	 nickname (par exemple, quand ils rpondent  une commande qu'il
	a envoy).
	number doit tre choisi dans la liste des langues supportes que
	vous pouvez obtenir en tapant %R%S HELP SET LANGUAGE.

NICK_HELP_RECOVER
	Syntaxe: RECOVER pseudo [motdepasse]
	
	Vous permet de rcuprer votre pseudo si quelqu'un d'autre
	l'a pris. C'est quivalent  ce que %S fait 
	automatiquement si quelqu'un essaie d'utiliser un pseudo
	protg par SET KILL.
	
	Quand vous utilisez cette commande, %S connectera un faux
	utilisateur avec le mme pseudo que l'utilisateur dont
	vous essayez de rcuprer le pseudo. Cela provoque la dconnexion
	par les serveurs IRC de l'autre utilisateur. Ce faux utilisateur
	restera connect pendant %s pour s'assurer que l'autre
	utilisateur ne se reconnecte pas immdiatement. Aprs ce
	temps, vous pouvez reprendre votre pseudo. Alternativement,
	utilisez la commande RELEASE (%R%S HELP RELEASE) pour
	reprendre votre pseudo plus tt.
	
	Pour utiliser la commande RECOVER pour un pseudo, l'adresse
	telle qu'elle est montre dans un /WHOIS doit tre sur la
	liste d'accs du pseudo, vous devez tre identifi et dans
	le groupe du pseudo, ou vous devez fournir le mot de passe
	correct du pseudo.

NICK_HELP_RELEASE
	Syntaxe: RELEASE pseudo [motdepasse]
	
	Ordonne  %S de supprimer toute tutelle sur votre pseudo
	provoque par la protection de SET KILL ou 
	l'utilisation de la commande RECOVER. Par dfaut, les
	tutelles durent %s, cette commande les arrte plus tt.
	
	Pour utiliser la commande RELEASE pour un pseudo, l'adresse
	telle qu'elle est montre dans un /WHOIS doit tre sur la
	liste d'accs du pseudo, vous devez tre identifi et dans
	le groupe du pseudo, ou vous devez fournir le mot de passe
	correct du pseudo.

NICK_HELP_GHOST
	Syntaxe: GHOST pseudo [motdepasse]
	
	Arrte une session IRC "fantme" utilisant votre pseudo. Une
	session "fantme" est un utilisateur non connect 
	actuellement, mais dont le serveur IRC croit qu'il l'est
	toujours pour une raison ou une autre. Habituellement,
	ceci arrive lorsque votre ordinateur plante ou que votre connexion
	 Internet s'arrte lorsque vous tes sur IRC.
	
	Pour utiliser la commande GHOST pour un pseudo, l'adresse
	telle qu'elle est montre dans un /WHOIS doit tre sur la
	liste d'accs du pseudo, ou vous devez fournir le mot de passe
	correct pour le pseudo.

NICK_HELP_INFO
	Syntaxe: INFO pseudo [ALL]
	
	Affiche des informations sur le pseudo donn, telles que
	le propritaire du pseudo, l'adresse avec laquelle il tait
	connect pour la dernire fois, et les options du pseudo. Si
	vous tes identifi pour le pseudo pour lequel vous demandez
	des informations et que ALL est spcifi, toutes
	les informations seront affiches, qu'elles soient caches
	ou non.

NICK_HELP_LIST
	Syntaxe: LIST modle
	
	Liste tous les pseudos enregistrs qui correspondent
	au modle donn, dans le format pseudo!user@host. Les
	pseudos avec l'option PRIVATE active ne seront pas
	affichs.
	
	Exemples:
	
	    LIST *!joeuser@foo.com
	        Liste tous les pseudos appartenant  joeuser@foo.com.
	
	    LIST *Bot*!*@*
	        Liste tous les pseudos enregistrs avec Bot dans leurs
	        noms (ne diffrencie pas minuscules et majuscules).
	
	    LIST *!*@*.bar.org
	        Liste tous les pseudos appartenant aux utilisateurs dans le
	        domaine bar.org.
	        
NICK_HELP_ALIST
	Syntaxe: ALIST [level]
	
	Liste tous les canaux auquels vous avez accs. Optionnellement, vous
	pouvez spcifier un niveau au format XOP ou ACCESS. Le rsultat
	retournera uniquement les canaux auquels vous avez un accs suprieur
	ou gal au niveau donn.
	
	Exemples:
	    ALIST Founder
	        Liste tous les canaux auxquels vous avez un accs
		FOUNDER.

	    ALIST AOP
	        Liste tous les canaux auxquels vous avez un accs AOP ou plus.

	    ALIST 10
	        Liste tous les canaux auxquels vous avez un accs 10 ou plus.
	
	Les canaux ayant l'option NOEXPIRE active seront retourns avec un point 
	d'exclamation devant.
	
NICK_HELP_GLIST
	Syntaxe: GLIST
	
	Liste tous les pseudos dans votre groupe.

NICK_HELP_STATUS
	Syntaxe: STATUS nick...
	
	Retourne si l'utilisateur utilisant le pseudo donn est reconnu
	en tant que propritaire du pseudo. La rponse est sous ce format:
	
	    pseudo code-status account
	
	O pseudo est le pseudo tudi,
	code-status est l'un des codes suivants, et account
	le compte avec lequel il est connect.
	
	    0 - cet utilisateur n'est pas online ou le pseudo n'est pas 
	        enregistr
	    1 - utilisateur non reconnu comme propritaire
	    2 - utilisateur reconnu comme propritaire uniquement via
	        la liste d'accs
	    3 - utilisateur reconnu comme propritaire via l'identification
	
	Jusqu' seize pseudos peuvent tre envoys avec chaque commande,
	le reste sera ignor. Si aucun pseudo n'est donn, votre propre
	statut sera retourn.

NICK_HELP_SENDPASS
	Syntaxe: SENDPASS pseudo
	
	Envoie le mot de passe du pseudo donn  l'adresse e-mail 
	qui a t dfinie pour ce pseudo. Cette commande est trs
	utile pour rgler les problmes de mots de passe perdus.
	
	Peut tre limit aux Oprateurs IRC sur certains
	rseaux.

NICK_HELP_RESETPASS
	Syntax: RESETPASS nickname
	
	Sends a code key to the nickname with instructions on how to
	reset their password.

NICK_HELP_CONFIRM
	Syntax: CONFIRM passcode
	
	C'est la seconde tape du processus d'enregistrement d'un
	pseudo. Vous devez excuter cette commande afin de complter
	l'enregistrement de votre pseudo sur %S. Le passcode (aussi
	appel code d'authentification) est envoy  l'adresse E-mail
	fournie  la premire tape de votre enregistrement.
	Pour plus d'informations sur cette premire tape, tapez:
	%R%S HELP REGISTER
	
	This is also used after the RESETPASS command has been used to
	force identify you to your nick so you may change your password.

NICK_HELP_CONFIRM_OPER
	
	Additionally, Services Operators with the nickserv/confirm permission can
	replace passcode with a users nick to force validate them.

NICK_HELP_RESEND
	Syntax: RESEND
	
	Cette commande envoie  nouveau le code d'authentification
	( aussi appel passcode)  l'adresse E-mail de l'utilisateur
	qui l'excute.

NICK_SERVADMIN_HELP
	
	Les Services Operators peuvent galement effacer n'importe quel
	pseudo sans avoir besoin de s'identifier pour le celui-ci, et 
	peuvent voir l'access list pour n'importe quel pseudo
	(%R%S ACCESS LIST nick).
	
NICK_SERVADMIN_HELP_LOGOUT
	Syntaxe: LOGOUT [pseudo [REVALIDATE]]
	
	Sans paramtre, inverse l'effet de la commande IDENTIFY,
	c'est--dire qu'elle fait en sorte que vous ne soyez plus
	reconnu en tant que propritaire rel du pseudo. Notez
	cependant que l'on ne vous demandera pas de vous ridentifier.
	
	Avec un paramtre, fait la mme chose avec le pseudo donn. Si
	vous spcifiez galement REVALIDATE, les Services demanderont
	au pseudo donn de se r-identifier. Cette utilisation est 
	rserve aux Services Operators.

NICK_SERVADMIN_HELP_DROP
	Syntaxe: DROP [pseudo]
	
	Sans paramtre, efface votre pseudo de la base de donnes
	de %S.
	
	Avec un paramtre, efface le pseudo donn de la base de
	donnes. Vous pouvez effacer n'importe quel pseudo de votre
	groupe sans privilge particulier. La possibilit 
	d'effacer n'importe quel pseudo est cependant rserve aux 
	Services Operators.

NICK_SERVADMIN_HELP_INFO
	
	Les services operators peuvent utiliser le paramtre ALL 
	avec n'importe quel pseudo.

NICK_SERVADMIN_HELP_LIST
	Syntaxe: LIST modle [FORBIDDEN] [SUSPENDED] [NOEXPIRE] [UNCONFIRMED]
	
	Liste tous les pseudos enregistrs qui correspondent au modle
	donn, de format nick!user@host. Les pseudos ayant l'option
	PRIVATE ne seront affichs qu'aux Services operators. Les
	pseudos ayant l'option NOEXPIRE seront prfixs par un !
	devant leur pseudo pour les Services operators. 
	
	Si les options FORBIDDEN, SUSPENDED, NOEXPIRE ou UNCONFIRMED sont donnes,
	les pseudos qui sont FORBID, SUSPENDED, NON CONFIRM ou ont l'option
	NOEXPIRE seront affichs. Si plus options sont indiques,
	tous les pseudos correspondants  un des critres seront affichs.
	Rserv aux Services operators.  
	
	Exemples:
	
	    LIST *!joeuser@foo.com
	        Liste tous les pseudos enregistrs appartenant  
	        joeuser@foo.com.
	
	    LIST *Bot*!*@*
	        Liste tous les pseudos enregistrs ayant Bot dans
	        leur nom (ne respecte pas les majuscules).
	
	    LIST * NOEXPIRE
	        Liste tous les pseudos qui n'expireront pas.

NICK_SERVADMIN_HELP_ALIST
	Syntax: ALIST [pseudo] [level]
	
	Sans aucun paramtre, retourne la liste des canaux o vous avez un accs.
	pseudo liste les canaux auxquels le pseudo donn a accs
	level liste les canaux auxquels le pseudo donn a un accs suprieur
	ou gal au niveau donn.

NICK_SERVADMIN_HELP_GLIST
	Syntaxe: GLIST [nick]
	
	Sans paramtre, liste tous les pseudos qui sont dans
	votre groupe.
	
	Avec un paramtre, liste tous les pseudos qui sont dans
	le groupe du pseudo donn.
	Cette utilisation est limite aux administrateurs des 
	Services.

NICK_SERVADMIN_HELP_GETPASS
	Syntaxe: GETPASS nick
	
	Retourne le mot de passe du pseudo donn. Notez que pour
	chaque utilisation de cette commande, un message comprenant
	la personne qui a mis la commande et le pseudo sur lequel
	il a t utilis sera enregistr et envoy en WALLOPS/GLOBOPS.
	
	Cette commande est indisponible quand le cryptafe est activ.

NICK_SERVADMIN_HELP_GETEMAIL
	Syntax: GETEMAIL user@emailhost

	Retourne la liste des pseudos enregistrs avec l'E-mail donne.
	Note vous ne pouvez pas utiliser de jokers pour plusieurs
		pseudos. 
		Lorsque cette commande est utilise, un message incluant
		le pseudo de la personne qui a utilis la commande et
		pour quelle E-mail a t formule la commande est ajout
		dans les logs.

NICK_SERVADMIN_HELP_FORBID
	Syntaxe: FORBID nick [raison]
	
	Empche un pseudo d'tre enregistr ou utilis par 
	quelqu'un. Peut tre annul en effaant le pseudo.
	
	Sur certains rseaux, une raison est requise.

###########################################################################
#
# ChanServ help messages
#
###########################################################################

NICK_SERVADMIN_HELP_SUSPEND
	Syntaxe: SUSPEND pseudo raison / UNSUSPEND pseudo

	Suspend / libre le pseudo spcifi.

###########################################################################
#
# ChanServ help messages
#
###########################################################################

NICK_SERVADMIN_HELP_UNSUSPEND
	Syntaxe: UNSUSPEND pseudo

	Libre un pseudo suspendu.

###########################################################################
#
# ChanServ help messages
#
###########################################################################
CHAN_HELP_CMD_GETPASS
	    GETPASS    Retrouve le mot de passe du propritaire pour
	               un canal 
CHAN_HELP_CMD_FORBID
	    FORBID     Empche un canal d'tre utilis
CHAN_HELP_CMD_SUSPEND
	    SUSPEND    Suspend un canal pour ne pas qu'il soit utilis
	               tout en conservant les donnes et configurations.
CHAN_HELP_CMD_UNSUSPEND
	    UNSUSPEND  Libre un canal suspendu
CHAN_HELP_CMD_STATUS
	    STATUS     Retourne le niveau d'accs courant d'un
	               utilisateur sur un canal
CHAN_HELP_CMD_REGISTER
	    REGISTER   Enregistre un canal
CHAN_HELP_CMD_SET
	    SET        Configure les options et informations du 
	               canal
CHAN_HELP_CMD_QOP
	    QOP        Modify the list of QOP users
CHAN_HELP_CMD_AOP
	    AOP        Modifie la liste des utilisateurs AOPs
CHAN_HELP_CMD_SOP
	    SOP        Modifie la liste des utilisateurs SOPs
CHAN_HELP_CMD_ACCESS
	    ACCESS     Modifie la liste des utilisateurs privilgis
CHAN_HELP_CMD_LEVELS
	    LEVELS     Redfinit la signification des niveaux d'accs
CHAN_HELP_CMD_AKICK
	    AKICK      Gre la liste des kicks automatiques
CHAN_HELP_CMD_DROP
	    DROP       Annule l'enregistrement d'un canal
CHAN_HELP_CMD_BAN
	    BAN        Ban un pseudo spcifi dans un canal
CHAN_HELP_CMD_CLEAR
	    CLEAR      Ordonne  ChanServ de nettoyer certains paramtres
	               sur un canal
CHAN_HELP_CMD_DEVOICE
	    DEVOICE    Devoice le pseudo spcifi sur un canal
CHAN_HELP_CMD_GETKEY
	    GETKEY     Retourne la cl du canal specifi
CHAN_HELP_CMD_INFO
	    INFO       Liste les informations sur un canal enregistr
CHAN_HELP_CMD_INVITE
	    INVITE     Commande  ChanServ de vous inviter dans un canal
CHAN_HELP_CMD_KICK
	    KICK       Kick le pseudo spcifi d'un canal
CHAN_HELP_CMD_LIST
	    LIST       Liste tous les canaux enregistrs en rapport avec la recherche
CHAN_HELP_CMD_OP
	    OP         Donne l'Op au pseudo spcifi sur un canal
CHAN_HELP_CMD_TOPIC
	    TOPIC      Change le sujet sur un canal spcifi
CHAN_HELP_CMD_UNBAN
	    UNBAN      Remove all bans preventing a user from entering a channel
CHAN_HELP_CMD_VOICE
	    VOICE      Donne un voice au pseudo spcifi sur un canal
CHAN_HELP_CMD_VOP
	    VOP        Configure la liste des VOP pour un canal (VOicePeople)
CHAN_HELP_CMD_DEHALFOP
	    DEHALFOP   Dehalfop le pseudo spcifi sur un canal
CHAN_HELP_CMD_DEOWNER
	    DEOWNER    Retire votre statut de propritaire d'un canal
CHAN_HELP_CMD_DEPROTECT
	    DEPROTECT  Dprotge le pseudo donn sur un canal
CHAN_HELP_CMD_HALFOP
	    HALFOP     Donne le statut d'HalfOP au pseudo donn sur un canal
CHAN_HELP_CMD_HOP
	    HOP        Configure la liste de HOP d'un canal (HalfOP)
CHAN_HELP_CMD_OWNER
	    OWNER      Vous donne votre accs propritaire pour un canal
CHAN_HELP_CMD_PROTECT
	    PROTECT    Protge le pseudo spcifi sur un canal
CHAN_HELP_CMD_DEOP
	    DEOP       Deop le pseudo spcifi sur un canal

CHAN_HELP
	%S vous permet d'enregistrer et de contrler divers
	aspects des canaux. %S empche souvent de malicieux
	utilisateurs de faire des "take overs" sur les canaux
	en limitant ceux qui sont autoriss  tre OP.
	Les commandes disponibles sont listes ci-dessous,
	pour les utiliser, tapez %R%S commande. Pour plus 
	d'informations sur une commande spcifique, tapez
	%R%S HELP commande.
	 
	
CHAN_HELP_EXPIRES
	
	Notez que tout canal non utilis pendant %d jours
	(c'est--dire une priode pendant laquelle aucun
	utilisateur figurant sur la liste d'accs du canal
	ne vient sur le canal) il sera automatiquement effac.

CHAN_HELP_REGISTER
	Syntaxe: REGISTER canal description
	
	Registers a channel in the %S database.  In order
	to use this command, you must first be a channel operator
	on the channel you're trying to register.
	The description, which must be included, is a
	general description of the channel's purpose.

	When you register a channel, you are recorded as the
	"founder" of the channel.  The channel founder is allowed
	to change all of the channel settings for the channel;
	%S will also automatically give the founder
	channel-operator privileges when s/he enters the channel.
	See the ACCESS command (%R%S HELP ACCESS) for
	information on giving a subset of these privileges to
	other channel users.

	NOTICE: In order to register a channel, you must have
	first registered your nickname.  If you haven't,
	%R%s HELP for information on how to do so.

CHAN_HELP_DROP
	Syntaxe: DROP canal
	
	Efface le canal donn. Peut uniquement tre utilis par
	le propritaire du canal.

CHAN_HELP_SET
	Syntaxe: SET canal option paramtres
	
	Permet au propritaire du canal de configurer diverses options
	du canal et d'autres informations.
	
	Options disponibles:
	
	    FOUNDER       Dfinit le propritaire d'un canal
	    SUCCESSOR     Dfinit le successeur d'un canal
	    DESC          Dfinit la description du canal
	    URL           Associe un site avec un canal
	    EMAIL         Associe un E-mail avec le canal
	    ENTRYMSG      Dfinit un message envoy aux utilisateurs
	                      qui entrent sur le canal
	    TOPIC         Change le topic du canal
	    BANTYPE       Dfinit comment les services mettent les bans
	                      sur le canal
	    MLOCK         Oblige ou interdit des modes de canal
	    KEEPTOPIC     Maintient le topic quand le canal n'est
	                      pas utilis
	    OPNOTICE      Envoie une notice quand OP/DEOP sont utiliss
	    PEACE         Rgule l'utilisation de commandes sensibles
	    PRIVATE       Cacher le canal de la commande LIST
	    RESTRICTED    Restreindre l'accs au canal
	    SECURE        Active les fonctions de scurit de %S
	    SECUREOPS     Contrle plus strict du statut d'OP
	    SECUREFOUNDER Contrle plus strict du statut de propritaire 
	                      du canal
	    SIGNKICK      Signe les kicks gnrs par la commande KICK
	    TOPICLOCK     Le sujet peut uniquement tre chang avec
	                      TOPIC
	    XOP           Change le systme de privilges utilisateurs
	    PERSIST       Set the channel as permanent
	
	Tapez %R%S HELP SET option pour plus d'informations sur
	une option particulire.

CHAN_HELP_SET_FOUNDER
	Syntaxe: SET canal FOUNDER pseudo
	
	Change le propritaire d'un canal. Le nouveau pseudo doit tre
	enregistr.

CHAN_HELP_SET_SUCCESSOR
	Syntaxe: SET canal SUCCESSOR pseudo
	
	Change le successeur d'un canal. Si le pseudo du propritaire
	expire ou est effac alors que le canal est toujours
	enregistr, le successeur deviendra le nouveau propritaire du
	canal. Cependant, si le successeur a dj trop de canaux
	enregistrs (%d), le canal sera tout de mme effac, comme
	si aucun successeur n'avait t nomm. Le nouveau pseudo
	doit tre enregistr.

CHAN_HELP_SET_DESC
	Syntaxe: SET canal DESC description
	
	Dfinit la description du canal, qui apparait dans les
	commandes LIST et INFO.

CHAN_HELP_SET_URL
	Syntaxe: SET canal URL [adresse]
	
	Associe l'adresse de site web donne avec le canal. Cette adresse 
	sera affiche  chaque fois que quelqu'un demande des informations
	sur le canal avec la commande INFO. Si aucun paramtre
	n'est donn, supprime l'adresse de site du canal.

CHAN_HELP_SET_EMAIL
	Syntaxe: SET canal EMAIL [adresse]
	
	Associe l'E-mail donn avec le canal. Cette
	E-mail sera affich lorsque quelqu'un demande des informations
	sur le canal avec la commande INFO. Si aucun paramtre
	n'est donn, supprime l'E-mail actuel du canal.

CHAN_HELP_SET_ENTRYMSG
	Syntaxe: SET canal ENTRYMSG [message]
	
	Dfinit le message qui sera envoy en /notice aux 
	utilisateurs quand ils entrent dans un canal. Si aucun
	paramtre n'est donn, aucun message n'est envoy 
	l'entre.
	
CHAN_HELP_SET_BANTYPE
	Syntaxe: SET canal BANTYPE typedeban
	
	Dfinit le type de ban qui sera utilis par les services
	lorsqu'ils doivent bannir quelqu'un de votre canal.
	
	typedeban est un nombre entre 0 et 3 qui signifie:
	
	0: ban de style *!user@host
	1: ban de style *!*user@host
	2: ban de style *!*@host
	3: ban de style *!*user@*.domain

CHAN_HELP_SET_KEEPTOPIC
	Syntaxe: SET canal KEEPTOPIC {ON | OFF}
	
	Active ou dsactive l'option de maintien du sujet pour
	un canal. Lorsque le maintien du sujet est dfini, le 
	sujet pour le canal sera retenu par %S mme aprs que le
	dernier utilisateur ait quitt le canal, et sera restaur
	la prochaine fois que le canal sera cr. 

CHAN_HELP_SET_TOPICLOCK
	Syntaxe: SET canal TOPICLOCK {ON | OFF}
	
	Active ou dsactive l'option de verrouillage du sujet pour
	un canal. Lorsque le verrouillage du sujet est actif,
	%S ne permettra pas le changement du sujet du canal sauf
	avec la commande TOPIC.

CHAN_HELP_SET_MLOCK
	Syntaxe: SET canal MLOCK modes
	
	Configure les modes maintenus sur le canal. %S vous permet de
	toujours garder certains modes, d'empcher l'utilisation d'autres
	modes et de laisser les modes restants en libre utilisation par
	les OPrateurs du canal.
	
	Le paramtre modes est construit de la mme faon que dans la 
	commande /MODE, les modes prcds d'un + tant toujours gards, 
	et ceux prcds d'un - ne pouvant tre utiliss. Notez cependant
	que, contrairement  la commande /MODE, chaque utilisation de 
	SET MLOCK rinitialisera les modes maintenus avant de mettre en 
	place les nouveaux!
	
	Remarque: Si vous choisissez de toujours garder le mode +k, 
	comme dans le second exemple ci-dessous, vous devez galement 
	activer l'option RESTRICTED du canal (HELP SET 
	RESTRICTED pour plus d'informations), sinon toute personne 
	entrant sur le canal lorsqu'il est vide verra la clef!  
	
	Exemples:
	
	    SET #canal MLOCK +nt-iklps
	      Garde toujours les modes n et t, et empche l'utilisation 
	      des modes i, k, l, p, et s. Le mode m est libre d'tre 
	      mis ou retir.
	
	    SET #canal MLOCK +knst-ilmp ma-clef
	      Garde toujours les modes k, n, s, et t, et dsactive 
	      les modes i, l, m, et p. La clef du canal sera 
	      "ma-clef".
	
	    SET #canal MLOCK +
	      Rinitialise tous les modes prcdemment maintenus, qui
	      pourront dsormais tre librement utiliss.

CHAN_HELP_SET_PEACE
	Syntaxe: SET canal PEACE {ON | OFF}
	
	Active ou dsactive l'option de paix pour un canal.
	Quand elle est active, cette option empche un 
	utilisateur de kicker, bannir ou enlever un privilge
	de canal d'un user qui a un niveau suprieur ou
	gal au sien via les commandes de %S.

CHAN_HELP_SET_PRIVATE
	Syntaxe: SET canal PRIVATE {ON | OFF}
	
	Active ou dsactive l'option private pour un canal.
	Si private est dfini, un %R%S LIST ne comprendra
	le canal dans aucune liste.

CHAN_HELP_SET_RESTRICTED
	Syntaxe: SET canal RESTRICTED {ON | OFF}
	
	Active ou dsactive l'option d'accs restreint pour un canal.
	Quand l'accs restreint est activ, les utilisateurs qui ne sont
	pas inscrits  la liste d'accs seront kicks et bannis du canal.

CHAN_HELP_SET_SECURE
	Syntaxe: SET canal SECURE {ON | OFF}
	
	Active ou dsactive les caractristiques de scurit %S
	pour un canal. Lorsque la scurit est active, seuls les
	utilisateurs qui ont enregistr leur pseudo avec %s et
	qui sont identifis avec leur mot de passe auront accs
	au canal, sous contrle de la liste d'accs.

CHAN_HELP_SET_SECUREOPS
	Syntaxe: SET canal SECUREOPS {ON | OFF}
	
	Active ou dsactive le contrle des OPs sur un canal.
	Lorsque le contrle des OPs est actif, les utilisateurs 
	qui ne sont pas sur la liste d'accs ne pourront tre OP.
	
CHAN_HELP_SET_SECUREFOUNDER
	Syntaxe: SET canal SECUREFOUNDER {ON | OFF}
	
	Active ou dsactive l'option contrle du propritaire pour un canal.
	Lorsque le contrle du propritaire est activ, seul le vrai 
	propritaire pourra effacer le canal, changer son mot de passe, 
	son propritaire et son successeur, et non pas ceux qui sont identifis 
	avec %S.
	
CHAN_HELP_SET_SIGNKICK
	Syntaxe: SET canal SIGNKICK {ON | LEVEL | OFF}
	
	Active ou dsactive les kicks signs sur un canal.
	Quand cette option est utilise, les kicks gnrs
	par la commande %S KICK contiendront dans la raison
	le pseudo qui a utilis	la commande.
	
	Si vous slectionnez LEVEL, ceux qui ont un niveau qui est
	suprieur ou gal au niveau SIGNKICK sur le canal ne 
	gnreront pas de kicks signs. Consultez %R%S HELP LEVELS
	pour plus d'informations.

CHAN_HELP_SET_XOP
	Syntaxe: SET canal XOP {ON | OFF}
	
	Active ou dsactive le systme de listes de xOPs pour
	un canal. Si vous choisissez ce systme, vous devez
	utiliser les commandes AOP/SOP/VOP pour donner
	des privilges aux utilisateurs, sinon vous devez
	utiliser la commande ACCESS.
	
	Info technique: quand vous passez du systme de liste 
	d'accs au systme de listes de xOPs, les dfinitions de 
	niveaux et les niveaux des utilisateurs seront changs, et 
	donc vous ne les rcuprerez pas tels quels si vous repassez 
	au systme de liste d'accs.

	Vous devriez galement vrifier que les utilisateurs sont
	dans la bonne liste de xOPs aprs tre pass du systme
	de liste d'accs  celui de listes de xOPs, car la
	conversion n'est pas parfaite  tous les coups... en fait,
	elle est dconseille si vous avez chang les dfinitions
	des niveaux avec la commande LEVELS.
	
	Passer du systme de listes de xOPs au systme de liste
	d'accs ne pose aucun problme par contre.

CHAN_HELP_SET_PERSIST
	Syntax: SET channel PERSIST {ON | OFF}

	Enables or disables the persistant channel setting.
	When persistant is set, the service bot will remain
	in the channel when it has emptied of users.
	
	If your IRCd does not a permanent (persistant) channel
	mode you must have a service bot in your channel to
	set persist on, and it can not be unassigned while persist
	is on.
	
	If this network does not have BotServ enabled and does
	not have a permanent channel mode, ChanServ will
	join your channel when you set persist on (and leave when
	it has been set off).
	
	If your IRCd has a permanent (persistant) channel mode
	and is is set or unset (for any reason, including MLOCK),
	persist is automatically set and unset for the channel aswell.
	Additionally, services will set or unset this mode when you
	set persist on or off.

CHAN_HELP_SET_OPNOTICE
	Syntaxe: SET canal OPNOTICE {ON | OFF}
	
	Active ou dsactive l'option notice sur OP/DEOP pour un canal.
	Lorsque notice sur OP/DEOP est dfini, %S enverra une notice au
	canal  chaque fois que les commandes OP ou DEOP sont
	utilises par un utilisateur sur le canal.

CHAN_HELP_QOP
	Syntax: QOP channel ADD nick
	        QOP channel DEL {nick | entry-num | list}
	        QOP channel LIST [mask | list]
	        QOP channel CLEAR
	
	Maintains the QOP (AutoOwner) list for a channel. The QOP 
	list gives users the right to be auto-owner on your channel,
	which gives them almost (or potentially, total) access.
	
	The QOP ADD command adds the given nickname to the
	QOP list.
	
	The QOP DEL command removes the given nick from the
	QOP list.  If a list of entry numbers is given, those
	entries are deleted.  (See the example for LIST below.)
	
	The QOP LIST command displays the QOP list.  If
	a wildcard mask is given, only those entries matching the
	mask are displayed.  If a list of entry numbers is given,
	only those entries are shown; for example:

	   QOP #channel LIST 2-5,7-9
	      Lists QOP entries numbered 2 through 5 and
	      7 through 9.
	      
	The QOP CLEAR command clears all entries of the
	QOP list.
	
	The QOP commands are limited to
	founders (unless SECUREOPS is off). However, any user on the
	QOP list may use the QOP LIST command.
	
	This command may have been disabled for your channel, and
	in that case you need to use the access list. See 
	%R%S HELP ACCESS for information about the access list,
	and %R%S HELP SET XOP to know how to toggle between 
	the access list and xOP list systems.

CHAN_HELP_AOP
	Syntaxe: AOP canal ADD pseudo
	         AOP canal DEL {pseudo | liste d'entres | liste}
	         AOP canal LIST [masque | liste]
	         AOP canal CLEAR
	
	Gre la liste des AOPs (AutoOPs) d'un canal. La liste des
	AOPs donne aux utilisateurs le droit de recevoir le 
	statut d'oprateur automatiquement sur votre canal, 
	de se dbannir ou de s'inviter en cas de besoin, d'avoir
	leur message d'accueil affich  leur arrive, etc.
	
	La commande AOP ADD ajoute le pseudo donn  la liste des
	AOPs.
	
	La commande AOP DEL supprime le pseudo donn de
	la liste des AOPs. Si une liste de numros d'entres est 
	donne, ces entres sont supprimes. (Consultez l'exemple
	pour LIST ci-dessous.)
	
	La commande AOP LIST affiche la liste des AOPs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   AOP #canal LIST 2-5,7-9
	        Liste toutes les entres comprises entre 2 et 5 et
	        entre 7 et 9.
	
	La commande AOP CLEAR supprime toutes les entres
	de la liste des AOPs.
	
	Les commandes AOP ADD et AOP DEL sont utilisables
	en tant SOP ou plus, alors que la commande AOP CLEAR
	ne peut tre utilise que par le propritaire du canal.
	Cependant, la commande AOP LIST peut tre utilise
	en tant AOP ou plus.
	
	Cette commande peut avoir t dsactive pour votre canal,
	et vous devrez dans ce cas utiliser la liste d'accs. Tapez
	%R%S HELP ACCESS pour savoir comment utiliser la liste
	d'accs, et %R%S HELP SET XOP pour savoir comment 
	passer du systme de liste d'accs  celui de liste des xOPs.

CHAN_HELP_HOP
	Syntaxe: HOP canal ADD pseudo
	         HOP canal DEL {pseudo | liste d'entres | liste}
	         HOP canal LIST [masque | liste]
	         HOP canal CLEAR
	
	Gre la liste des HOPs (HalfOPs) d'un canal. La liste des
	HOPs donne aux utilisateurs le droit de recevoir le 
	statut de semi-oprateur automatiquement sur votre canal.
	
	La commande HOP ADD ajoute le pseudo donn  la liste des
	HOPs.
	
	La commande HOP DEL supprime le pseudo donn de
	la liste des HOPs. Si une liste de numros d'entres est 
	donne, ces entres sont supprimes. (Consultez l'exemple
	pour LIST ci-dessous.)
	
	La commande HOP LIST affiche la liste des HOPs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   HOP #canal LIST 2-5,7-9
	        Liste toutes les entres comprises entre 2 et 5 et
	        entre 7 et 9.
	
	La commande HOP CLEAR supprime toutes les entres
	de la liste des HOPs.
	
	Les commandes HOP ADD, HOP DEL et HOP LIST sont 
	utilisables en tant AOP ou plus, alors que la commande 
	HOP CLEAR ne peut tre utilise que par le propritaire 
	du canal.
	
	Cette commande peut avoir t dsactive pour votre canal,
	et vous devrez dans ce cas utiliser la liste d'accs. Tapez
	%R%S HELP ACCESS pour savoir comment utiliser la liste
	d'accs, et %R%S HELP SET XOP pour savoir comment 
	passer du systme de liste d'accs  celui de liste des xOPs.

CHAN_HELP_SOP
	Syntaxe: SOP canal ADD pseudo
	         SOP canal DEL {pseudo | liste d'entres | liste}
	         SOP canal LIST [masque | liste]
	         SOP canal CLEAR
	
	Gre la liste des SOPs (SuperOPs) d'un canal. La liste 
	des SOPs donne aux utilisateurs tous les droits donns
	par la liste des AOPs, et ajoute ceux de pouvoir
	utiliser la liste de kicks automatiques et de mots
	interdits, de pouvoir lire et envoyer des mmos de
	canal, etc.
	
	La commande SOP ADD ajoute le nick donn  la liste des
	SOPs.
	
	La commande SOP DEL supprime le pseudo donn de
	la liste des SOPs. Si une liste de numros d'entres est 
	donne, ces entres sont supprimes. (Consultez l'exemple
	pour LIST ci-dessous.)
	
	La commande SOP LIST affiche la liste des SOPs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   SOP #canal LIST 2-5,7-9
	        Liste toutes les entres comprises entre 2 et 5 et
	        entre 7 et 9.
	
	La commande SOP CLEAR supprime toutes les entres
	de la liste des SOPs.
	
	Les commandes SOP ADD, SOP DEL et SOP CLEAR ne sont 
	utilisables que par le propritaire du canal.
	Cependant, la commande SOP LIST peut tre utilise
	en tant AOP ou plus.
	
	Cette commande peut avoir t dsactive pour votre canal,
	et vous devrez dans ce cas utiliser la liste d'accs. Tapez
	%R%S HELP ACCESS pour savoir comment utiliser la liste
	d'accs, et %R%S HELP SET AOP pour savoir comment 
	passer du systme de liste d'accs  celui de liste des xOPs.

CHAN_HELP_VOP
	Syntaxe: VOP canal ADD pseudo
	         VOP canal DEL {pseudo | liste d'entres | liste}
	         VOP canal LIST [masque | liste]
	         VOP canal CLEAR
	
	Gre la liste des VOPs (VOicePeople) d'un canal. La 
	liste des VOPs permet aux utilisateurs d'obtenir le statut
	de voice automatiquement ou de se l'attribuer s'ils
	ne l'ont pas encore.
	
	La commande VOP ADD ajoute le pseudo donn  la liste des
	VOPs.
	
	La commande VOP DEL supprime le pseudo donn de
	la liste des VOPs. Si une liste de numros d'entres est 
	donne, ces entres sont supprimes. (Consultez l'exemple
	pour LIST ci-dessous.)
	
	La commande VOP LIST affiche la liste des VOPs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   VOP #canal LIST 2-5,7-9
	        Liste toutes les entres comprises entre 2 et 5 et
	        entre 7 et 9.
	
	La commande VOP CLEAR supprime toutes les entres
	de la liste des VOPs.
	
	Les commandes VOP ADD, VOP DEL et VOP LIST sont 
	utilisables en tant AOP ou plus, alors que la commande 
	VOP CLEAR ne peut tre utilise que par le propritaire 
	du canal.
	
	Cette commande peut avoir t dsactive pour votre canal,
	et vous devrez dans ce cas utiliser la liste d'accs. Tapez
	%R%S HELP ACCESS pour savoir comment utiliser la liste
	d'accs, et %R%S HELP SET AOP pour savoir comment 
	passer du systme de liste d'accs  celui de liste des xOPs.

CHAN_HELP_ACCESS
	Syntaxe: ACCESS canal ADD pseudo level
	         ACCESS canal DEL {pseudo | numros d'entre | liste}
	         ACCESS canal LIST [mask | liste]
	         ACCESS canal VIEW [mask | liste]
	         ACCESS canal CLEAR
	
	Gre la liste d'accs d'un canal. La liste d'accs
	dtermine quels utilisateurs ont le statut d'OPrateur ou
	ont accs aux commandes de %S pour le canal. Diffrents
	niveaux utilisateur donnent accs  diffrents lots de 
	privilges, %R%S HELP ACCESS LEVELS pour des informations
	plus dtailles. Tout pseudo qui n'est pas sur la liste
	d'accs a un niveau utilisateur de 0.
	
	La commande ACCESS ADD ajoute le pseudo donn  la liste
	d'accs avec le niveau utilisateur choisi, si le pseudo est
	dj prsent dans la liste, son niveau d'accs est remplac
	par le niveau spcifi dans la commande. Le level spcifi
	doit tre infrieur  celui qui utilise la commande, et
	si le pseudo est dj dans la liste d'accs, le niveau
	d'accs actuel de ce pseudo doit tre infrieur  celui de
	la personne utilisant la commande.
	
	La commande ACCESS DEL supprime le pseudo donn de
	la liste d'accs. Si une liste de numros d'entres est 
	donne, ces entres sont supprimes. (Consultez l'exemple
	pour LIST ci-dessous.)
	
	La commande ACCESS LIST affiche la liste d'accs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entre
	est donne, seules ces entres sont affiches, par exemple:

	   ACCESS #canal LIST 2-5,7-9
	        Liste toutes les entres comprises entre 2 et 5 et
	        entre 7 et 9.
	
	The ACCESS VIEW command displays the access list similar
	to ACCESS LIST but shows the creator and last used time.
	
	La commande ACCESS CLEAR supprime toutes les entres
	de la liste d'accs.

CHAN_HELP_ACCESS_LEVELS
	Niveaux d'accs utilisateur
	
	Par dfaut, les niveaux d'accs suivants sont dfinis:
	
	   Proprio   Accs total aux fonctions de %S, Op 
	               automatique ds l'entre sur le canal.
	               Notez que seule une personne peut
	               avoir le statut de propritaire (il ne peut
	               tre donn en utilisant la commande
	               ACCESS).
	        10   Accs  la commande AKICK, Op automatique.
	         5   Op automatique.
	         3   Voice automatique.
	         0   Aucun privilge particulier.
	        <0   Ne doit pas tre OP.
	
	Ces niveaux peuvent tre changs, ou de nouveaux ajouts,
	en utilisant la commande LEVELS; tapez %R%S HELP LEVELS
	pour plus d'informations.

CHAN_HELP_AKICK
	Syntaxe: AKICK channel ADD {nick | masque} [raison]
	         AKICK channel STICK masque
	         AKICK channel UNSTICK masque
	         AKICK channel DEL {nick | mask | entry-num | liste}
	         AKICK channel LIST [masque | entry-num | liste]
	         AKICK channel VIEW [masque | entry-num | liste]
	         AKICK canal ENFORCE
	         AKICK canal CLEAR
	
	Gre la liste des kicks automatiques d'un canal. Si 
	un utilisateur figurant sur la liste des kicks automatiques tente
	de rejoindre un canal, %S bannira cet utilisateur du canal, 
	et le kickera ensuite.
	
	La commande AKICK ADD ajoute le pseudo donn ou le
	masque d'utilisateur  la liste des kicks automatiques. Si une 
	raison est donne avec la commande, cette raison sera utilise 
	lorsque l'utilisateur est kick, sinon, la raison par dfaut est
	"Vous n'tes plus le bienvenu sur ce canal".
	Quand un utilisateur enregistr est Akick ( kick automatiquement)
	son compte NickServ est ajout  la liste des Akick eu lieu du masque.
	De ce fait, tous les pseudos de ce groupe seront Akicks.
	
	La commande AKICK DEL supprime le pseudo ou le masque donn
	de la liste de kicks automatiques. Cependant, il n'enlve pas 
	les bans placs par une des entres, ceux-ci doivent tre supprims
	manuellement.
	
	La commande AKICK STICK bannit en permanence le masque
	donn sur le canal. Si quelqu'un essaie d'enlever le
	ban, %S le remettra automatiquement. Vous ne pouvez l'utiliser
	sur des pseudos enregistrs.
	
	La commande AKICK UNSTICK annule les effets de la commande
	AKICK STICK, et vous pourrez donc  nouveau enlever le
	ban du canal.
	
	La commande AKICK LIST affiche la liste de kicks 
	automatiques, ou optionnellement seulement les entres de la liste 
	de kicks automatiques qui correspondent au masque donn.
	
	La commande AKICK VIEW est une version plus dtaille de
	la commande AKICK LIST.
	
	La commande AKICK ENFORCE force %S  bannir tous les
	utilisateurs prsents sur le canal qui sont concerns 
	par une des entres de la liste de kicks automatiques.
	
	La commande AKICK CLEAR supprime toutes les entres
	de la liste de kicks automatiques.

CHAN_HELP_LEVELS
	Syntaxe: LEVELS canal SET type [level|FOUNDER]
	         LEVELS canal {DIS | DISABLE} type
	         LEVELS canal LIST
	         LEVELS canal RESET
	
	La commande LEVELS permet un contrle prcis de la 
	signification des niveaux d'accs utiliss pour les canaux.
	Avec cette commande, vous pouvez dfinir les niveaux d'accs
	requis pour la majorit des fonctions de %S. (Les commandes
	SET FOUNDER et SET PASSWORD, ainsi que cette commande,
	sont toujours rserves au propritaire du canal.)
	
	LEVELS SET permet au niveaux d'accs pour une fonction ou un
	groupe de fonctions d'tre chang. LEVELS DISABLE (ou DIS
	en abrg) dsactive une fonction automatique ou empche l'accs
	 une fonction par quiconque sauf le propritaire du canal.
	LEVELS LIST montre les niveaux actuels pour chaque fonction
	ou groupe de fonctions. LEVELS RESET rinitialise les niveaux
	avec les valeurs par dfaut d'un canal fraichement cr 
	(consultez HELP ACCESS LEVELS).

	Pour une liste de caractristiques et fonctions pour lesquels
	des niveaux peuvent tre dfinis, consultez HELP LEVELS DESC.

CHAN_HELP_LEVELS_DESC
	Les noms de caractristiques/fonctions suivants sont utiliss.
	Notez que les niveaux pour AUTODEOP et NOJOIN sont des niveaux
	maximum, alors que tous les autres sont des niveaux minimum.

CHAN_HELP_LEVELS_DESC_FORMAT
	    %-*s  %s

CHAN_HELP_INFO
	Syntaxe: INFO canal [ALL]
	
	Liste les informations concernant le canal enregistr cit,
	dont son propritaire, la date d'enregistrement,
	la date de dernire utilisation, la description, et
	les modes bloqus, s'il y en a. Si ALL est donn, le 
	message d'entre et le successeur seront galement affichs.
	
	Par dfaut, l'option ALL est limite  ceux ayant un accs 
	de propritaire sur le canal.

CHAN_HELP_LIST
	Syntaxe: LIST modle
	
	Liste tous les canaux enregistrs correspondants au
	modle donn. (Les canaux avec l'option PRIVATE ne
	sont pas lists.)

CHAN_HELP_OP
	Syntaxe: OP #canal [pseudo]
	
	OP le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.
	
	Par dfaut, limit aux AOPs ou  ceux ayant un niveau
	d'accs de 5 ou plus sur le canal.

CHAN_HELP_DEOP
	Syntaxe: DEOP #canal [pseudo]
	
	DeOP le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.

	Par dfaut, limit aux AOPs ou  ceux ayant un niveau 
	d'accs de 5 ou plus sur le canal.
	
CHAN_HELP_VOICE
	Syntaxe: VOICE #canal [pseudo]
	
	Voice le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.
	
	Par dfaut, limit aux AOPs ou  ceux ayant un niveau d'accs 
	de 5 ou plus sur le canal, ou aux VOPs ou  ceux ayant un 
	niveau d'accs de 3 ou plus en cas de voice sur soi-mme.

CHAN_HELP_DEVOICE
	Syntaxe: DEVOICE #canal [pseudo]
	
	Devoice le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.

	Par dfaut, limit aux AOPs ou  ceux ayant un niveau d'accs 
	de 5 ou plus sur le canal, ou aux VOPs ou  ceux ayant un 
	niveau d'accs de 3 ou plus en cas de devoice sur soi-mme.
	
CHAN_HELP_HALFOP
	Syntaxe: HALFOP #canal [pseudo]
	
	HalfOP le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.
	
	Par dfaut, limit aux AOPs ou  ceux ayant un niveau d'accs 
	de 5 ou plus sur le canal, ou aux HOPs ou  ceux ayant un 
	niveau d'accs de 4 ou plus en cas de HalfOP sur soi-mme.

CHAN_HELP_DEHALFOP
	Syntaxe: DEHALFOP #canal [pseudo]
	
	DeHalfOP le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, votre propre pseudo fera l'objet de la commande.

	Par dfaut, limit aux AOPs ou  ceux ayant un niveau d'accs 
	de 5 ou plus sur le canal, ou aux HOPs ou  ceux ayant un 
	niveau d'accs de 4 ou plus en cas de DeHalfOP sur soi-mme.
	
CHAN_HELP_PROTECT
	Syntaxe: PROTECT #canal [pseudo]
	
	Protge le pseudo slectionn sur un canal. Si pseudo n'est pas
	donn, vous protgera sur le canal donn.
	
	Par dfaut, limit au propritaire du canal, ou aux SOPs 
	ou  ceux ayant un niveau d'accs de 10 ou plus en cas de 
	protection de soi-mme.

CHAN_HELP_DEPROTECT
	Syntaxe: DEPROTECT #canal [pseudo]
	
	Enlve la protection du pseudo slectionn sur un canal. Si 
	pseudo n'est pas donn, vous dprotgera sur le canal 
	donn.

	Par dfaut, limit au propritaire du canal, ou aux SOPs 
	ou  ceux ayant un niveau d'accs de 10 ou plus en cas de 
	suppression de protection pour soi-mme.

CHAN_HELP_OWNER
	Syntaxe: OWNER #canal
	
	Vous donne le statut de propritaire sur le canal donn. 
	
	Limit  ceux ayant un accs de propritaire sur le canal.

CHAN_HELP_DEOWNER
	Syntaxe: DEOWNER #canal
	
	Vous supprime le statut de propritaire du canal 
	donn.
	
	Limit  ceux ayant un accs de propritaire sur le canal.

CHAN_HELP_INVITE
	Syntaxe: INVITE canal
	
	Demande  %S de vous inviter sur le canal donn. 
	
	Par dfaut, limit aux AOPs ou  ceux ayant un niveau 
	d'accs de 5 ou plus sur le canal.

CHAN_HELP_UNBAN
	Syntaxe: UNBAN canal [nick]
	
	Tells %S to remove all bans preventing you or the given
	user from entering the given channel.
	
	Par dfaut, limit aux AOPs ou  ceux ayant un niveau 
	d'accs de 5 ou plus sur le canal.

CHAN_HELP_KICK
	Syntaxe: KICK #canal pseudo [raison]
	
	Kicke le pseudo slectionn sur un canal.

	Par dfaut, limit aux AOPs ou  ceux ayant un niveau 
	d'accs de 5 ou plus sur le canal.

CHAN_HELP_BAN
	Syntaxe: BAN #canal pseudo [raison]
	
	Bannit le pseudo slectionn sur un canal.

	Par dfaut, limit aux AOPs ou  ceux ayant un niveau 
	d'accs de 5 ou plus sur le canal.

CHAN_HELP_TOPIC
	Syntaxe: TOPIC canal [topic]
	
	%S change le sujet du canal pour celui spcifi. Si 
	topic n'est pas donn, alors le sujet du canal sera 
	supprim. Cette commande est surtout utile en conjonction
	avec la commande SET TOPICLOCK. Consultez 
	%R%S HELP SET TOPICLOCK pour plus d'informations.
	
	Par dfault, limit  ceux ayant un statut de propritaire
	du canal.

CHAN_HELP_CLEAR
	Syntaxe: CLEAR canal quoi
	
	Demande  %S d'enlever certains aspects d'un canal. 
	quoi peut tre l'une des options suivantes:
	
	     MODES   Rinitialise tous les modes d'un canal
	     BANS    Enlve tous les bans d'un canal.
	     EXCEPTS Enlve toutes les exceptions d'un canal.
	     INVITES Annule toutes les invitations au canal.
	     OPS     Enlve le statut d'OPrateur du canal 
	             tous les OPrateurs. Si possible, enlve aussi les
	             channel-admin (mode +a) et channel-owner (mode +q)
	     HOPS    Enlve le statut d'HalfOP (mode +h)  tous les HalfOP
	             du canal.
	     VOICES  Enlve le statut "voice" (mode +v)  toute
	             personne ayant ce mode.
	     USERS   Kicke tous les utilisateurs d'un canal.
	
	Par dfault, limit  ceux ayant un accs de propritaire
	sur le canal.
	
CHAN_HELP_GETKEY
	Syntaxe: GETKEY canal
	
	Retourne la clef du canal donn.
	

CHAN_SERVADMIN_HELP
	
	Les Services operators peuvent aussi effacer tout canal sans
	avoir besoin de s'identifier avec un mot de passe, et peuvent
	voir l'access, AKICK, et level lists de tout canal.

CHAN_SERVADMIN_HELP_DROP
	Syntaxe: DROP canal
	
	Efface le canal nomm. Seuls les Services operators
	peuvent effacer un canal pour lequel ils n'ont
	pas t identifis.

CHAN_SERVADMIN_HELP_SET
	
	Les Services operators peuvent aussi dfinir l'option 
	NOEXPIRE, avec lequel les canaux peuvent tre empchs
	d'expirer. De plus, les Services operators peuvent dfinir
	les options de tout canal sans s'identifier  l'aide du
	mot de passe du canal. 

CHAN_SERVADMIN_HELP_SET_NOEXPIRE
	Syntaxe: SET canal NOEXPIRE {ON | OFF}
	
	Dfinit si le canal donn expirera. Mettre ceci sur ON
	empche le canal d'expirer.

CHAN_SERVADMIN_HELP_INFO
	
	Services Operators with the chanserv/auspex permission can
	use the ALL parameter with any channel.

CHAN_SERVADMIN_HELP_LIST
	Syntaxe: LIST modle
	
	Liste tous les canaux enregistrs correspondants au modle
	donn. Les canaux avec l'option PRIVATE seront uniquement
	affichs aux Services operators. Les canaux ayant l'option 
	NOEXPIRE seront prfixs par un ! pour les Services operators. 
	
	Si les options FORBIDDEN ou NOEXPIRE sont donnes, seuls 
	les canaux qui, respectivement, sont interdits ou ont l'option
	NOEXPIRE active seront affichs. Si plus options sont
	donnes, les deux types de canaux seront affichs. Ces options
	sont rserves aux Services operators.

CHAN_SERVADMIN_HELP_GETPASS
	Syntaxe: GETPASS canal
	
	Retourne le mot de passe du canal donn. Notez que
	lorsque cette commande est utilise, un message comprenant
	la personne qui a utilis cette commande et le canal
	pour lequel elle a t utilise sera journalise et envoye en
	un WALLOPS/GLOBOPS.

CHAN_SERVADMIN_HELP_FORBID
	Syntaxe: FORBID canal [raison]
	
	Empche toute personne d'enregistrer ou d'utiliser le
	canal donn. Peut tre annul en effacant le canal.
	
	Une raison peut tre requise sur certains rseaux.

CHAN_SERVADMIN_HELP_SUSPEND
	Syntax: SUSPEND canal [raison]
	
	Dsactive l'enregistrement du canal donn. Ceci peut
	tre invers via la commande UNSUSPEND pour recuprer
	les donnes et configurations.
	
	Une raison peut tre demande sur certain rseaux.

CHAN_SERVADMIN_HELP_UNSUSPEND
	Syntax: UNSUSPEND canal
	
	Libre un canal qui a t suspendu. Toutes les donnes
	et configurations seront restaures tel qu'elles taient
	avant la suspension.

CHAN_SERVADMIN_HELP_STATUS
	Syntaxe: STATUS canal pseudo
	
	Retourne le niveau d'accs actuel du pseudo donn pour le 
	canal donn. La rponse est sous la forme:
	
	    STATUS canal pseudo access-level
	
	Si une erreur se produit, la rponse aura alors la forme:
	
	    STATUS ERROR error-message

###########################################################################
#
# MemoServ help messages
#
###########################################################################

MEMO_HELP_CMD_SEND
	    SEND   Envoie un mmo  un pseudo ou un canal
MEMO_HELP_CMD_CANCEL
	    CANCEL Annule le dernier mmo que vous avez envoy
MEMO_HELP_CMD_LIST
	    LIST   Liste vos mmos
MEMO_HELP_CMD_READ
	    READ   Lit un ou des mmos
MEMO_HELP_CMD_DEL
	    DEL    Efface un ou des mmos
MEMO_HELP_CMD_SET
	    SET    Dfinit des options relatives aux mmos
MEMO_HELP_CMD_INFO
	    INFO   Affiche des informations  propos de vos mmos
MEMO_HELP_CMD_RSEND
	    RSEND  Envoie un memo et demande un accus de reception
MEMO_HELP_CMD_CHECK
	    CHECK  Vrifie si le dernier mmo envoy  un pseudo a t
	           lu
MEMO_HELP_CMD_SENDALL
	    SENDALL  Envoie un mmo  tous les pseudos enregistrs
MEMO_HELP_CMD_STAFF
	    STAFF  Envoie un mmo  tous les OPERs/admins

MEMO_HELP_HEADER
	%S est un utilitaire permettant aux utilisateurs IRC
	d'envoyer de courts messages aux autres utilisateurs IRC,
	qu'ils soient prsents  ce moment l ou non, ou aux 
	canaux(*). Le pseudo de l'expditeur ET du destinataire (ou
	du canal) doivent tre enregistrs pour pouvoir envoyer un
	mmo.
	
	Les commandes de %S sont:
	

MEMO_HELP_ADMIN
	not used.
MEMO_HELP_OPER
	not used.
MEMO_HELP_FOOTER

	Tapez %R%S HELP commande pour de l'aide sur
	une des commandes ci-dessus.

	(*) Par dfaut, tout utilisateur avec au moins un niveau d'accs
	    de 10 sur un canal peut lire ces mmos du canal. Ceci
	    peut tre chang avec la commande LEVELS de %s.

MEMO_HELP_SEND
	Syntaxe: SEND {pseudo | canal} texte du memo
	
	Envoie un mmo au pseudo ou canal nomm contenant
	texte du mmo. En envoyant  un pseudo, le destinataire
	sera inform qu'il/elle a reu un nouveau mmo. Le pseudo/canal
	destinataire doit tre enregistr.
	
MEMO_HELP_CANCEL
	Syntaxe: CANCEL {pseudo | canal}
	
	Supprime le dernier mmo que vous avez envoy  un pseudo ou
	canal donn,  condition qu'il n'ait pas t lu lorsque vous
	utilisez la commande.

MEMO_HELP_LIST
	Syntaxe: LIST [canal] [liste | NEW]
	
	Liste tous les mmos que vous avez actuellement. Avec NEW,
	liste uniquement les nouveaux mmos (non lus). Les mmos non
	lus sont marqus avec une "*"  gauche du numro du mmo. Vous
	pouvez galement spcifier une liste de numros, comme dans
	l'exemple ci dessous:

	   LIST 2-5,7-9
	      Liste les mmos 2  5 et 7  9.

MEMO_HELP_READ
	Syntaxe: READ [canal] {nombre | liste | LAST | NEW}
	
	Vous envoie le texte des mmos spcifis. Si LAST est donn,
	vous envoie le dernier mmo reu. Si NEW est donn, vous
	envoie tous vos nouveaux mmos. Sinon, vous envoie le mmo
	numro nombre. Vous pouvez galement donner une liste
	de nombres, comme dans cet exemple:
	
	   READ 2-5,7-9
	      Affiche les mmos 2  5 et 7  9.

MEMO_HELP_DEL
	Syntaxe: DEL [canal] {nombre | liste | LAST | ALL}
	
	Supprime le ou les mmos spcifis. Vous pouvez
	fournir plusieurs numros de mmos ou des ordres de nombres
	au lieu d'un nombre unique, comme dans le second exemple
	ci-dessous.
	
	Si LAST est donn, le dernier mmo sera supprim.
	Si ALL est donn, cela supprimera tous vos mmos.
	
	Exemples:
	
	   DEL 1
	      Supprime votre premier mmo.
	
	   DEL 2-5,7-9
	      Supprime les mmos compris entre 2 et 5 et entre 7 et 9.

MEMO_HELP_SET
	Syntaxe: SET option paramtres
	
	Dfinit plusieurs options de mmo. option peut tre:
	
	    NOTIFY      Dfinit si vous serez notifis de vos
	                  nouveaux mmos (seulement pour les 
	                  pseudos)
	    LIMIT       Dfinit le nombre de mmos maximum que 
	                  vous pouvez recevoir
	
	Tapez %R%S HELP SET option pour plus 
	d'informations sur une option spcifique.

MEMO_HELP_SET_NOTIFY
	Syntaxe: SET NOTIFY {ON | LOGON | NEW | MAIL | NOMAIL | OFF}
	
	Dfinit  quel moment vous serez notifi de vos nouveaux
	mmos:
	
	    ON     Vous serez notifis lorsque vous vous connectez,
	           lorsque vous enlevez /AWAY, et quand ils vous
	           sont envoys.	
	    LOGON  Vous serez uniquement notifis des mmos lorsque
	           vous vous connectez ou quand vous enlevez
	           /AWAY.
	    NEW    Vous serez uniquement notifis des mmos 
	           lorsqu'ils vous sont envoys.
	    MAIL   Vous serez prvenu pour les mmos par E-mail quelques soient
		   vos autres paramtres.
	    NOMAIL Vous ne serez pas prvenu par E-mail.
	    OFF    Vous ne recevrez aucune notification.
	
	ON est la combinaison de LOGON et NEW.

MEMO_HELP_SET_LIMIT
	Syntaxe: SET LIMIT [canal] limite
	
	Dfinit le nombre maximum de mmos que vous (ou le canal
	donn) est autoris  stocker. Si vous dfinissez ceci  0,
	personne ne pourra vous envoyer de mmo. Cependant, vous
	ne pouvez pas dfinir la limite  plus de %d.

MEMO_HELP_INFO
	Syntaxe: INFO [canal]
	
	Affiche des informations sur le nombre de mmos que vous
	avez, combien sont non lus, et combien de mmos vous pouvez
	recevoir au total. Avec un paramtre, affiche la mme
	information pour le canal donn.

MEMO_SERVADMIN_HELP_SET_LIMIT
	Syntaxe: SET LIMIT [utilisateur | canal] {limite | NONE} [HARD]
	
	Dfinit le nombre maximum de mmos qu'un utilisateur ou
	un canal est autoris  stocker. Dfinir la limite  0
	empche l'utilisateur de recevoir des mmos, dfinir ceci
	 NONE permet  l'utilisateur de recevoir et garder
	autant de mmos qu'il souhaite. Si vous ne donnez pas de
	pseudo ou de canal, votre dfinnissez votre propre limite.
	
	Ajouter HARD empche l'utilisateur de changer cette limite.
	Ne pas ajouter HARD a l'effet inverse, permettant  
	l'utilisateur de changer cette limite (mme si une limite
	antrieure a t dfinie avec HARD).
	
	Cette utilisation de la commande SET LIMIT est rserve aux
	Services operators. Les autres utilisateurs peuvent uniquement
	entrer une limite pour eux-mmes ou un canal sur lequel ils
	ont les privilges requis, ne peuvent supprimer %d limite, et
	ne peuvent dfinir de limite stricte.

MEMO_SERVADMIN_HELP_INFO
	Syntaxe: INFO [pseudo | canal]
	
	Sans paramtre, affiche les informations sur le nombre
	de mmos que vous avez, combien sont non lus, et combien
	de mmos vous pouvez recevoir au total.
	
	Avec un paramtre de canal, affiche la mme information
	pour le canal donn.
	
	Avec un paramtre de pseudo, affiche la mme information 
	pour le pseudo donn. Cette utilisation rserve aux Services
	admins.

###########################################################################
#
# OperServ help messages
#
###########################################################################

MEMO_HELP_STAFF
	Syntaxe: STAFF texte

	Envoie un mmo  tout le staff des services contenant le
	texte.

###########################################################################
#
# OperServ help messages
#
###########################################################################

MEMO_HELP_SENDALL
	Syntaxe: SENDALL texte

	Envoie un mmo  tous les pseudos enregistrs contenant le texte.

###########################################################################
#
# OperServ help messages
#
###########################################################################

MEMO_HELP_RSEND
	Syntaxe: RSEND {pseudo | canal} texte
	
	Envoie un mmo au pseudo ou canal donn contenant le texte.
	Lorsque c'est envoy  un pseudo, le destinataire recevra une notice
	l'avertissant de l'arrive de nouveau(x) mmo(s). Le destinataire doit
	tre un pseudo ou un canal enregistr.
	Une fois le mmo lu, un accus de rception vous est automatiquement
	envoy afin de vous prvenir que le mmo a t lu.

###########################################################################
#
# OperServ help messages
#
###########################################################################

MEMO_HELP_CHECK
	Syntaxe: CHECK pseudo
	
	Vrifie si le dernier mmo que vous avez envoy au pseudo donn
	a t lu ou pas.
	Note: Cela fonctionne uniquement avec un pseudo et non pas avec un
	canal.

###########################################################################
#
# OperServ help messages
#
###########################################################################

OPER_HELP_CMD_GLOBAL
	    GLOBAL      Envoie un message  tous les utilisateurs
OPER_HELP_CMD_STATS
	    STATS       Affiche le statut des Services et du rseau
OPER_HELP_CMD_STAFF
	    STAFF       Affiche le staff des services et leurs statuts 
OPER_HELP_CMD_MODE
	    MODE        Change les modes d'un canal
OPER_HELP_CMD_KICK
	    KICK        Expulse un utilisateur d'un canal
OPER_HELP_CMD_CLEARMODES
	    CLEARMODES  Supprime tous les modes d'un canal
OPER_HELP_CMD_KILLCLONES
	    KILLCLONES  Dconnecte tous les utilisateurs ayant un
	                certain nom d'hte
OPER_HELP_CMD_AKILL
	    AKILL       Contrle la liste des AKILLs
OPER_HELP_CMD_SGLINE
	    SGLINE      Contrle la liste des SGLINEs
OPER_HELP_CMD_SQLINE
	    SQLINE      Contrle la liste des SQLINEs
OPER_HELP_CMD_SZLINE
	    SZLINE      Contrle la liste des SZLINEs
OPER_HELP_CMD_CHANLIST
	    CHANLIST    Liste tous les canaux
OPER_HELP_CMD_USERLIST
	    USERLIST    Liste tous les utilisateurs
OPER_HELP_CMD_LOGONNEWS
	    LOGONNEWS   Dfinit les messages affichs aux utilisateurs
	                 la connexion
OPER_HELP_CMD_RANDOMNEWS
	    RANDOMNEWS  Dfinit les messages affichs alatoirement
	                aux utilisateurs  la connexion
OPER_HELP_CMD_OPERNEWS
	    OPERNEWS    Dfinit les messages affichs aux utilisateurs
	                qui deviennent IRCops
OPER_HELP_CMD_SESSION
	    SESSION     Affiche la liste des sessions par hte
OPER_HELP_CMD_EXCEPTION
	    EXCEPTION   Modifie la liste d'exceptions  la limite de
	                sessions
OPER_HELP_CMD_NOOP
	    NOOP        Supprime temporairement toutes les O:lines
	                d'un serveur
OPER_HELP_CMD_JUPE
	    JUPE        "Jupiter" un serveur
OPER_HELP_CMD_IGNORE
	    IGNORE      Modifier la liste d'ignore des services
OPER_HELP_CMD_SET
	    SET         Configure des options globales des Services
OPER_HELP_CMD_RELOAD
	    RELOAD      Recharge le fichier de configuration des Services
OPER_HELP_CMD_UPDATE
	    UPDATE      Oblige les bases de donnes des Services
	                 tre sauvegardes immdiatement.
OPER_HELP_CMD_RESTART
	    RESTART     Sauvegarde les bases de donnes et relance les
	                Services.
OPER_HELP_CMD_QUIT
	    QUIT        Arrte les Services sans sauvegarde
OPER_HELP_CMD_SHUTDOWN
	    SHUTDOWN    Arrte les Services avec sauvegarde
OPER_HELP_CMD_DEFCON
	    DEFCON      Active/Dsactive DefCon
OPER_HELP_CMD_CHANKILL
	    CHANKILL    AKILL tout les utilisateurs d'un canal spcifique
OPER_HELP_CMD_OLINE
	    OLINE       Donne les flags d'un Oper  un utilisateur
OPER_HELP_CMD_UMODE
	    UMODE       Change un mode d'un utilisateur
OPER_HELP_CMD_SVSNICK
	    SVSNICK     Force le changement de pseudo d'un utilisateur
OPER_HELP_CMD_MODLOAD
	    MODLOAD     Charge un module
OPER_HELP_CMD_MODUNLOAD
	    MODUNLOAD   Dcharge un module
OPER_HELP_CMD_MODINFO
	    MODINFO     Liste les informations sur un module charg
OPER_HELP_CMD_MODLIST
	    MODLIST     Liste les modules chargs

OPER_HELP
	Commandes %S:

OPER_HELP_LOGGED
	Remarque: Toutes les commandes envoyes  %S sont enregistres!

OPER_HELP_GLOBAL
	Syntaxe: GLOBAL message
	
	Permet aux Administrateurs d'envoyer des messages  tous
	les utilisateurs du rseau. Le message sera envoy avec
	le pseudo %s.

OPER_HELP_STATS
	Syntaxe: STATS [AKILL | ALL | RESET | MEMORY | UPLINK]
	
	Sans option, affiche le nombre d'utilisateurs et d'IRCops
	actuellement prsents (Services exclus), le plus grand nombre
	d'utilisateurs connects depuis le dmarrage des Services, et
	le nombre d'heures durant lesquelles les Services ont tourn.
	
	Avec l'option AKILL, affiche la taille actuelle de la liste
	d'AKILL et le temps d'chance par dfaut.
	
	L'option ALL est rserve uniquement aux Services operators,
	et affiche des informations sur l'utilisation de la mmoire
	par les Services. L'utilisation de cette commande peut geler
	les Services pendant un court instant sur de grands rseaux,
	donc n'en abusez pas!
	
	L'option RESET rinitialise le nombre maximum d'utilisateurs
	au nombre courant d'utilisateurs sur le rseau.

	L'option MEMORYaffiche les informations sur l'utilisation
	de la mmoire par les services. L'utilisation de cette commande
	peut paralyser les Services durant un court instant sur les gros
	rseaux; n'en abusez pas!
		
	L'option UPLINK affiche les informations sur le serveur qui est
	utilis pour linker Anope au rseau.

OPER_HELP_IGNORE
	Syntax: IGNORE {ADD|DEL|LIST|CLEAR} [time] [nick | mask]
	
	Permet aux Oprateurs Services de faire en sorte que Services
	ignore un pseudo ou un masque pour un certain temps ou jusqu'au
	prochain redmarrage. Le format par dfaut pour la dure est en
	secondes. Vous pouvez toutefois le dfinir diffremment.
	Les units valides sont: s pour secondes, m pour minutes, 
	h pour heures et d for jours.
	Combiner ces units n'est pas permis. Pour ignorer cet utilisateur
	de faon permanente, indiquez un temps gal  zro.
	Pour ajouter un masque, vous devez le dfinir au format user@host
	ou nick!user@host, n'importe quoi d'autre sera considr comme un
	pseudo.Les jokers sont autoriss.
	
	L'ignorance ne fonctionnera pas sur les OPERateurs IRC.

OPER_HELP_MODE
	Syntaxe: MODE canal modes
	
	Permet aux Services oprateurs de dfinir les modes d'un
	canal. Les paramtres sont les mmes que pour la commande
	/MODE normale.
	
	Rserv aux Services operateurs.

OPER_HELP_UMODE
	Syntaxe: UMODE pseudo modes
	
	Permet aux Services Operators de changer un mode d'un utilisateur.

OPER_HELP_OLINE
	Syntaxe: OLINE pseudo flags
	
	Permet de mettre un OperFlag  un utilisateur.
	Prfixes: "+" et "-". Pour tout supprimer, spcifiez "-"

OPER_HELP_CLEARMODES
	Syntaxe: CLEARMODES canal [ALL]
	
	Enlve tous les modes binaires (i,k,l,m,n,p,s,t) et les bans
	d'un canal. Si ALL est donn, enlve galement tous les
	OPs et Voices (modes +o et +v) du canal.
	
	Rserv aux Services operators.

OPER_HELP_KICK
	Syntaxe: KICK canal utilisateur raison
	
	Permet au staff de kicker un utilisateur d'un canal.
	Les paramtres sont les mmes que pour la commande /KICK
	normale. Le message de kick sera prfix du pseudo de
	l'IRCop ayant utilis la commande KICK, par exemple:
	
	*** SpamMan a t kick du canal #canal par %S (Alcan (Flood))
	
	Rserv aux Services operators.

OPER_HELP_SVSNICK
	Syntaxe: SVSNICK pseudo nouveau-pseudo
	
	Force le changement de pseudo d'un utilisateur.

OPER_HELP_AKILL
	Syntaxe: AKILL ADD [+chance] masque raison
	         AKILL DEL {masque | numro d'entre | liste}
	         AKILL LIST [masque | liste]
	         AKILL VIEW [masque | liste]
	         AKILL CLEAR
	
	Permet aux OPrateurs des Services de manipuler la liste
	d'AKILL. Si un utilisateur correspondant  un masque d'AKILL
	tente de se connecter, les Services enverront un KILL pour
	cet utilisateur et, sur les serveurs le supportant, demandera
	 tous les serveurs d'ajouter un ban (K-line) du masque
	qui correspondait.
	
	AKILL ADD ajoute le masque user@host donn  la liste 
	d'AKILL pour la raison prcise (qui doit tre donne).
	chance est un nombre entier suivi par un d (jours), h
	(heures), ou m (minutes). Les combinaisons (telles que
	1h30m) ne sont pas permises. Si l'unit n'est pas incluse,
	la valeur est en jours par dfaut (donc +30 est quivalent
	 30 jours). Pour ajouter une AKILL qui n'expire pas, utilisez
	+0. Si le masque utilisateur  ajouter commence par un +,
	une chance doit tre donne, mme si c'est la mme que
	celle par dfaut. L'chance par dfaut pour les AKILLs peut 
	tre consulte par la commande STATS AKILL.
	
	La commande AKILL DEL supprime le masque donn de la liste
	d'AKILL si il existe. Si une liste de numros d'entres
	est donne, ces entres sont supprimes. (Voyez l'exemple
	pour LIST ci-dessous.)
	
	La commande AKILL LIST affiche la liste d'AKILL. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   AKILL LIST 2-5,7-9
	      Liste les entres de la liste d'AKILL numro 2  5 
	      et 7  9.
	      
	AKILL VIEW est une version plus dtaille de AKILL LIST, 
	et affichera par qui et quand a t ajoute une AKILL et
	sa date d'expiration, en plus du masque user@host et de la 
	raison. 
	
	AKILL CLEAR vide toutes les entres de la liste d'AKILL.
	
	Rserv aux oprateurs des Services.

OPER_HELP_SGLINE
	Syntaxe: SGLINE ADD [+chance] masque:raison
	         SGLINE DEL {masque | numro d'entre | liste}
	         SGLINE LIST [masque | liste]
	         SGLINE VIEW [masque | liste]
	         SGLINE CLEAR
	
	Permet aux OPrateurs des Services de manipuler la liste
	de SGLINEs. Si un utilisateur ayant un vrai nom correspondant 
	 un masque de SGLINE tente de se connecter, les Services ne
	lui permettront pas de continuer sa session IRC.
	
	SGLINE ADD ajoute le masque de vrai nom donn  la liste 
	de SGLINEs pour la raison prcise (qui doit tre donne).
	chance est un nombre entier suivi par un d (jours), h
	(heures), ou m (minutes). Les combinaisons (telles que
	1h30m) ne sont pas permises. Si l'unit n'est pas incluse,
	la valeur est en jours par dfaut (donc +30 est quivalent
	 30 jours). Pour ajouter une SGLINE qui n'expire pas, utilisez
	+0. Si le masque de vrai nom  ajouter commence par un +,
	une chance doit tre donne, mme si c'est la mme que
	celle par dfaut. L'chance par dfaut pour les SGLINEs peut 
	tre consulte par la commande STATS AKILL.
	Note: puisque le masque de vrai nom peut contenir des espaces,
	le sparateur entre lui et la raison est le signe deux points.
	
	La commande SGLINE DEL supprime le masque donn de la liste
	de SGLINEs s'il existe. Si une liste de numros d'entres
	est donne, ces entres sont supprimes. (Voyez l'exemple
	pour LIST ci-dessous.)
	
	La commande SGLINE LIST affiche la liste des SGLINEs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   SGLINE LIST 2-5,7-9
	      Liste les entres de la liste de SGLINEs numro 2  5 
	      et 7  9.
	      
	SGLINE VIEW est une version plus dtaille de SGLINE LIST, 
	et affichera par qui et quand a t ajoute une SGLINE et
	sa date d'expiration, en plus du masque de vrai nom et de la 
	raison. 
	
	SGLINE CLEAR vide toutes les entres de la liste de SGLINEs.
	
	Rserv aux OPrateurs des Services.

OPER_HELP_SQLINE
	Syntaxe: SQLINE ADD [+chance] masque raison
	         SQLINE DEL {masque | numro d'entre | liste}
	         SQLINE LIST [masque | liste]
	         SQLINE VIEW [masque | liste]
	         SQLINE CLEAR
	
	Permet aux OPrateurs des Services de manipuler la liste
	de SQLINEs. Si un utilisateur ayant un pseudo correspondant 
	 un masque de SQLINE tente de se connecter, les Services ne
	lui permettront pas de continuer sa session IRC.
	
	Si le premier caractre du masque est un #, les services
	empcheront l'utilisation des canaux correspondants (sur
	les serveurs IRC le supportant).
	
	SQLINE ADD ajoute le masque donn  la liste de SQLINEs pour 
	la raison prcise (qui doit tre donne).
	chance est un nombre entier suivi par un d (jours), h
	(heures), ou m (minutes). Les combinaisons (telles que
	1h30m) ne sont pas permises. Si l'unit n'est pas incluse,
	la valeur est en jours par dfaut (donc +30 est quivalent
	 30 jours). Pour ajouter une SQLINE qui n'expire pas, utilisez
	+0. Si le masque  ajouter commence par un +,
	une chance doit tre donne, mme si c'est la mme que
	celle par dfaut. L'chance par dfaut pour les SQLINEs peut 
	tre consulte par la commande STATS AKILL.
	
	La commande SQLINE DEL supprime le masque donn de la liste
	de SQLINEs s'il existe. Si une liste de numros d'entres
	est donne, ces entres sont supprimes. (Voyez l'exemple
	pour LIST ci-dessous.)
	
	La commande SQLINE LIST affiche la liste des SQLINEs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   SQLINE LIST 2-5,7-9
	      Liste les entres de la liste de SQLINEs numro 2  5 
	      et 7  9.
	      
	SQLINE VIEW est une version plus dtaille de SQLINE LIST, 
	et affichera par qui et quand a t ajoute une SQLINE et
	sa date d'expiration, en plus du masque et de la raison. 
	
	SQLINE CLEAR vide toutes les entres de la liste de SQLINEs.
	
	Rserv aux OPrateurs des services.
	
OPER_HELP_SZLINE
	Syntaxe: SZLINE ADD [+chance] masque raison
	         SZLINE DEL {masque | numro d'entre | liste}
	         SZLINE LIST [masque | liste]
	         SZLINE VIEW [masque | liste]
	         SZLINE CLEAR
	
	Permet aux OPrateurs des Services de manipuler la liste
	de SZLINEs. Si un utilisateur ayant une IP correspondante 
	 un masque de SZLINE tente de se connecter, les Services ne
	lui permettront pas de continuer sa session IRC (et ce,
	mme si l'IP a un PTR RR).
	
	SZLINE ADD ajoute le masque d'IP donn  la liste 
	de SZLINEs pour la raison prcise (qui doit tre donne).
	chance est un nombre entier suivi par un d (jours), h
	(heures), ou m (minutes). Les combinaisons (telles que
	1h30m) ne sont pas permises. Si l'unit n'est pas incluse,
	la valeur est en jours par dfaut (donc +30 est quivalent
	 30 jours). Pour ajouter une SZLINE qui n'expire pas, utilisez
	+0. Si le masque de vrai nom  ajouter commence par un +,
	une chance doit tre donne, mme si c'est la mme que
	celle par dfaut. L'chance par dfaut pour les SZLINEs peut 
	tre consulte par la commande STATS AKILL.
	
	La commande SZLINE DEL supprime le masque donn de la liste
	de SZLINEs s'il existe. Si une liste de numros d'entres
	est donne, ces entres sont supprimes. (Voyez l'exemple
	pour LIST ci-dessous.)
	
	La commande SZLINE LIST affiche la liste des SZLINEs. Si un
	masque joker est donn, seules les entres correspondantes
	au masque sont affiches. Si une liste de numros d'entres
	est donne, seules ces entres sont affiches, par exemple:

	   SZLINE LIST 2-5,7-9
	      Liste les entres de la liste de SZLINEs numro 2  5 
	      et 7  9.
	      
	SZLINE VIEW est une version plus dtaille de SZLINE LIST, 
	et affichera par qui et quand a t ajoute une SZLINE et
	sa date d'expiration, en plus du masque d'IP et de la 
	raison.
	
	SZLINE CLEAR vide toutes les entres de la liste de SZLINEs.
	
	Rserv aux OPrateurs des Services.

OPER_HELP_SET
	Syntaxe: SET option valeur
	
	Contrle diffrentes options globales aux Services. 
	Les noms des options actuelles sont:
	
	    READONLY   Active ou dsactive le mode lecture-seule.
	    LOGCHAN    Report des logs sur un canal
	    DEBUG      Active ou dsactive le mode de dboguage
	    NOEXPIRE   Active ou dsactive le mode sans expiration
	    SUPERADMIN Active ou dsactive le mode super-admin
	    IGNORE     Active ou dsactive le mode ignore
	    LIST       Liste les options

OPER_HELP_SET_READONLY
	Syntaxe: SET READONLY {ON | OFF}
	
	Active ou dsactive le mode lecture seule. Dans le mode 
	lecture-seule, les utilisateurs normaux ne seront pas 
	autoriss  modifier les donnes des Services, comprenant
	les access lists des canaux et pseudos, etc. Les IRCops
	ayant suffisamment de droits sur les Services pourront 
	modifier l'AKILL list des Services et effacer ou interdire
	des pseudos et canaux, mais de tels changements ne seront
	pas sauvegards  moins que le mode lecture-seule ne soit
	dsactiv avant que les Services ne soient arrts ou
	relancs.
	
	Cette option est quivalente  l'option de la ligne de commande
	-readonly.

OPER_HELP_SET_LOGCHAN
	Syntaxe: SET LOGCHAN {ON | OFF}

	Permet d'envoyer les logs sur un canal en plus d'crire dans le
	fichier de log. LogChannel doit tre dfini dans le fichier
	de configuration des services.
	
	Cette option est quivalente  l'option de la ligne de commande
	-logchan.
	
	Note: En mettant cette option sur OFF vous renforcerez la scurit...

OPER_HELP_SET_DEBUG
	Syntaxe: SET DEBUG {ON | OFF | nombre}
	
	Active ou dsactive le mode debug. Dans le mode debug toutes
	les donnes envoyes vers et par les Services ainsi qu'un bon
	nombre d'autres messages de dboguage sont crits dans le 
	fichier de log. Si nombre est donn, le mode debug est activ,
	avec le niveau de dboguage quivalent  nombre.
	
	Cette option est quivalente  l'option de la ligne de commande
	-debug.
	
OPER_HELP_SET_NOEXPIRE
	Syntaxe: SET NOEXPIRE {ON | OFF}
	
	Active ou dsactive le mode sans expiration. Dans le mode 
	sans expiration, les pseudos, canaux, akills et exceptions 
	n'expireront pas jusqu' ce que l'option soit dsactive.
	
	Cette option est quivalente  l'option de la ligne de commande
	-noexpire.

OPER_HELP_SET_SUPERADMIN
	Syntax: SET SUPERADMIN {ON | OFF}

	Vous permet d'avoir tous les privilges comme le droit d'tre reconnu
	"founder" de tous les canaux...

	Utilisation temporaire.

OPER_HELP_SET_IGNORE
	Syntaxe: SET IGNORE {ON | OFF}

	Activer ou dsactiver cette option pour l'utilisation de l'ignore.

OPER_HELP_SET_LIST
	Syntaxe: SET LIST

	Afficher diverses options  propos de %S

OPER_HELP_NOOP
	Syntaxe: NOOP SET serveur
	         NOOP REVOKE serveur
	
	NOOP SET supprime toutes les O:lines du serveur
	donn et dconnecte tous les IRCops qui sont dessus
	actuellement pour les empcher de rehasher le serveur
	(car cela annulerait les effets).
	
	NOOP REVOKE remet en place toutes les O:lines 
	supprimes du serveur donn.
	
	Note: Le paramtre serveur n'est en aucun cas 
	vrifi par les Services.

	Rserv aux administrateurs des Services.

OPER_HELP_JUPE
	Syntaxe: JUPE serveur [raison]
	
	Demande aux Services de juper un serveur -- c'est  dire,
	crer un faux serveur connect aux Services ce qui empche
	le vrai serveur ayant ce nom de se connecter. Le jupe peut
	tre enlev en utilisant un SQUIT normal. Si une raison
	est donne, elle est place dans le champ d'information du
	serveur, sinon, l'information du serveur contiendra le 
	texte "Juped by <pseudo>", laissant apparatre le pseudo
	de la personne qui a "jup" le serveur.

OPER_HELP_UPDATE
	Syntaxe: UPDATE
	
	Provoque la mise  jour de toutes les bases de donnes ds
	que vous le demandez.
	
OPER_HELP_RELOAD
	Syntaxe: RELOAD
	
	Provoque le rechargement du fichier de configuration des
	Services. Notez que certaines directives demandent tout
	de mme le redmarrage des Services pour prendre effet
	(comme le nom des services, l'activation de la limite
	de sessions, etc.)

OPER_HELP_QUIT
	Syntaxe: QUIT
	
	Provoque un arrt immdiat des Services, les bases de donnes
	ne sont pas sauvegardes. Cette commande ne devrait pas tre
	utilise  moins que des dommages dans la copie en mmoire des
	bases de donnes ne soient souponns. Pour des arrts normaux,
	utilisez la commande SHUTDOWN.

OPER_HELP_SHUTDOWN
	Syntaxe: SHUTDOWN
	
	Provoque la sauvegarde de toutes les bases de donnes puis
	l'arrt des Services.

OPER_HELP_RESTART
	Syntaxe: RESTART
	
	Provoque la sauvegarde de toutes les bases de donnes et
	le redmarrage des Services (c'est  dire qu'elle stoppe
	le programme et le relance immdiatement).

OPER_HELP_CHANLIST
	Syntaxe: CHANLIST [{modle | pseudo} [SECRET]]
	
	Liste tous les canaux actuellement utiliss sur le rseau IRC, qu'ils
	soient enregistrs ou non.
	
	Si modle est donn, seuls les canaux correspondants sont lists. Si
	un pseudo est donn, les canaux sur lesquels est l'utilisateur ayant
	ce pseudo seront lists. Si SECRET est spcifi, liste seulement les canaux 
	correspondants  modle qui ont le mode +s ou +p.
	
OPER_HELP_USERLIST
	Syntaxe: USERLIST [{modle | canal} [INVISIBLE]]
	
	Liste tous les utilisateurs connects sur le rseau IRC, enregistrs
	ou non.
	
	Si modle est donn (format nick!user@host), seuls les utilisateurs 
	correspondants seront lists. Si canal est donn, seuls les 
	utilisateurs du canal seront lists. +i INVISIBLE est spcifi,
	seuls les utilisateurs avec le mode +i seront lists.

OPER_HELP_MODLOAD
	Syntaxe: MODLOAD Fichier

	Cette commande charge le module depuis le fichier situ dans le rpertoire
	des modules.

OPER_HELP_MODUNLOAD
	Syntaxe: MODUNLOAD Fichier

	Cette commande dcharge le module depuis le fichier situ dans le rpertoire
	des modules.

OPER_HELP_MODINFO
	Syntaxe: MODINFO Fichier

	Cette commande donne des informations sur un module charg.

OPER_HELP_MODLIST
	Syntaxe: MODLIST [Core|3rd|protocol|encryption|supported|qatested]

	Liste les modules actuellement chargs.


###########################################################################
#
# BotServ help messages
#
###########################################################################

BOT_HELP_CMD_BOTLIST
	BOTLIST            Liste les bots disponibles
BOT_HELP_CMD_ASSIGN
	ASSIGN             Attribue un bot  un canal
BOT_HELP_CMD_SET
	SET                Configure les options du bot
BOT_HELP_CMD_KICK
	KICK               Configure les kickers
BOT_HELP_CMD_BADWORDS
	BADWORDS           Gre la liste des mots interdits
BOT_HELP_CMD_ACT
	ACT                Fait faire au bot l'quivalent de la commande /me
BOT_HELP_CMD_INFO
	INFO               Vous permet de voir des informations  propos de BotServ sur
	                   un canal ou un bot
BOT_HELP_CMD_SAY
	SAY                Fait dire au bot le texte donn sur un canal
BOT_HELP_CMD_UNASSIGN
	UNASSIGN           Retire le bot d'un canal
BOT_HELP_CMD_BOT
	BOT                Gre la liste des bots du rseau

BOT_HELP
	%S vous permet d'avoir un bot sur votre canal.
	Il a t conu pour les utilisateurs qui ne 
	peuvent hberger ou configurer un bot, ou pour
	tre utilis sur les rseaux qui n'autorisent pas
	un bot d'un utilisateur. Les commandes disponibles
	sont listes ci-dessous, pour les utiliser, tapez
	%R%S command. Pour plus d'information sur
	une commande spcifique, tapez %R%S HELP command.
	
BOT_HELP_FOOTER
	Le bot joindra un canal ds qu'il y aura au moins
	%d utilisateur(s) dessus.

BOT_HELP_BOTLIST
	Syntaxe: BOTLIST
	
	Liste tous les bots disponibles sur ce rseau.
	
BOT_HELP_ASSIGN
	Syntaxe: ASSIGN canal pseudo
	
	Attribue le bot dsign par 'pseudo' au canal. Vous
	pouvez ensuite configurer le bot pour qu'il convienne 
	vos besoins.
	
BOT_HELP_UNASSIGN
	Syntaxe: UNASSIGN canal
	
	Retire le bot d'un canal. Si vous utilisez cette commande,
	le bot ne joindra plus le canal. Cependant, la configuration
	du bot est conserve donc vous aurez toujours la possibilit
	de rattribuer un bot plus tard sans avoir  le reconfigurer
	entirement.
	
BOT_HELP_INFO
	Syntax: INFO {canal | pseudo}
	
	Vous permet de voir les informations %S pour un canal
	ou un bot. Si le paramtre est un canal, vous verrez
	des informations sur le canal tels que les kickers
	actifs. Si le paramtre est un pseudo, vous verrez des
	informations  propos d'un bot, comme le temps de
	cration ou le nombre de canaux auxquels il a t
	attribu.
	
BOT_HELP_SET
	Syntaxe: SET canal option paramtres
	
	Configure les options du bot.  option peut tre:
	
	    DONTKICKOPS      Pour protger les OPs des kicks du bot
	    DONTKICKVOICES   Pour protger les Voices des kicks du bot
	    FANTASY          Active les commandes fantaisistes
	    GREET            Active les messages d'accueil
	    SYMBIOSIS        Permet au bot d'agir comme un vrai bot
	
	Tapez %R%S HELP SET option pour plus d'infos
	sur une option spcifique.
	
BOT_HELP_SET_DONTKICKOPS
	Syntaxe: SET canal DONTKICKOPS {ON|OFF}
	
	Active ou dsactive la protection des OPs sur un 
	canal. Quand elle est active, cette option empche
	le bot de kicker les OPs mme s'ils sont en-de
	du niveau NOKICK.
	
BOT_HELP_SET_DONTKICKVOICES
	Syntaxe: SET canal DONTKICKVOICES {ON|OFF}
	
	Active ou dsactive la protection des Voices sur un 
	canal. Quand elle est active, cette option empche
	le bot de kicker les Voices mme s'ils sont en-de
	du niveau NOKICK.
	
BOT_HELP_SET_FANTASY
	Syntaxe: SET canal FANTASY {ON|OFF}
	
	Active ou dsactive le mode fantaisie sur un
	canal. Quand elle est active, cette option
	permet aux utilisateurs d'utiliser les commandes
	!op, !deop, !voice, !devoice, !kick, !kb, !unban 
	et !seen sur un canal (trouvez comment les utiliser; 
	essayez avec ou sans pseudo pour chacune, et avec 
	une raison pour certaines).
	
	Notez que les utilisateurs souhaitant utiliser
	les commandes fantaisistes DOIVENT avoir
	suffisamment d'accs pour les niveaux FANTASIA
	et un autre niveau qui dpend de la commande
	(par exemple, pour utiliser !op, un utilisateur
	doit avoir suffisamment de permissions pour le
	niveau OP/DEOP).
	
BOT_HELP_SET_GREET
	Syntaxe: SET canal GREET {ON|OFF}
	
	Active ou dsactive le mode message d'accueil
	sur un canal. Quand elle est active, cette option
	fait afficher au bot le message d'accueil de chaque
	utilisateur qui a un accs suffisant au canal.
	
BOT_HELP_SET_SYMBIOSIS
	Syntax: SET canal SYMBIOSIS {ON|OFF}
	
	Active ou dsactive la symbiose sur un canal.
	Quand elle est active, cette option fait faire
	au bot tout ce qui est normalement effectu
	par %s sur les canaux, tels que les MODEs,
	les KICKs, et mme le message d'entre.
	
BOT_HELP_KICK
	Syntaxe: KICK canal option paramtres
	
	Configure les kickers du bot.  option peut etre:
	
	    BOLDS         Dtermine si le bot kicke les
	                     caractres gras
	    BADWORDS      Dtermine si le bot kicke les mots 
	                     interdits
	    CAPS          Dtermine si le bot kicke les majuscules
	    COLORS        Dtermine si le bot kicke les couleurs
	    FLOOD         Dtermine si le bot kicke les utilisateurs
	                     qui floodent
	    REPEAT        Dtermine si le bot kicke les rptitions
	    REVERSES      Dtermine si le bot kicke les reverses
	    UNDERLINES    Dtermine si le bot kicke les caractres
	                     souligns
	
	Tapez %R%S HELP KICK option pour plus d'informations
	sur une option en particulier.

BOT_HELP_KICK_BOLDS
	Syntaxe: KICK canal BOLDS {ON|OFF} [ttb]

	Active ou dsactive le kicker de caractres gras. Quand
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui utilisent des 
	caractres gras.

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_KICK_COLORS
	Syntaxe: KICK canal COLORS {ON|OFF} [ttb]

	Active ou dsactive le kicker de couleurs. Quand
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui utilisent des 
	couleurs.

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_KICK_REVERSES
	Syntaxe: KICK canal REVERSES {ON|OFF} [ttb]

	Active ou dsactive le kicker de reverses. Quand
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui utilisent des 
	reverses.

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_KICK_UNDERLINES
	Syntaxe: KICK canal UNDERLINES {ON|OFF} [ttb]

	Active ou dsactive le kicker de caractres souligns. 
	Quand elle est active, cette option demande au bot
	de kicker les utilisateurs qui utilisent des 
	caractres souligns.

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.
	
BOT_HELP_KICK_CAPS
	Syntaxe: KICK canal CAPS {ON|OFF} [ttb [min [percent]]]

	Active ou dsactive le kicker de majuscules. Quand 
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui parlent en MAJUSCULES
	sur le canal.

	Le bot ne kicke que s'il y a au minimum min majuscules
	et qu'elles constituent au moins percent%% de la
	ligne de texte entire (si ces paramtres ne sont pas
	donns, les valeurs par dfaut 10 caractres et 25%% 
	seront utiliss).

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_KICK_FLOOD
	Syntaxe: KICK canal FLOOD {ON|OFF} [ttb [ln [secs]]]

	Active ou dsactive le kicker de flood. Quand 
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui floodent le canal
	en utilisant au moins ln lignes en secs secondes
	(si ces paramtres ne sont pas donns, les valeurs
	par dfaut sont 6 lignes en 10 secondes).
	
	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_KICK_REPEAT
	Syntaxe: KICK #canal REPEAT {ON|OFF} [ttb [num]]

	Active ou dsactive le kicker de rptitions. Quand 
	elle est active, cette option demande au bot
	de kicker les utilisateurs qui se rptent num fois
	(si num n'est pas donn, la valeur par dfaut est 3).

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.
	
BOT_HELP_KICK_BADWORDS
	Syntaxe: KICK #canal BADWORDS {ON|OFF} [ttb]

	Active ou dsactive le kicker de mots interdits. 
	Quand elle est active, cette option demande au bot
	de kicker les utilisateurs qui disent certains mots 
	sur le canal.

	Vous pouvez dfinir les mots interdits pour votre
	channel en utilisant la commande BADWORDS. Tapez
	%R%S HELP BADWORDS pour plus d'informations.

	ttb est le nombre de fois qu'un utilisateur peut
	se faire kicker avant d'tre banni. Ne donnez
	pas ttb ou mettez le  0 pour dsactiver le systme
	de ban une fois activ.

BOT_HELP_BADWORDS
	Syntaxe: BADWORDS canal ADD mot [SINGLE | START | END]
	         BADWORDS canal DEL {mot | entry-num | liste}
	         BADWORDS canal LIST [mask | liste]
	         BADWORDS canal CLEAR
	
	Gre la liste des mots interdits d'un canal. La liste
	des mots interdits dtermine quels mots doivent tre kicks
	quand le kicker de mots interdits est activ. Pour plus
	d'information, tapez %R%S HELP KICK BADWORDS.
	
	La commande BADWORDS ADD ajoute le mot donn  la liste
	de mots interdits. Si SINGLE est donn, un kick ne sera
	effectu que si un utilisateur dit le mot en entier. Si
	START est donn, un kick ne sera effectu que si un
	utilisateur dit un mot qui commence par mot. Si END
	est spcifi, un kick ne sera effectu que si un utilisateur
	dit un mot qui se termine par mot. Si vous ne spcifiez
	rien, un kick sera effectu chaque fois que mot est dit
	par un utilisateur.
	
	La commande BADWORDS DEL supprime le mot donn de la liste
	des mots interdits. Si une liste de numro d'entres est
	donn, ces entres seront supprimes. (Voyez l'exemple pour
	LIST ci-dessous.)
	
	La commande BADWORDS LIST affiche la liste des mots 
	interdits. Si un mask joker est donn, seules les entres
	correspondantes au mask seront affiches. Si une liste
	de numro d'entres est donne, seules ces entres seront
	affiches, par exemple:

	   BADWORDS #canal LIST 2-5,7-9
	      Liste les mots interdits 2  5 et 7  9.
	      
	La commande BADWORDS CLEAR supprime toutes les entres
	de la liste des mots interdits.

BOT_HELP_SAY
	Syntaxe: SAY canal texte
	
	Fait dire au bot le texte donn sur le canal donn.

BOT_HELP_ACT
	Syntaxe: ACT canal texte
	
	Fait faire au bot l'quivalent d'une commande "/me"
	sur le canal donn avec le texte donn.

BOT_SERVADMIN_HELP_BOT
	Syntax: BOT ADD pseudo user host real
	        BOT CHANGE ancien-pseudo nouveau-pseudo [user [host [real]]]
	        BOT DEL pseudo
	
	Permet aux Services operators de crer, modifier, et
	supprimer les bots que les utilisateurs pourront
	utiliser sur leurs canaux.
	
	BOT ADD ajoute un bot avec le pseudo, username, hostname
	et realname donn. Aucun test d'intgrit n'est effectu
	pour ces donnes, donc faites trs attention.
	BOT CHANGE permet de changer le pseudo, username, hostname
	ou realname d'un bot tout en conservant les donnes qui
	lui sont associes.
	BOT DEL supprime le bot donn de la liste des bots.  
	
	Note: si vous crez un bot ayant un pseudo enregistr
	avec NickServ, il sera effac. De plus, si un utilisateur
	utilise le pseudo du bot lors de sa cration ou modification,
	il sera dconnect.
	
BOT_SERVADMIN_HELP_SET
	
	Ces options sont rserves aux Services operators:
	
	    NOBOT            Empche un bot d'tre attribu 
	                         un canal
	    PRIVATE          Empche un bot d'tre attribu par
	                         des non-oprateurs IRC

BOT_SERVADMIN_HELP_SET_NOBOT
	Syntaxe: SET canal NOBOT {ON|OFF}
	
	Cette option empche un bot d'tre attribu au canal.
	Si un bot est dj attribu, il est enlev automatiquement
	quand vous activez l'option.
	
	Rserv aux administrateurs des services.

BOT_SERVADMIN_HELP_SET_PRIVATE
	Syntaxe: SET nick-du-bot PRIVATE {ON|OFF}
	
	Cette option empche un bot d'tre attribu  un
	canal par des utilisateurs qui ne sont pas OPrateurs
	IRC.
	
	Rserv aux administrateurs des services.

HOST_EMPTY
	Liste des vhosts vide.
HOST_ENTRY
	#%d Pseudo:%s, vhost:%s (%s - %s)
HOST_IDENT_ENTRY
	#%d Pseudo:%s, vhost:%s@%s (%s - %s)
HOST_SET
	Le vhost pour %s enregistre en %s.
HOST_IDENT_SET
	Le vhost pour %s enregistre en %s@%s.
HOST_SETALL
	Le vhost pour le groupe %s enregistre en %s.
HOST_DELALL
	Le vhost pour le groupe %s a t supprim.
HOST_DELALL_SYNTAX
	DELALL <pseudo>.
HOST_IDENT_SETALL
	Le vhost pour le groupe %s enregistre en %s@%s.
HOST_SET_ERROR
	Erreur! Un vhost peut seulement contenir les caratres A-Z, a-z, 0-9, '.' et '-'.
HOST_SET_IDENT_ERROR
	L'identd du vhost dois tre dans un format d'identd valide
HOST_SET_TOOLONG
	Erreur! Le vhost est trop long, veuillez entrer moins de %d caratres.
HOST_SET_IDENTTOOLONG
	Erreur! l'Ident est trop long, veuillez entrer moins de %d caratres.
HOST_NOREG
	L'utilisateur %s n'a pas t trouv dans la base de donnes de NickServ.
HOST_SET_SYNTAX
	SET <pseudo> <hostmask>.
HOST_SETALL_SYNTAX
	SETALL <pseudo> <hostmask>.
HOST_DENIED
	Accs refus.
HOST_NOT_ASSIGNED
	Contactez un oprateur afin d'avoir un vhost sous ce pseudo.
HOST_ACTIVATED
	Votre vhost %s est activ.
HOST_IDENT_ACTIVATED
	Votre vhost %s@%s est activ.
HOST_DEL
	Le vhost pour %s a t supprim.
HOST_DEL_SYNTAX
	DEL <pseudo>.

###########################################################################
#
# HostServ Help messages
#
###########################################################################
HOST_OFF
	Your vhost was removed and the normal cloaking restored.
HOST_NO_VIDENT
	L'IRCD utilis ne supporte par la modification de l'ident.

###########################################################################
#
# HostServ Help messages
#
###########################################################################
HOST_GROUP
	Tous les vhosts du groupe %s ont t enregistrs en %s
HOST_IDENT_GROUP
	Tous les vhosts du groupe %s ont t enregistrs en %s@%s

###########################################################################
#
# HostServ Help messages
#
###########################################################################
HOST_LIST_FOOTER
	Affiche tous les enregistrements (Nb: %d) 
HOST_LIST_RANGE_FOOTER
	Affiche les enregistrements de %d  %d
HOST_LIST_KEY_FOOTER
	Affiche les enregistrements contenant %s (Nb: %d)

###########################################################################
#
# HostServ Help messages
#
###########################################################################
HOST_HELP_CMD_ON
	    ON          Active un vhost
HOST_HELP_CMD_OFF
	    OFF         Dsactive un vhost
HOST_HELP_CMD_GROUP
	    GROUP       Synchronise tous les vhosts d'un groupe
HOST_HELP_CMD_SET
	    SET         Configure le vhost d'un pseudo
HOST_HELP_CMD_SETALL
	    SETALL      Configure le vhost pour tous les pseudos d'un groupe
HOST_HELP_CMD_DEL
	    DEL         Supprime le vhost d'un pseudo
HOST_HELP_CMD_DELALL
	    DELALL      Supprime le vhost pour tous les pseudos d'un groupe
HOST_HELP_CMD_LIST
	    LIST        Recherche un vhost
HOST_OPER_HELP
	not used.

HOST_ADMIN_HELP
	not used.

HOST_HELP
	%S commandes:

HOST_HELP_ON
	Syntaxe: ON

	Active le vhost actuellement configur pour ce pseudo.
	Vous verrez ce vhost dans votre /whois  la place de
	votre host actuel.

HOST_HELP_SET
	Syntaxe: SET <pseudo> <hostmask>.

	Configure le vhost donn pour le pseudo indiqu.
	Si le serveur IRC supporte la modification de l'ident, utilisez
	SET <nick> <ident>@<hostmask>

	Limit aux Services Oprateurs.

HOST_HELP_DELALL
	Syntaxe: DELALL <pseudo>.

	Supprime tous les vhosts pour tous les pseudos du mme
	groupe que le pseudo donn.

	Limit aux Services Oprateurs.


HOST_HELP_SETALL
	Syntaxe: SETALL <pseudo> <hostmask>.

	Configure le vhost pour tous les pseudos d'un mme
	groupe.	Si le serveur IRC supporte la modification de l'ident, utilisez
	SET <pseudo> <ident>@<hostmask>

	Limit aux Services Oprateurs.

HOST_HELP_OFF
	Syntaxe: OFF

	Dsactive le vhost que vous utilisez actuellement. L'utilisation
	de cette commande rendra visible votre IP.

HOST_HELP_DEL
	Syntaxe: DEL <pseudo>

	Supprime le vhost pour le pseudo indiqu.

	Limit aux Services Oprateurs.

HOST_HELP_LIST
	Syntaxe: LIST [<cl>|<#X-Y>]

	Cette commande liste tous les vhosts enregistrs, si une cl
	est spcifie, seuls les rsultats contenant le pseudo ou
	le vhost seront affichs, par exemple : Rob* pour toutes les
	entres contenant "Rob"

	Si le style #X-Y est utilis, seules les entres entre X et Y
	seront affiches, par exemple: #1-3 affichera les 3 premires
	entres.
	
	La liste utilise la valeur de NSListMax pour une limite hard
	du nombre de rsultats affichs en une fois.

	Limit aux Services oprateurs.

HOST_HELP_GROUP
	Syntaxe: GROUP

	Permet d'enregistrer le vHost du pseudo actuellement
	utilis pour tous les pseudos du groupe. 

OPER_SVSNICK_UNSUPPORTED
	Dsol, SVSNICK n'est pas accessible sur ce rseau.

OPER_SQLINE_UNSUPPORTED
	Dsol, SQLINE n'est pas accessible sur ce rseau.

OPER_SVSO_UNSUPPORTED
	Dsol, OLINE n'est pas accessible sur ce rseau.

OPER_UMODE_UNSUPPORTED
	Dsol, UMODE n'est pas accessible sur ce rseau.

OPER_SUPER_ADMIN_NOT_ENABLED
	L'option Super-Admin n'est pas active dans le services.conf

OPER_HELP_SYNC
	Syntax: SQLSYNC
	
	This command syncs your databases with SQL. You should
	only have to execute this command once, when you initially
	import your databases into SQL.
OPER_HELP_CMD_SQLSYNC
	    SQLSYNC     Import your databases to SQL
OPER_SYNC_UPDATING
	Updating MySQL.
OPER_SYNC_UPDATED
	Finished updating MySQL.
